Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2.util
Class CDAR2Validator

    java.lang.Object
      org.eclipse.emf.ecore.util.EObjectValidator
          org.eclipse.ohf.ihe.common.cdar2.util.CDAR2Validator

All Implemented Interfaces:
  org.eclipse.emf.ecore.EValidator

    public class CDAR2Validator

extends org.eclipse.emf.ecore.util.EObjectValidator

The Validator for the model.

See Also:
  `CDAR2Package`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.util.EObjectValidator
`org.eclipse.emf.ecore.util.EObjectValidator.DynamicEDataTypeValidator`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EValidator
`org.eclipse.emf.ecore.EValidator.Descriptor, org.eclipse.emf.ecore.EValidator.PatternMatcher, org.eclipse.emf.ecore.EValidator.Registry, org.eclipse.emf.ecore.EValidator.SubstitutionLabelProvider`

Field Summary
`static org.eclipse.emf.ecore.EValidator.PatternMatcher[][]` | `BL__PATTERN__VALUES`
`static org.eclipse.emf.ecore.EValidator.PatternMatcher[][]` | `CS__PATTERN__VALUES`
`static java.lang.String` | `DIAGNOSTIC_SOURCE` A constant for the `source` of diagnostic `codes` from this package.
`static CDAR2Validator` | `INSTANCE` The cached model package
`static org.eclipse.emf.ecore.EValidator.PatternMatcher[][]` | `OID__PATTERN__VALUES`
`static double` | `PROBABILITY__MAX__VALUE`
`static double` | `PROBABILITY__MIN__VALUE`
`static org.eclipse.emf.ecore.EValidator.PatternMatcher[][]` | `RUID__PATTERN__VALUES`
`static org.eclipse.emf.ecore.EValidator.PatternMatcher[][]` | `TS__PATTERN__VALUES`
`static org.eclipse.emf.ecore.EValidator.PatternMatcher[][]` | `UUID__PATTERN__VALUES`

Fields inherited from class org.eclipse.emf.ecore.util.EObjectValidator
`DATA_VALUE__FRACTION_DIGITS_IN_RANGE, DATA_VALUE__LENGTH_IN_RANGE, DATA_VALUE__MATCHES_PATTERN, DATA_VALUE__TOTAL_DIGITS_IN_RANGE, DATA_VALUE__TYPE_CORRECT, DATA_VALUE__VALUE_IN_ENUMERATION, DATA_VALUE__VALUE_IN_RANGE, EOBJECT__EVERY_DATA_VALUE_CONFORMS, EOBJECT__EVERY_MULTIPCITY_CONFORMS, EOBJECT__EVERY_PROXY_RESOLVES, EOBJECT__EVERY_REFERENCE_IS_CONTAINED, EOBJECT__UNIQUE_ID`

Fields inherited from interface org.eclipse.emf.ecore.EValidator
`MARKER, URI_ATTRIBUTE`

Constructor Summary
`CDAR2Validator()` Creates an instance of the switch.

Method Summary
`boolean` | `validateActClass_MemberTypes(org.eclipse.emf.common.util.Enumerator actClass, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)` Validates the MemberTypes constraint of 'Act Class'.
`boolean` | `validateActClass(org.eclipse.emf.common.util.Enumerator actClass, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateActClassComposition_MemberTypes(org.eclipse.emf.common.util.Enumerator actClassComposition, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)` Validates the MemberTypes constraint of 'Act Class Composition'.
`boolean` | `validateActClassComposition(org.eclipse.emf.common.util.Enumerator actClassComposition, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateActClassCompositionMember1(ActClassCompositionMember1 actClassCompositionMember1, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateActClassCompositionMember1Object(ActClassCompositionMember1 actClassCompositionMember1Object, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateActClassCondition_MemberTypes(org.eclipse.emf.common.util.Enumerator actClassCondition, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)` Validates the MemberTypes constraint of 'Act Class Condition'.
`boolean` | `validateActClassCondition(org.eclipse.emf.common.util.Enumerator actClassCondition, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateActClassConditionMember1(ActClassConditionMember1 actClassConditionMember1, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateActClassConditionMember1Object(ActClassConditionMember1 actClassConditionMember1Object, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateActClassContract_MemberTypes(org.eclipse.emf.common.util.Enumerator actClassContract, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)` Validates the MemberTypes constraint of 'Act Class Contract'.
`boolean` | `validateActClassContract(org.eclipse.emf.common.util.Enumerator actClassContract, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateActClassContractMember1(ActClassContractMember1 actClassContractMember1, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateActClassContractMember1Object(ActClassContractMember1 actClassContractMember1Object, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateActClassControlAct(ActClassControlAct actClassControlAct, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateActClassControlActObject(ActClassControlAct actClassControlActObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateActClassDocument_MemberTypes(org.eclipse.emf.common.util.Enumerator actClassDocument, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)` Validates the MemberTypes constraint of 'Act Class Document'.
`boolean` | `validateActClassDocument(org.eclipse.emf.common.util.Enumerator actClassDocument, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateActClassDocumentMember1(ActClassDocumentMember1 actClassDocumentMember1, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateActClassDocumentMember1Object(ActClassDocumentMember1 actClassDocumentMember1Object, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateActClassEntry(ActClassEntry actClassEntry, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateActClassEntryObject(ActClassEntry actClassEntryObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateActClassExtract(ActClassExtract actClassExtract, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateActClassExtractObject(ActClassExtract actClassExtractObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateActClassFinancialContract(ActClassFinancialContract actClassFinancialContract, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateActClassFinancialContractObject(ActClassFinancialContract actClassFinancialContractObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateActClassObservation_MemberTypes(org.eclipse.emf.common.util.Enumerator actClassObservation, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)` Validates the MemberTypes constraint of 'Act Class Observation'.
`boolean` | `validateActClassObservation(org.eclipse.emf.common.util.Enumerator actClassObservation, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateActClassObservationMember3(ActClassObservationMember3 actClassObservationMember3, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateActClassObservationMember3Object(ActClassObservationMember3 actClassObservationMember3Object, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateActClassObservationSeries(ActClassObservationSeries actClassObservationSeries, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateActClassObservationSeriesObject(ActClassObservationSeries actClassObservationSeriesObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateActClassOrganizer(ActClassOrganizer actClassOrganizer, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateActClassOrganizerObject(ActClassOrganizer actClassOrganizerObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateActClassPublicHealthCase(ActClassPublicHealthCase actClassPublicHealthCase, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateActClassPublicHealthCaseObject(ActClassPublicHealthCase actClassPublicHealthCaseObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateActClassROI(ActClassROI actClassROI, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateActClassROIObject(ActClassROI actClassROIObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateActClassRoot_MemberTypes(org.eclipse.emf.common.util.Enumerator actClassRoot, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)` Validates the MemberTypes constraint of 'Act Class Root'.
`boolean` | `validateActClassRoot(org.eclipse.emf.common.util.Enumerator actClassRoot, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateActClassRootMember7(ActClassRootMember7 actClassRootMember7, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateActClassRootMember7Object(ActClassRootMember7 actClassRootMember7Object, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateActClassSupply(ActClassSupply actClassSupply, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateActClassSupplyObject(ActClassSupply actClassSupplyObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateActClinicalDocument(ActClinicalDocument actClinicalDocument, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateActClinicalDocumentObject(ActClinicalDocument actClinicalDocumentObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateActContainer_MemberTypes(org.eclipse.emf.common.util.Enumerator actContainer, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)` Validates the MemberTypes constraint of 'Act Container'.
`boolean` | `validateActContainer(org.eclipse.emf.common.util.Enumerator actContainer, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateActContainerMember4(ActContainerMember4 actContainerMember4, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateActContainerMember4Object(ActContainerMember4 actContainerMember4Object, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateActMood_MemberTypes(org.eclipse.emf.common.util.Enumerator actMood, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)` Validates the MemberTypes constraint of 'Act Mood'.
`boolean` | `validateActMood(org.eclipse.emf.common.util.Enumerator actMood, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateActMoodCompletionTrack_MemberTypes(org.eclipse.emf.common.util.Enumerator actMoodCompletionTrack, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)` Validates the MemberTypes constraint of 'Act Mood Completion Track'.
`boolean` | `validateActMoodCompletionTrack(org.eclipse.emf.common.util.Enumerator actMoodCompletionTrack, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateActMoodCompletionTrackMember1(ActMoodCompletionTrackMember1 actMoodCompletionTrackMember1, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateActMoodCompletionTrackMember1Object(ActMoodCompletionTrackMember1 actMoodCompletionTrackMember1Object, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateActMoodIntent(ActMoodIntent actMoodIntent, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateActMoodIntentObject(ActMoodIntent actMoodIntentObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateActMoodPredicate(ActMoodPredicate actMoodPredicate, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateActMoodPredicateObject(ActMoodPredicate actMoodPredicateObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateActRelationshipAccounting_MemberTypes(java.lang.Object actRelationshipAccounting, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)` Validates the MemberTypes constraint of 'Act Relationship Accounting'.
`boolean` | `validateActRelationshipAccounting(java.lang.Object actRelationshipAccounting, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateActRelationshipAccountingMember2(java.lang.String actRelationshipAccountingMember2, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateActRelationshipConditional_MemberTypes(org.eclipse.emf.common.util.Enumerator actRelationshipConditional, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)` Validates the MemberTypes constraint of 'Act Relationship Conditional'.
`boolean` | `validateActRelationshipConditional(org.eclipse.emf.common.util.Enumerator actRelationshipConditional, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateActRelationshipConditionalMember1(ActRelationshipConditionalMember1 actRelationshipConditionalMember1, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateActRelationshipConditionalMember1Object(ActRelationshipConditionalMember1 actRelationshipConditionalMember1Object, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateActRelationshipCostTracking(ActRelationshipCostTracking actRelationshipCostTracking, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateActRelationshipCostTrackingObject(ActRelationshipCostTracking actRelationshipCostTrackingObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateActRelationshipExcerpt(ActRelationshipExcerpt actRelationshipExcerpt, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateActRelationshipExcerptObject(ActRelationshipExcerpt actRelationshipExcerptObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateActRelationshipFulfills(ActRelationshipFulfills actRelationshipFulfills, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateActRelationshipFulfillsObject(ActRelationshipFulfills actRelationshipFulfillsObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateActRelationshipHasComponent(ActRelationshipHasComponent actRelationshipHasComponent, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateActRelationshipHasComponentObject(ActRelationshipHasComponent actRelationshipHasComponentObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateActRelationshipObjective(ActRelationshipObjective actRelationshipObjective, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateActRelationshipObjectiveObject(ActRelationshipObjective actRelationshipObjectiveObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateActRelationshipOutcome_MemberTypes(org.eclipse.emf.common.util.Enumerator actRelationshipOutcome, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)` Validates the MemberTypes constraint of 'Act Relationship Outcome'.
`boolean` | `validateActRelationshipOutcome(org.eclipse.emf.common.util.Enumerator actRelationshipOutcome, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateActRelationshipOutcomeMember1(ActRelationshipOutcomeMember1 actRelationshipOutcomeMember1, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateActRelationshipOutcomeMember1Object(ActRelationshipOutcomeMember1 actRelationshipOutcomeMember1Object, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateActRelationshipPertains_MemberTypes(java.lang.Object actRelationshipPertains, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)` Validates the MemberTypes constraint of 'Act Relationship Pertains'.
`boolean` | `validateActRelationshipPertains(java.lang.Object actRelationshipPertains, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateActRelationshipPertainsMember3(ActRelationshipPertainsMember3 actRelationshipPertainsMember3, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateActRelationshipPertainsMember3Object(ActRelationshipPertainsMember3 actRelationshipPertainsMember3Object, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateActRelationshipPosting(ActRelationshipPosting actRelationshipPosting, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateActRelationshipPostingObject(ActRelationshipPosting actRelationshipPostingObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateActRelationshipReason(ActRelationshipReason actRelationshipReason, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateActRelationshipReasonObject(ActRelationshipReason actRelationshipReasonObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateActRelationshipReplacement(ActRelationshipReplacement actRelationshipReplacement, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateActRelationshipReplacementObject(ActRelationshipReplacement actRelationshipReplacementObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateActRelationshipSequel_MemberTypes(org.eclipse.emf.common.util.Enumerator actRelationshipSequel, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)` Validates the MemberTypes constraint of 'Act Relationship Sequel'.
`boolean` | `validateActRelationshipSequel(org.eclipse.emf.common.util.Enumerator actRelationshipSequel, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateActRelationshipSequelMember3(ActRelationshipSequelMember3 actRelationshipSequelMember3, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateActRelationshipSequelMember3Object(ActRelationshipSequelMember3 actRelationshipSequelMember3Object, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateActRelationshipType_MemberTypes(java.lang.Object actRelationshipType, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)` Validates the MemberTypes constraint of 'Act Relationship Type'.
`boolean` | `validateActRelationshipType(java.lang.Object actRelationshipType, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateAD(AD ad, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateAdditionalLocator(AdditionalLocator additionalLocator, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateAdditionalLocatorObject(AdditionalLocator additionalLocatorObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateAddressPartType_MemberTypes(org.eclipse.emf.common.util.Enumerator addressPartType, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)` Validates the MemberTypes constraint of 'Address Part Type'.
`boolean` | `validateAddressPartType(org.eclipse.emf.common.util.Enumerator addressPartType, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateAddressPartTypeMember3(AddressPartTypeMember3 addressPartTypeMember3, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateAddressPartTypeMember3Object(AddressPartTypeMember3 addressPartTypeMember3Object, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateAddressUse_MemberTypes(org.eclipse.emf.common.util.Enumerator addressUse, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)` Validates the MemberTypes constraint of 'Address Use'.
`boolean` | `validateAddressUse(org.eclipse.emf.common.util.Enumerator addressUse, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateAddressUseMember2(AddressUseMember2 addressUseMember2, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateAddressUseMember2Object(AddressUseMember2 addressUseMember2Object, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateADXP(ADXP adxp, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateAdxpAdditionalLocator(AdxpAdditionalLocator adxpAdditionalLocator, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateAdxpBuildingNumberSuffix(AdxpBuildingNumberSuffix adxpBuildingNumberSuffix, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateAdxpCareOf(AdxpCareOf adxpCareOf, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateAdxpCensusTract(AdxpCensusTract adxpCensusTract, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateAdxpCity(AdxpCity adxpCity, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateAdxpCountry(AdxpCountry adxpCountry, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateAdxpCounty(AdxpCounty adxpCounty, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateAdxpDelimiter(AdxpDelimiter adxpDelimiter, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateAdxpDeliveryAddressLine(AdxpDeliveryAddressLine adxpDeliveryAddressLine, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateAdxpDeliveryInstallationArea(AdxpDeliveryInstallationArea adxpDeliveryInstallationArea, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateAdxpDeliveryInstallationQualifier(AdxpDeliveryInstallationQualifier adxpDeliveryInstallationQualifier, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateAdxpDeliveryInstallationType(AdxpDeliveryInstallationType adxpDeliveryInstallationType, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateAdxpDeliveryMode(AdxpDeliveryMode adxpDeliveryMode, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateAdxpDeliveryModeIdentifier(AdxpDeliveryModeIdentifier adxpDeliveryModeIdentifier, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateAdxpDirection(AdxpDirection adxpDirection, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateAdxpHouseNumber(AdxpHouseNumber adxpHouseNumber, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateAdxpHouseNumberNumeric(AdxpHouseNumberNumeric adxpHouseNumberNumeric, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateAdxpPostalCode(AdxpPostalCode adxpPostalCode, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateAdxpPostBox(AdxpPostBox adxpPostBox, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateAdxpPrecinct(AdxpPrecinct adxpPrecinct, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateAdxpState(AdxpState adxpState, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateAdxpStreetAddressLine(AdxpStreetAddressLine adxpStreetAddressLine, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateAdxpStreetName(AdxpStreetName adxpStreetName, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateAdxpStreetNameBase(AdxpStreetNameBase adxpStreetNameBase, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateAdxpStreetNameType(AdxpStreetNameType adxpStreetNameType, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateAdxpUnitID(AdxpUnitID adxpUnitID, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateAdxpUnitType(AdxpUnitType adxpUnitType, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateAlignType(AlignType alignType, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateAlignType1(AlignType1 alignType1, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateAlignType2(AlignType2 alignType2, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateAlignType3(AlignType3 alignType3, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateAlignType4(AlignType4 alignType4, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateAlignType5(AlignType5 alignType5, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateAlignType6(AlignType6 alignType6, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateAlignType7(AlignType7 alignType7, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateAlignTypeObject(AlignType2 alignTypeObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateAlignTypeObject1(AlignType alignTypeObject1, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateAlignTypeObject2(AlignType1 alignTypeObject2, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateAlignTypeObject3(AlignType4 alignTypeObject3, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateAlignTypeObject4(AlignType3 alignTypeObject4, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateAlignTypeObject5(AlignType6 alignTypeObject5, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateAlignTypeObject6(AlignType5 alignTypeObject6, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateAlignTypeObject7(AlignType7 alignTypeObject7, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateANY(ANY any, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateANYNonNull(ANYNonNull anyNonNull, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateApplicationMediaType(ApplicationMediaType applicationMediaType, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateApplicationMediaTypeObject(ApplicationMediaType applicationMediaTypeObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateAskedButUnknown(AskedButUnknown askedButUnknown, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateAskedButUnknownObject(AskedButUnknown askedButUnknownObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateAudioMediaType(AudioMediaType audioMediaType, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateAudioMediaTypeObject(AudioMediaType audioMediaTypeObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateBin(byte[] bin, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateBIN1(BIN1 bin1, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateBinaryDataEncoding(BinaryDataEncoding binaryDataEncoding, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateBinaryDataEncodingObject(BinaryDataEncoding binaryDataEncodingObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateBl_Pattern(boolean bl, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)` Validates the Pattern constraint of 'Bl'.
`boolean` | `validateBl(boolean bl, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateBL1(BL1 bl1, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateBlObject(java.lang.Boolean blObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateBn(boolean bn, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateBN1(BN1 bn1, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateBnObject(java.lang.Boolean bnObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateBuildingNumber(BuildingNumber buildingNumber, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateBuildingNumberObject(BuildingNumber buildingNumberObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateBXITCD(BXITCD bxitcd, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateBXITIVLPQ(BXITIVLPQ bxitivlpq, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateCalendarCycle_MemberTypes(java.lang.Object calendarCycle, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)` Validates the MemberTypes constraint of 'Calendar Cycle'.
`boolean` | `validateCalendarCycle(java.lang.Object calendarCycle, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateCalendarCycleOneLetter(CalendarCycleOneLetter calendarCycleOneLetter, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateCalendarCycleOneLetterObject(CalendarCycleOneLetter calendarCycleOneLetterObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateCalendarCycleTwoLetter_MemberTypes(java.lang.Object calendarCycleTwoLetter, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)` Validates the MemberTypes constraint of 'Calendar Cycle Two Letter'.
`boolean` | `validateCalendarCycleTwoLetter(java.lang.Object calendarCycleTwoLetter, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateCalendarCycleTwoLetterMember1(CalendarCycleTwoLetterMember1 calendarCycleTwoLetterMember1, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateCalendarCycleTwoLetterMember1Object(CalendarCycleTwoLetterMember1 calendarCycleTwoLetterMember1Object, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateCD(CD cd, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateCE(CE ce, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateClasses(java.lang.String classes, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateCO(CO co, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateCommunicationFunctionType(CommunicationFunctionType communicationFunctionType, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateCommunicationFunctionTypeObject(CommunicationFunctionType communicationFunctionTypeObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateCompressionAlgorithm(CompressionAlgorithm compressionAlgorithm, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateCompressionAlgorithmObject(CompressionAlgorithm compressionAlgorithmObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateContextControl_MemberTypes(org.eclipse.emf.common.util.Enumerator contextControl, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)` Validates the MemberTypes constraint of 'Context Control'.
`boolean` | `validateContextControl(org.eclipse.emf.common.util.Enumerator contextControl, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateContextControlAdditive(ContextControlAdditive contextControlAdditive, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateContextControlAdditiveObject(ContextControlAdditive contextControlAdditiveObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateContextControlNonPropagating(ContextControlNonPropagating contextControlNonPropagating, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateContextControlNonPropagatingObject(ContextControlNonPropagating contextControlNonPropagatingObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateContextControlOverriding(ContextControlOverriding contextControlOverriding, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateContextControlOverridingObject(ContextControlOverriding contextControlOverridingObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateContextControlPropagating(ContextControlPropagating contextControlPropagating, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateContextControlPropagatingObject(ContextControlPropagating contextControlPropagatingObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateCR(CR cr, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateCs_Pattern(java.lang.String cs, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)` Validates the Pattern constraint of 'Cs'.
`boolean` | `validateCs(java.lang.String cs, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateCS1(CS1 cs1, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateCurrency(Currency currency, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateCurrencyObject(Currency currencyObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateCV(CV cv, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateDeliveryAddressLine(DeliveryAddressLine deliveryAddressLine, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateDeliveryAddressLineObject(DeliveryAddressLine deliveryAddressLineObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateDocumentRoot(DocumentRoot documentRoot, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateED(ED ed, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateEIVLEvent(EIVLEvent eivlEvent, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateEIVLPPDTS(EIVLPPDTS eivlppdts, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateEIVLTS(EIVLTS eivlts, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateEN(EN en, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateEnDelimiter(EnDelimiter enDelimiter, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateEnFamily(EnFamily enFamily, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateEnGiven(EnGiven enGiven, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateEnPrefix(EnPrefix enPrefix, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateEnSuffix(EnSuffix enSuffix, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateEntityClass_MemberTypes(org.eclipse.emf.common.util.Enumerator entityClass, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)` Validates the MemberTypes constraint of 'Entity Class'.
`boolean` | `validateEntityClass(org.eclipse.emf.common.util.Enumerator entityClass, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateEntityClassContainer(EntityClassContainer entityClassContainer, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateEntityClassContainerObject(EntityClassContainer entityClassContainerObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateEntityClassDevice(EntityClassDevice entityClassDevice, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateEntityClassDeviceObject(EntityClassDevice entityClassDeviceObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateEntityClassLivingSubject_MemberTypes(org.eclipse.emf.common.util.Enumerator entityClassLivingSubject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)` Validates the MemberTypes constraint of 'Entity Class Living Subject'.
`boolean` | `validateEntityClassLivingSubject(org.eclipse.emf.common.util.Enumerator entityClassLivingSubject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateEntityClassLivingSubjectMember1(EntityClassLivingSubjectMember1 entityClassLivingSubjectMember1, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateEntityClassLivingSubjectMember1Object(EntityClassLivingSubjectMember1 entityClassLivingSubjectMember1Object, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateEntityClassManufacturedMaterial_MemberTypes(org.eclipse.emf.common.util.Enumerator entityClassManufacturedMaterial, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)` Validates the MemberTypes constraint of 'Entity Class Manufactured Material'.
`boolean` | `validateEntityClassManufacturedMaterial(org.eclipse.emf.common.util.Enumerator entityClassManufacturedMaterial, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateEntityClassManufacturedMaterialMember2(EntityClassManufacturedMaterialMember2 entityClassManufacturedMaterialMember2, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateEntityClassManufacturedMaterialMember2Object(EntityClassManufacturedMaterialMember2 entityClassManufacturedMaterialMember2Object, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateEntityClassMaterial_MemberTypes(org.eclipse.emf.common.util.Enumerator entityClassMaterial, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)` Validates the MemberTypes constraint of 'Entity Class Material'.
`boolean` | `validateEntityClassMaterial(org.eclipse.emf.common.util.Enumerator entityClassMaterial, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateEntityClassMaterialMember1(EntityClassMaterialMember1 entityClassMaterialMember1, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateEntityClassMaterialMember1Object(EntityClassMaterialMember1 entityClassMaterialMember1Object, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateEntityClassNonPersonLivingSubject(EntityClassNonPersonLivingSubject entityClassNonPersonLivingSubject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateEntityClassNonPersonLivingSubjectObject(EntityClassNonPersonLivingSubject entityClassNonPersonLivingSubjectObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateEntityClassOrganization_MemberTypes(org.eclipse.emf.common.util.Enumerator entityClassOrganization, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)` Validates the MemberTypes constraint of 'Entity Class Organization'.
`boolean` | `validateEntityClassOrganization(org.eclipse.emf.common.util.Enumerator entityClassOrganization, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateEntityClassOrganizationMember1(EntityClassOrganizationMember1 entityClassOrganizationMember1, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateEntityClassOrganizationMember1Object(EntityClassOrganizationMember1 entityClassOrganizationMember1Object, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateEntityClassPlace(EntityClassPlace entityClassPlace, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateEntityClassPlaceObject(EntityClassPlace entityClassPlaceObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateEntityClassRoot_MemberTypes(org.eclipse.emf.common.util.Enumerator entityClassRoot, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)` Validates the MemberTypes constraint of 'Entity Class Root'.
`boolean` | `validateEntityClassRoot(org.eclipse.emf.common.util.Enumerator entityClassRoot, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateEntityClassRootMember4(EntityClassRootMember4 entityClassRootMember4, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateEntityClassRootMember4Object(EntityClassRootMember4 entityClassRootMember4Object, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateEntityDeterminer_MemberTypes(org.eclipse.emf.common.util.Enumerator entityDeterminer, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)` Validates the MemberTypes constraint of 'Entity Determiner'.
`boolean` | `validateEntityDeterminer(org.eclipse.emf.common.util.Enumerator entityDeterminer, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateEntityDeterminerDetermined(EntityDeterminerDetermined entityDeterminerDetermined, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateEntityDeterminerDeterminedObject(EntityDeterminerDetermined entityDeterminerDeterminedObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateEntityDeterminerMember2(EntityDeterminerMember2 entityDeterminerMember2, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateEntityDeterminerMember2Object(EntityDeterminerMember2 entityDeterminerMember2Object, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateEntityNamePartQualifier_MemberTypes(org.eclipse.emf.common.util.Enumerator entityNamePartQualifier, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)` Validates the MemberTypes constraint of 'Entity Name Part Qualifier'.
`boolean` | `validateEntityNamePartQualifier(org.eclipse.emf.common.util.Enumerator entityNamePartQualifier, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateEntityNamePartType_MemberTypes(org.eclipse.emf.common.util.Enumerator entityNamePartType, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)` Validates the MemberTypes constraint of 'Entity Name Part Type'.
`boolean` | `validateEntityNamePartType(org.eclipse.emf.common.util.Enumerator entityNamePartType, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateEntityNamePartTypeMember2(EntityNamePartTypeMember2 entityNamePartTypeMember2, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateEntityNamePartTypeMember2Object(EntityNamePartTypeMember2 entityNamePartTypeMember2Object, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateEntityNameSearchUse(EntityNameSearchUse entityNameSearchUse, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateEntityNameSearchUseObject(EntityNameSearchUse entityNameSearchUseObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateEntityNameUse_MemberTypes(org.eclipse.emf.common.util.Enumerator entityNameUse, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)` Validates the MemberTypes constraint of 'Entity Name Use'.
`boolean` | `validateEntityNameUse(org.eclipse.emf.common.util.Enumerator entityNameUse, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateEntityNameUseMember4(EntityNameUseMember4 entityNameUseMember4, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateEntityNameUseMember4Object(EntityNameUseMember4 entityNameUseMember4Object, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateENXP(ENXP enxp, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateFrameType(FrameType frameType, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateFrameTypeObject(FrameType frameTypeObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateGLISTPQ(GLISTPQ glistpq, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateGLISTTS(GLISTTS glistts, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateGregorianCalendarCycle(java.lang.String gregorianCalendarCycle, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateHasSupport(HasSupport hasSupport, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateHasSupportObject(HasSupport hasSupportObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateHomeAddressUse(HomeAddressUse homeAddressUse, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateHomeAddressUseObject(HomeAddressUse homeAddressUseObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateHXITCE(HXITCE hxitce, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateHXITPQ(HXITPQ hxitpq, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateII(II ii, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateImageMediaType(ImageMediaType imageMediaType, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateImageMediaTypeObject(ImageMediaType imageMediaTypeObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateInt(java.math.BigInteger int_, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateINT1(INT1 int1, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateIntegrityCheckAlgorithm(IntegrityCheckAlgorithm integrityCheckAlgorithm, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateIntegrityCheckAlgorithmObject(IntegrityCheckAlgorithm integrityCheckAlgorithmObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateIVLINT(IVLINT ivlint, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateIVLMO(IVLMO ivlmo, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateIVLPPDPQ(IVLPPDPQ ivlppdpq, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateIVLPPDTS(IVLPPDTS ivlppdts, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateIVLPQ(IVLPQ ivlpq, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateIVLREAL(IVLREAL ivlreal, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateIVLTS(IVLTS ivlts, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateIVXBINT(IVXBINT ivxbint, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateIVXBMO(IVXBMO ivxbmo, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateIVXBPPDPQ(IVXBPPDPQ ivxbppdpq, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateIVXBPPDTS(IVXBPPDTS ivxbppdts, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateIVXBPQ(IVXBPQ ivxbpq, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateIVXBREAL(IVXBREAL ivxbreal, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateIVXBTS(IVXBTS ivxbts, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateLicensedEntityRole(LicensedEntityRole licensedEntityRole, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateLicensedEntityRoleObject(LicensedEntityRole licensedEntityRoleObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateListInt_ItemType(java.util.List listInt, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)` Validates the ItemType constraint of 'List Int'.
`boolean` | `validateListInt(java.util.List listInt, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateListTypeType(ListTypeType listTypeType, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateListTypeTypeObject(ListTypeType listTypeTypeObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateMediaType_MemberTypes(org.eclipse.emf.common.util.Enumerator mediaType, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)` Validates the MemberTypes constraint of 'Media Type'.
`boolean` | `validateMediaType(org.eclipse.emf.common.util.Enumerator mediaType, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateMO(MO mo, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateModelMediaType(ModelMediaType modelMediaType, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateModelMediaTypeObject(ModelMediaType modelMediaTypeObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateMultipartMediaType(MultipartMediaType multipartMediaType, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateMultipartMediaTypeObject(MultipartMediaType multipartMediaTypeObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateNamePseudonymUse(NamePseudonymUse namePseudonymUse, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateNamePseudonymUseObject(NamePseudonymUse namePseudonymUseObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateNameRepresentationUse(NameRepresentationUse nameRepresentationUse, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateNameRepresentationUseObject(NameRepresentationUse nameRepresentationUseObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateNoInformation_MemberTypes(org.eclipse.emf.common.util.Enumerator noInformation, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)` Validates the MemberTypes constraint of 'No Information'.
`boolean` | `validateNoInformation(org.eclipse.emf.common.util.Enumerator noInformation, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateNoInformationMember2(NoInformationMember2 noInformationMember2, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateNoInformationMember2Object(NoInformationMember2 noInformationMember2Object, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateNullFlavor_MemberTypes(org.eclipse.emf.common.util.Enumerator nullFlavor, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)` Validates the MemberTypes constraint of 'Null Flavor'.
`boolean` | `validateNullFlavor(org.eclipse.emf.common.util.Enumerator nullFlavor, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateNullFlavorMember1(NullFlavorMember1 nullFlavorMember1, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateNullFlavorMember1Object(NullFlavorMember1 nullFlavorMember1Object, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateOid_Pattern(java.lang.String oid, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)` Validates the Pattern constraint of 'Oid'.
`boolean` | `validateOid(java.lang.String oid, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateON(ON on, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateOrganizationNamePartQualifier(OrganizationNamePartQualifier organizationNamePartQualifier, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateOrganizationNamePartQualifierObject(OrganizationNamePartQualifier organizationNamePartQualifierObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateOrganizationNameUse_MemberTypes(org.eclipse.emf.common.util.Enumerator organizationNameUse, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)` Validates the MemberTypes constraint of 'Organization Name Use'.
`boolean` | `validateOrganizationNameUse(org.eclipse.emf.common.util.Enumerator organizationNameUse, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateOrganizationNameUseMember2(OrganizationNameUseMember2 organizationNameUseMember2, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateOrganizationNameUseMember2Object(OrganizationNameUseMember2 organizationNameUseMember2Object, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateOther(Other other, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateOtherObject(Other otherObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateParticipationAncillary(ParticipationAncillary participationAncillary, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateParticipationAncillaryObject(ParticipationAncillary participationAncillaryObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateParticipationIndirectTarget(ParticipationIndirectTarget participationIndirectTarget, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateParticipationIndirectTargetObject(ParticipationIndirectTarget participationIndirectTargetObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateParticipationInformationGenerator(ParticipationInformationGenerator participationInformationGenerator, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateParticipationInformationGeneratorObject(ParticipationInformationGenerator participationInformationGeneratorObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateParticipationInformationRecipient(ParticipationInformationRecipient participationInformationRecipient, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateParticipationInformationRecipientObject(ParticipationInformationRecipient participationInformationRecipientObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateParticipationPhysicalPerformer(ParticipationPhysicalPerformer participationPhysicalPerformer, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateParticipationPhysicalPerformerObject(ParticipationPhysicalPerformer participationPhysicalPerformerObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateParticipationTargetDevice(ParticipationTargetDevice participationTargetDevice, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateParticipationTargetDeviceObject(ParticipationTargetDevice participationTargetDeviceObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateParticipationTargetDirect_MemberTypes(org.eclipse.emf.common.util.Enumerator participationTargetDirect, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)` Validates the MemberTypes constraint of 'Participation Target Direct'.
`boolean` | `validateParticipationTargetDirect(org.eclipse.emf.common.util.Enumerator participationTargetDirect, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateParticipationTargetDirectMember2(ParticipationTargetDirectMember2 participationTargetDirectMember2, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateParticipationTargetDirectMember2Object(ParticipationTargetDirectMember2 participationTargetDirectMember2Object, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateParticipationTargetLocation(ParticipationTargetLocation participationTargetLocation, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateParticipationTargetLocationObject(ParticipationTargetLocation participationTargetLocationObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateParticipationTargetSubject(ParticipationTargetSubject participationTargetSubject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateParticipationTargetSubjectObject(ParticipationTargetSubject participationTargetSubjectObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateParticipationType_MemberTypes(org.eclipse.emf.common.util.Enumerator participationType, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)` Validates the MemberTypes constraint of 'Participation Type'.
`boolean` | `validateParticipationType(org.eclipse.emf.common.util.Enumerator participationType, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateParticipationTypeMember16(ParticipationTypeMember16 participationTypeMember16, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateParticipationTypeMember16Object(ParticipationTypeMember16 participationTypeMember16Object, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateParticipationVerifier(ParticipationVerifier participationVerifier, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateParticipationVerifierObject(ParticipationVerifier participationVerifierObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePersonNamePartAffixTypes(PersonNamePartAffixTypes personNamePartAffixTypes, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePersonNamePartAffixTypesObject(PersonNamePartAffixTypes personNamePartAffixTypesObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePersonNamePartChangeQualifier(PersonNamePartChangeQualifier personNamePartChangeQualifier, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePersonNamePartChangeQualifierObject(PersonNamePartChangeQualifier personNamePartChangeQualifierObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePersonNamePartMiscQualifier(PersonNamePartMiscQualifier personNamePartMiscQualifier, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePersonNamePartMiscQualifierObject(PersonNamePartMiscQualifier personNamePartMiscQualifierObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePersonNamePartQualifier_MemberTypes(org.eclipse.emf.common.util.Enumerator personNamePartQualifier, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)` Validates the MemberTypes constraint of 'Person Name Part Qualifier'.
`boolean` | `validatePersonNamePartQualifier(org.eclipse.emf.common.util.Enumerator personNamePartQualifier, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePersonNamePartQualifierMember3(PersonNamePartQualifierMember3 personNamePartQualifierMember3, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePersonNamePartQualifierMember3Object(PersonNamePartQualifierMember3 personNamePartQualifierMember3Object, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePersonNameUse_MemberTypes(org.eclipse.emf.common.util.Enumerator personNameUse, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)` Validates the MemberTypes constraint of 'Person Name Use'.
`boolean` | `validatePersonNameUse(org.eclipse.emf.common.util.Enumerator personNameUse, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePersonNameUseMember3(PersonNameUseMember3 personNameUseMember3, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePersonNameUseMember3Object(PersonNameUseMember3 personNameUseMember3Object, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePIVLPPDTS(PIVLPPDTS pivlppdts, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePIVLTS(PIVLTS pivlts, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePN(PN pn, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePOCDMT000040Act(POCDMT000040Act pocdmt000040Act, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePOCDMT000040AssignedAuthor(POCDMT000040AssignedAuthor pocdmt000040AssignedAuthor, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePOCDMT000040AssignedCustodian(POCDMT000040AssignedCustodian pocdmt000040AssignedCustodian, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePOCDMT000040AssignedEntity(POCDMT000040AssignedEntity pocdmt000040AssignedEntity, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePOCDMT000040AssociatedEntity(POCDMT000040AssociatedEntity pocdmt000040AssociatedEntity, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePOCDMT000040Authenticator(POCDMT000040Authenticator pocdmt000040Authenticator, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePOCDMT000040Author(POCDMT000040Author pocdmt000040Author, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePOCDMT000040AuthoringDevice(POCDMT000040AuthoringDevice pocdmt000040AuthoringDevice, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePOCDMT000040Authorization(POCDMT000040Authorization pocdmt000040Authorization, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePOCDMT000040Birthplace(POCDMT000040Birthplace pocdmt000040Birthplace, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePOCDMT000040ClinicalDocument(POCDMT000040ClinicalDocument pocdmt000040ClinicalDocument, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePOCDMT000040Component1(POCDMT000040Component1 pocdmt000040Component1, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePOCDMT000040Component2(POCDMT000040Component2 pocdmt000040Component2, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePOCDMT000040Component3(POCDMT000040Component3 pocdmt000040Component3, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePOCDMT000040Component4(POCDMT000040Component4 pocdmt000040Component4, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePOCDMT000040Component5(POCDMT000040Component5 pocdmt000040Component5, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePOCDMT000040Consent(POCDMT000040Consent pocdmt000040Consent, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePOCDMT000040Consumable(POCDMT000040Consumable pocdmt000040Consumable, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePOCDMT000040Criterion(POCDMT000040Criterion pocdmt000040Criterion, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePOCDMT000040Custodian(POCDMT000040Custodian pocdmt000040Custodian, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePOCDMT000040CustodianOrganization(POCDMT000040CustodianOrganization pocdmt000040CustodianOrganization, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePOCDMT000040DataEnterer(POCDMT000040DataEnterer pocdmt000040DataEnterer, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePOCDMT000040Device(POCDMT000040Device pocdmt000040Device, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePOCDMT000040DocumentationOf(POCDMT000040DocumentationOf pocdmt000040DocumentationOf, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePOCDMT000040EncompassingEncounter(POCDMT000040EncompassingEncounter pocdmt000040EncompassingEncounter, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePOCDMT000040Encounter(POCDMT000040Encounter pocdmt000040Encounter, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePOCDMT000040EncounterParticipant(POCDMT000040EncounterParticipant pocdmt000040EncounterParticipant, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePOCDMT000040Entity(POCDMT000040Entity pocdmt000040Entity, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePOCDMT000040Entry(POCDMT000040Entry pocdmt000040Entry, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePOCDMT000040EntryRelationship(POCDMT000040EntryRelationship pocdmt000040EntryRelationship, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePOCDMT000040ExternalAct(POCDMT000040ExternalAct pocdmt000040ExternalAct, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePOCDMT000040ExternalDocument(POCDMT000040ExternalDocument pocdmt000040ExternalDocument, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePOCDMT000040ExternalObservation(POCDMT000040ExternalObservation pocdmt000040ExternalObservation, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePOCDMT000040ExternalProcedure(POCDMT000040ExternalProcedure pocdmt000040ExternalProcedure, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePOCDMT000040Guardian(POCDMT000040Guardian pocdmt000040Guardian, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePOCDMT000040HealthCareFacility(POCDMT000040HealthCareFacility pocdmt000040HealthCareFacility, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePOCDMT000040Informant12(POCDMT000040Informant12 pocdmt000040Informant12, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePOCDMT000040InformationRecipient(POCDMT000040InformationRecipient pocdmt000040InformationRecipient, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePOCDMT000040InfrastructureRootTypeId(POCDMT000040InfrastructureRootTypeId pocdmt000040InfrastructureRootTypeId, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePOCDMT000040InFulfillmentOf(POCDMT000040InFulfillmentOf pocdmt000040InFulfillmentOf, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePOCDMT000040IntendedRecipient(POCDMT000040IntendedRecipient pocdmt000040IntendedRecipient, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePOCDMT000040LabeledDrug(POCDMT000040LabeledDrug pocdmt000040LabeledDrug, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePOCDMT000040LanguageCommunication(POCDMT000040LanguageCommunication pocdmt000040LanguageCommunication, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePOCDMT000040LegalAuthenticator(POCDMT000040LegalAuthenticator pocdmt000040LegalAuthenticator, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePOCDMT000040Location(POCDMT000040Location pocdmt000040Location, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePOCDMT000040MaintainedEntity(POCDMT000040MaintainedEntity pocdmt000040MaintainedEntity, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePOCDMT000040ManufacturedProduct(POCDMT000040ManufacturedProduct pocdmt000040ManufacturedProduct, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePOCDMT000040Material(POCDMT000040Material pocdmt000040Material, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePOCDMT000040NonXMLBody(POCDMT000040NonXMLBody pocdmt000040NonXMLBody, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePOCDMT000040Observation(POCDMT000040Observation pocdmt000040Observation, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePOCDMT000040ObservationMedia(POCDMT000040ObservationMedia pocdmt000040ObservationMedia, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePOCDMT000040ObservationRange(POCDMT000040ObservationRange pocdmt000040ObservationRange, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePOCDMT000040Order(POCDMT000040Order pocdmt000040Order, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePOCDMT000040Organization(POCDMT000040Organization pocdmt000040Organization, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePOCDMT000040OrganizationPartOf(POCDMT000040OrganizationPartOf pocdmt000040OrganizationPartOf, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePOCDMT000040Organizer(POCDMT000040Organizer pocdmt000040Organizer, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePOCDMT000040ParentDocument(POCDMT000040ParentDocument pocdmt000040ParentDocument, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePOCDMT000040Participant1(POCDMT000040Participant1 pocdmt000040Participant1, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePOCDMT000040Participant2(POCDMT000040Participant2 pocdmt000040Participant2, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePOCDMT000040ParticipantRole(POCDMT000040ParticipantRole pocdmt000040ParticipantRole, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePOCDMT000040Patient(POCDMT000040Patient pocdmt000040Patient, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePOCDMT000040PatientRole(POCDMT000040PatientRole pocdmt000040PatientRole, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePOCDMT000040Performer1(POCDMT000040Performer1 pocdmt000040Performer1, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePOCDMT000040Performer2(POCDMT000040Performer2 pocdmt000040Performer2, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePOCDMT000040Person(POCDMT000040Person pocdmt000040Person, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePOCDMT000040Place(POCDMT000040Place pocdmt000040Place, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePOCDMT000040PlayingEntity(POCDMT000040PlayingEntity pocdmt000040PlayingEntity, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePOCDMT000040Precondition(POCDMT000040Precondition pocdmt000040Precondition, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePOCDMT000040Procedure(POCDMT000040Procedure pocdmt000040Procedure, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePOCDMT000040Product(POCDMT000040Product pocdmt000040Product, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePOCDMT000040RecordTarget(POCDMT000040RecordTarget pocdmt000040RecordTarget, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePOCDMT000040Reference(POCDMT000040Reference pocdmt000040Reference, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePOCDMT000040ReferenceRange(POCDMT000040ReferenceRange pocdmt000040ReferenceRange, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePOCDMT000040RegionOfInterest(POCDMT000040RegionOfInterest pocdmt000040RegionOfInterest, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePOCDMT000040RegionOfInterestValue(POCDMT000040RegionOfInterestValue pocdmt000040RegionOfInterestValue, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePOCDMT000040RelatedDocument(POCDMT000040RelatedDocument pocdmt000040RelatedDocument, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePOCDMT000040RelatedEntity(POCDMT000040RelatedEntity pocdmt000040RelatedEntity, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePOCDMT000040RelatedSubject(POCDMT000040RelatedSubject pocdmt000040RelatedSubject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePOCDMT000040ResponsibleParty(POCDMT000040ResponsibleParty pocdmt000040ResponsibleParty, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePOCDMT000040Section(POCDMT000040Section pocdmt000040Section, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePOCDMT000040ServiceEvent(POCDMT000040ServiceEvent pocdmt000040ServiceEvent, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePOCDMT000040Specimen(POCDMT000040Specimen pocdmt000040Specimen, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePOCDMT000040SpecimenRole(POCDMT000040SpecimenRole pocdmt000040SpecimenRole, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePOCDMT000040StructuredBody(POCDMT000040StructuredBody pocdmt000040StructuredBody, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePOCDMT000040Subject(POCDMT000040Subject pocdmt000040Subject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePOCDMT000040SubjectPerson(POCDMT000040SubjectPerson pocdmt000040SubjectPerson, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePOCDMT000040SubstanceAdministration(POCDMT000040SubstanceAdministration pocdmt000040SubstanceAdministration, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePOCDMT000040Supply(POCDMT000040Supply pocdmt000040Supply, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePostalAddressUse_MemberTypes(org.eclipse.emf.common.util.Enumerator postalAddressUse, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)` Validates the MemberTypes constraint of 'Postal Address Use'.
`boolean` | `validatePostalAddressUse(org.eclipse.emf.common.util.Enumerator postalAddressUse, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePostalAddressUseMember2(PostalAddressUseMember2 postalAddressUseMember2, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePostalAddressUseMember2Object(PostalAddressUseMember2 postalAddressUseMember2Object, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePPDPQ(PPDPQ ppdpq, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePPDTS(PPDTS ppdts, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePQ(PQ pq, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePQR(PQR pqr, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateProbability_Max(double probability, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)` Validates the Max constraint of 'Probability'.
`boolean` | `validateProbability_Min(double probability, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)` Validates the Min constraint of 'Probability'.
`boolean` | `validateProbability(double probability, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateProbabilityDistributionType(ProbabilityDistributionType probabilityDistributionType, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateProbabilityDistributionTypeObject(ProbabilityDistributionType probabilityDistributionTypeObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateProbabilityObject(java.lang.Double probabilityObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateQTY(QTY qty, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateReal_MemberTypes(java.lang.Object real, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)` Validates the MemberTypes constraint of 'Real'.
`boolean` | `validateReal(java.lang.Object real, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateREAL1(REAL1 real1, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateRelatedLinkType(RelatedLinkType relatedLinkType, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateRelatedLinkTypeObject(RelatedLinkType relatedLinkTypeObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateRevisedType(RevisedType revisedType, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateRevisedTypeObject(RevisedType revisedTypeObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateRoleClass_MemberTypes(java.lang.Object roleClass, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)` Validates the MemberTypes constraint of 'Role Class'.
`boolean` | `validateRoleClass(java.lang.Object roleClass, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateRoleClassAgent_MemberTypes(org.eclipse.emf.common.util.Enumerator roleClassAgent, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)` Validates the MemberTypes constraint of 'Role Class Agent'.
`boolean` | `validateRoleClassAgent(org.eclipse.emf.common.util.Enumerator roleClassAgent, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateRoleClassAgentMember1(RoleClassAgentMember1 roleClassAgentMember1, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateRoleClassAgentMember1Object(RoleClassAgentMember1 roleClassAgentMember1Object, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateRoleClassAssignedEntity_MemberTypes(org.eclipse.emf.common.util.Enumerator roleClassAssignedEntity, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)` Validates the MemberTypes constraint of 'Role Class Assigned Entity'.
`boolean` | `validateRoleClassAssignedEntity(org.eclipse.emf.common.util.Enumerator roleClassAssignedEntity, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateRoleClassAssignedEntityMember1(RoleClassAssignedEntityMember1 roleClassAssignedEntityMember1, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateRoleClassAssignedEntityMember1Object(RoleClassAssignedEntityMember1 roleClassAssignedEntityMember1Object, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateRoleClassAssociative_MemberTypes(java.lang.Object roleClassAssociative, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)` Validates the MemberTypes constraint of 'Role Class Associative'.
`boolean` | `validateRoleClassAssociative(java.lang.Object roleClassAssociative, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateRoleClassAssociativeMember2(java.lang.String roleClassAssociativeMember2, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateRoleClassContact(RoleClassContact roleClassContact, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateRoleClassContactObject(RoleClassContact roleClassContactObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateRoleClassDistributedMaterial(RoleClassDistributedMaterial roleClassDistributedMaterial, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateRoleClassDistributedMaterialObject(RoleClassDistributedMaterial roleClassDistributedMaterialObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateRoleClassEmployee(RoleClassEmployee roleClassEmployee, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateRoleClassEmployeeObject(RoleClassEmployee roleClassEmployeeObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateRoleClassInactiveIngredient(RoleClassInactiveIngredient roleClassInactiveIngredient, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateRoleClassInactiveIngredientObject(RoleClassInactiveIngredient roleClassInactiveIngredientObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateRoleClassIngredientEntity_MemberTypes(org.eclipse.emf.common.util.Enumerator roleClassIngredientEntity, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)` Validates the MemberTypes constraint of 'Role Class Ingredient Entity'.
`boolean` | `validateRoleClassIngredientEntity(org.eclipse.emf.common.util.Enumerator roleClassIngredientEntity, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateRoleClassIngredientEntityMember1(RoleClassIngredientEntityMember1 roleClassIngredientEntityMember1, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateRoleClassIngredientEntityMember1Object(RoleClassIngredientEntityMember1 roleClassIngredientEntityMember1Object, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateRoleClassInvestigationSubject(RoleClassInvestigationSubject roleClassInvestigationSubject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateRoleClassInvestigationSubjectObject(RoleClassInvestigationSubject roleClassInvestigationSubjectObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateRoleClassIsSpeciesEntity(RoleClassIsSpeciesEntity roleClassIsSpeciesEntity, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateRoleClassIsSpeciesEntityObject(RoleClassIsSpeciesEntity roleClassIsSpeciesEntityObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateRoleClassLocatedEntity(RoleClassLocatedEntity roleClassLocatedEntity, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateRoleClassLocatedEntityObject(RoleClassLocatedEntity roleClassLocatedEntityObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateRoleClassManufacturedProduct(RoleClassManufacturedProduct roleClassManufacturedProduct, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateRoleClassManufacturedProductObject(RoleClassManufacturedProduct roleClassManufacturedProductObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateRoleClassMutualRelationship_MemberTypes(org.eclipse.emf.common.util.Enumerator roleClassMutualRelationship, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)` Validates the MemberTypes constraint of 'Role Class Mutual Relationship'.
`boolean` | `validateRoleClassMutualRelationship(org.eclipse.emf.common.util.Enumerator roleClassMutualRelationship, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateRoleClassMutualRelationshipMember1(RoleClassMutualRelationshipMember1 roleClassMutualRelationshipMember1, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateRoleClassMutualRelationshipMember1Object(RoleClassMutualRelationshipMember1 roleClassMutualRelationshipMember1Object, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateRoleClassOntological_MemberTypes(org.eclipse.emf.common.util.Enumerator roleClassOntological, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)` Validates the MemberTypes constraint of 'Role Class Ontological'.
`boolean` | `validateRoleClassOntological(org.eclipse.emf.common.util.Enumerator roleClassOntological, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateRoleClassOntologicalMember1(RoleClassOntologicalMember1 roleClassOntologicalMember1, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateRoleClassOntologicalMember1Object(RoleClassOntologicalMember1 roleClassOntologicalMember1Object, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateRoleClassPartitive_MemberTypes(org.eclipse.emf.common.util.Enumerator roleClassPartitive, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)` Validates the MemberTypes constraint of 'Role Class Partitive'.
`boolean` | `validateRoleClassPartitive(org.eclipse.emf.common.util.Enumerator roleClassPartitive, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateRoleClassPartitiveMember3(RoleClassPartitiveMember3 roleClassPartitiveMember3, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateRoleClassPartitiveMember3Object(RoleClassPartitiveMember3 roleClassPartitiveMember3Object, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateRoleClassPassive_MemberTypes(org.eclipse.emf.common.util.Enumerator roleClassPassive, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)` Validates the MemberTypes constraint of 'Role Class Passive'.
`boolean` | `validateRoleClassPassive(org.eclipse.emf.common.util.Enumerator roleClassPassive, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateRoleClassPassiveMember3(RoleClassPassiveMember3 roleClassPassiveMember3, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateRoleClassPassiveMember3Object(RoleClassPassiveMember3 roleClassPassiveMember3Object, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateRoleClassRelationshipFormal_MemberTypes(org.eclipse.emf.common.util.Enumerator roleClassRelationshipFormal, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)` Validates the MemberTypes constraint of 'Role Class Relationship Formal'.
`boolean` | `validateRoleClassRelationshipFormal(org.eclipse.emf.common.util.Enumerator roleClassRelationshipFormal, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateRoleClassRelationshipFormalMember4(RoleClassRelationshipFormalMember4 roleClassRelationshipFormalMember4, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateRoleClassRelationshipFormalMember4Object(RoleClassRelationshipFormalMember4 roleClassRelationshipFormalMember4Object, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateRoleClassRoot_MemberTypes(java.lang.Object roleClassRoot, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)` Validates the MemberTypes constraint of 'Role Class Root'.
`boolean` | `validateRoleClassRoot(java.lang.Object roleClassRoot, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateRoleClassRootMember11(RoleClassRootMember11 roleClassRootMember11, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateRoleClassRootMember11Object(RoleClassRootMember11 roleClassRootMember11Object, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateRoleClassServiceDeliveryLocation(RoleClassServiceDeliveryLocation roleClassServiceDeliveryLocation, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateRoleClassServiceDeliveryLocationObject(RoleClassServiceDeliveryLocation roleClassServiceDeliveryLocationObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateRoleClassSpecimen(RoleClassSpecimen roleClassSpecimen, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateRoleClassSpecimenObject(RoleClassSpecimen roleClassSpecimenObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateRoleLinkType_MemberTypes(org.eclipse.emf.common.util.Enumerator roleLinkType, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)` Validates the MemberTypes constraint of 'Role Link Type'.
`boolean` | `validateRoleLinkType(org.eclipse.emf.common.util.Enumerator roleLinkType, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateRTO(RTO rto, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateRTOMOPQ(RTOMOPQ rtomopq, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateRTOPQPQ(RTOPQPQ rtopqpq, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateRTOQTYQTY(RTOQTYQTY rtoqtyqty, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateRuid_Pattern(java.lang.String ruid, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)` Validates the Pattern constraint of 'Ruid'.
`boolean` | `validateRuid(java.lang.String ruid, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateRulesType(RulesType rulesType, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateRulesTypeObject(RulesType rulesTypeObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateSC(SC sc, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateScopeType(ScopeType scopeType, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateScopeType1(ScopeType1 scopeType1, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateScopeTypeObject(ScopeType scopeTypeObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateScopeTypeObject1(ScopeType1 scopeTypeObject1, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateSetEntityNamePartQualifier_ItemType(java.util.List setEntityNamePartQualifier, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)` Validates the ItemType constraint of 'Set Entity Name Part Qualifier'.
`boolean` | `validateSetEntityNamePartQualifier(java.util.List setEntityNamePartQualifier, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateSetEntityNameUse_ItemType(java.util.List setEntityNameUse, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)` Validates the ItemType constraint of 'Set Entity Name Use'.
`boolean` | `validateSetEntityNameUse(java.util.List setEntityNameUse, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateSetOperator(SetOperator setOperator, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateSetOperatorObject(SetOperator setOperatorObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateSetPostalAddressUse_ItemType(java.util.List setPostalAddressUse, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)` Validates the ItemType constraint of 'Set Postal Address Use'.
`boolean` | `validateSetPostalAddressUse(java.util.List setPostalAddressUse, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateSetTelecommunicationAddressUse_ItemType(java.util.List setTelecommunicationAddressUse, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)` Validates the ItemType constraint of 'Set Telecommunication Address Use'.
`boolean` | `validateSetTelecommunicationAddressUse(java.util.List setTelecommunicationAddressUse, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateSLISTPQ(SLISTPQ slistpq, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateSLISTTS(SLISTTS slistts, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateSt_MinLength(java.lang.String st, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)` Validates the MinLength constraint of 'St'.
`boolean` | `validateSt(java.lang.String st, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateST1(ST1 st1, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateState(State state, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateStateObject(State stateObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateStreetAddressLine_MemberTypes(org.eclipse.emf.common.util.Enumerator streetAddressLine, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)` Validates the MemberTypes constraint of 'Street Address Line'.
`boolean` | `validateStreetAddressLine(org.eclipse.emf.common.util.Enumerator streetAddressLine, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateStreetAddressLineMember2(StreetAddressLineMember2 streetAddressLineMember2, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateStreetAddressLineMember2Object(StreetAddressLineMember2 streetAddressLineMember2Object, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateStreetName(StreetName streetName, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateStreetNameObject(StreetName streetNameObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateStrucDocBr(StrucDocBr strucDocBr, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateStrucDocCaption(StrucDocCaption strucDocCaption, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateStrucDocCol(StrucDocCol strucDocCol, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateStrucDocColgroup(StrucDocColgroup strucDocColgroup, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateStrucDocContent(StrucDocContent strucDocContent, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateStrucDocFootnote(StrucDocFootnote strucDocFootnote, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateStrucDocFootnoteRef(StrucDocFootnoteRef strucDocFootnoteRef, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateStrucDocItem(StrucDocItem strucDocItem, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateStrucDocLinkHtml(StrucDocLinkHtml strucDocLinkHtml, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateStrucDocList(StrucDocList strucDocList, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateStrucDocParagraph(StrucDocParagraph strucDocParagraph, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateStrucDocRenderMultiMedia(StrucDocRenderMultiMedia strucDocRenderMultiMedia, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateStrucDocSub(StrucDocSub strucDocSub, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateStrucDocSup(StrucDocSup strucDocSup, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateStrucDocTable(StrucDocTable strucDocTable, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateStrucDocTbody(StrucDocTbody strucDocTbody, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateStrucDocTd(StrucDocTd strucDocTd, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateStrucDocText(StrucDocText strucDocText, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateStrucDocTfoot(StrucDocTfoot strucDocTfoot, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateStrucDocTh(StrucDocTh strucDocTh, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateStrucDocThead(StrucDocThead strucDocThead, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateStrucDocTitle(StrucDocTitle strucDocTitle, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateStrucDocTitleContent(StrucDocTitleContent strucDocTitleContent, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateStrucDocTitleFootnote(StrucDocTitleFootnote strucDocTitleFootnote, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateStrucDocTr(StrucDocTr strucDocTr, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateSXCMCD(SXCMCD sxcmcd, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateSXCMINT(SXCMINT sxcmint, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateSXCMMO(SXCMMO sxcmmo, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateSXCMPPDPQ(SXCMPPDPQ sxcmppdpq, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateSXCMPPDTS(SXCMPPDTS sxcmppdts, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateSXCMPQ(SXCMPQ sxcmpq, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateSXCMREAL(SXCMREAL sxcmreal, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateSXCMTS(SXCMTS sxcmts, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateSXPRTS(SXPRTS sxprts, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateTEL(TEL tel, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateTelecommunicationAddressUse_MemberTypes(org.eclipse.emf.common.util.Enumerator telecommunicationAddressUse, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)` Validates the MemberTypes constraint of 'Telecommunication Address Use'.
`boolean` | `validateTelecommunicationAddressUse(org.eclipse.emf.common.util.Enumerator telecommunicationAddressUse, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateTelecommunicationAddressUseMember1(TelecommunicationAddressUseMember1 telecommunicationAddressUseMember1, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateTelecommunicationAddressUseMember1Object(TelecommunicationAddressUseMember1 telecommunicationAddressUseMember1Object, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateTemporallyPertains(TemporallyPertains temporallyPertains, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateTemporallyPertainsObject(TemporallyPertains temporallyPertainsObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateTextMediaType(TextMediaType textMediaType, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateTextMediaTypeObject(TextMediaType textMediaTypeObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateThumbnail(Thumbnail thumbnail, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateTimingEvent(TimingEvent timingEvent, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateTimingEventObject(TimingEvent timingEventObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateTN(TN tn, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateTs_Pattern(java.lang.String ts, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)` Validates the Pattern constraint of 'Ts'.
`boolean` | `validateTs(java.lang.String ts, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateTS1(TS1 ts1, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateUid_MemberTypes(java.lang.String uid, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)` Validates the MemberTypes constraint of 'Uid'.
`boolean` | `validateUid(java.lang.String uid, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateUnknown_MemberTypes(org.eclipse.emf.common.util.Enumerator unknown, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)` Validates the MemberTypes constraint of 'Unknown'.
`boolean` | `validateUnknown(org.eclipse.emf.common.util.Enumerator unknown, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateUnknownMember1(UnknownMember1 unknownMember1, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateUnknownMember1Object(UnknownMember1 unknownMember1Object, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateUrl(java.lang.String url, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateURL1(URL1 url1, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateURLScheme(URLScheme urlScheme, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateURLSchemeObject(URLScheme urlSchemeObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateUuid_Pattern(java.lang.String uuid, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)` Validates the Pattern constraint of 'Uuid'.
`boolean` | `validateUuid(java.lang.String uuid, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateUVPTS(UVPTS uvpts, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateValignType(ValignType valignType, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateValignType1(ValignType1 valignType1, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateValignType2(ValignType2 valignType2, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateValignType3(ValignType3 valignType3, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateValignType4(ValignType4 valignType4, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateValignType5(ValignType5 valignType5, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateValignType6(ValignType6 valignType6, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateValignType7(ValignType7 valignType7, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateValignTypeObject(ValignType valignTypeObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateValignTypeObject1(ValignType3 valignTypeObject1, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateValignTypeObject2(ValignType2 valignTypeObject2, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateValignTypeObject3(ValignType6 valignTypeObject3, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateValignTypeObject4(ValignType5 valignTypeObject4, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateValignTypeObject5(ValignType4 valignTypeObject5, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateValignTypeObject6(ValignType1 valignTypeObject6, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateValignTypeObject7(ValignType7 valignTypeObject7, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateVideoMediaType(VideoMediaType videoMediaType, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateVideoMediaTypeObject(VideoMediaType videoMediaTypeObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateWorkPlaceAddressUse(WorkPlaceAddressUse workPlaceAddressUse, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateWorkPlaceAddressUseObject(WorkPlaceAddressUse workPlaceAddressUseObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateXActClassDocumentEntryAct(XActClassDocumentEntryAct xActClassDocumentEntryAct, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateXActClassDocumentEntryActObject(XActClassDocumentEntryAct xActClassDocumentEntryActObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateXActClassDocumentEntryOrganizer(XActClassDocumentEntryOrganizer xActClassDocumentEntryOrganizer, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateXActClassDocumentEntryOrganizerObject(XActClassDocumentEntryOrganizer xActClassDocumentEntryOrganizerObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateXActMoodDefEvn(XActMoodDefEvn xActMoodDefEvn, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateXActMoodDefEvnObject(XActMoodDefEvn xActMoodDefEvnObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateXActMoodDefEvnRqoPrmsPrp(XActMoodDefEvnRqoPrmsPrp xActMoodDefEvnRqoPrmsPrp, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateXActMoodDefEvnRqoPrmsPrpObject(XActMoodDefEvnRqoPrmsPrp xActMoodDefEvnRqoPrmsPrpObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateXActMoodDocumentObservation(XActMoodDocumentObservation xActMoodDocumentObservation, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateXActMoodDocumentObservationObject(XActMoodDocumentObservation xActMoodDocumentObservationObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateXActMoodEvnOrdPrmsPrp(XActMoodEvnOrdPrmsPrp xActMoodEvnOrdPrmsPrp, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateXActMoodEvnOrdPrmsPrpObject(XActMoodEvnOrdPrmsPrp xActMoodEvnOrdPrmsPrpObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateXActMoodIntentEvent_MemberTypes(org.eclipse.emf.common.util.Enumerator xActMoodIntentEvent, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)` Validates the MemberTypes constraint of 'XAct Mood Intent Event'.
`boolean` | `validateXActMoodIntentEvent(org.eclipse.emf.common.util.Enumerator xActMoodIntentEvent, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateXActMoodIntentEventMember1(XActMoodIntentEventMember1 xActMoodIntentEventMember1, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateXActMoodIntentEventMember1Object(XActMoodIntentEventMember1 xActMoodIntentEventMember1Object, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateXActMoodOrdPrms(XActMoodOrdPrms xActMoodOrdPrms, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateXActMoodOrdPrmsEvn(XActMoodOrdPrmsEvn xActMoodOrdPrmsEvn, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateXActMoodOrdPrmsEvnObject(XActMoodOrdPrmsEvn xActMoodOrdPrmsEvnObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateXActMoodOrdPrmsObject(XActMoodOrdPrms xActMoodOrdPrmsObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateXActMoodRqoPrpAptArq(XActMoodRqoPrpAptArq xActMoodRqoPrpAptArq, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateXActMoodRqoPrpAptArqObject(XActMoodRqoPrpAptArq xActMoodRqoPrpAptArqObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateXActRelationshipDocument(XActRelationshipDocument xActRelationshipDocument, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateXActRelationshipDocumentObject(XActRelationshipDocument xActRelationshipDocumentObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateXActRelationshipEntry(XActRelationshipEntry xActRelationshipEntry, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateXActRelationshipEntryObject(XActRelationshipEntry xActRelationshipEntryObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateXActRelationshipEntryRelationship(XActRelationshipEntryRelationship xActRelationshipEntryRelationship, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateXActRelationshipEntryRelationshipObject(XActRelationshipEntryRelationship xActRelationshipEntryRelationshipObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateXActRelationshipExternalReference(XActRelationshipExternalReference xActRelationshipExternalReference, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateXActRelationshipExternalReferenceObject(XActRelationshipExternalReference xActRelationshipExternalReferenceObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateXActRelationshipPatientTransport(XActRelationshipPatientTransport xActRelationshipPatientTransport, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateXActRelationshipPatientTransportObject(XActRelationshipPatientTransport xActRelationshipPatientTransportObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateXActRelationshipPertinentInfo(XActRelationshipPertinentInfo xActRelationshipPertinentInfo, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateXActRelationshipPertinentInfoObject(XActRelationshipPertinentInfo xActRelationshipPertinentInfoObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateXDeterminerInstanceKind(XDeterminerInstanceKind xDeterminerInstanceKind, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateXDeterminerInstanceKindObject(XDeterminerInstanceKind xDeterminerInstanceKindObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateXDocumentActMood(XDocumentActMood xDocumentActMood, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateXDocumentActMoodObject(XDocumentActMood xDocumentActMoodObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateXDocumentEncounterMood(XDocumentEncounterMood xDocumentEncounterMood, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateXDocumentEncounterMoodObject(XDocumentEncounterMood xDocumentEncounterMoodObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateXDocumentEntrySubject(XDocumentEntrySubject xDocumentEntrySubject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateXDocumentEntrySubjectObject(XDocumentEntrySubject xDocumentEntrySubjectObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateXDocumentProcedureMood(XDocumentProcedureMood xDocumentProcedureMood, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateXDocumentProcedureMoodObject(XDocumentProcedureMood xDocumentProcedureMoodObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateXDocumentSubject(XDocumentSubject xDocumentSubject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateXDocumentSubjectObject(XDocumentSubject xDocumentSubjectObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateXDocumentSubstanceMood(XDocumentSubstanceMood xDocumentSubstanceMood, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateXDocumentSubstanceMoodObject(XDocumentSubstanceMood xDocumentSubstanceMoodObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateXEncounterParticipant(XEncounterParticipant xEncounterParticipant, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateXEncounterParticipantObject(XEncounterParticipant xEncounterParticipantObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateXEncounterPerformerParticipation(XEncounterPerformerParticipation xEncounterPerformerParticipation, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateXEncounterPerformerParticipationObject(XEncounterPerformerParticipation xEncounterPerformerParticipationObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateXEntityClassDocumentReceiving_MemberTypes(org.eclipse.emf.common.util.Enumerator xEntityClassDocumentReceiving, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)` Validates the MemberTypes constraint of 'XEntity Class Document Receiving'.
`boolean` | `validateXEntityClassDocumentReceiving(org.eclipse.emf.common.util.Enumerator xEntityClassDocumentReceiving, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateXEntityClassDocumentReceivingMember1(XEntityClassDocumentReceivingMember1 xEntityClassDocumentReceivingMember1, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateXEntityClassDocumentReceivingMember1Object(XEntityClassDocumentReceivingMember1 xEntityClassDocumentReceivingMember1Object, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateXEntityClassPersonOrOrgReceiving_MemberTypes(org.eclipse.emf.common.util.Enumerator xEntityClassPersonOrOrgReceiving, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)` Validates the MemberTypes constraint of 'XEntity Class Person Or Org Receiving'.
`boolean` | `validateXEntityClassPersonOrOrgReceiving(org.eclipse.emf.common.util.Enumerator xEntityClassPersonOrOrgReceiving, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateXEntityClassPersonOrOrgReceivingMember1(XEntityClassPersonOrOrgReceivingMember1 xEntityClassPersonOrOrgReceivingMember1, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateXEntityClassPersonOrOrgReceivingMember1Object(XEntityClassPersonOrOrgReceivingMember1 xEntityClassPersonOrOrgReceivingMember1Object, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateXInformationRecipient(XInformationRecipient xInformationRecipient, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateXInformationRecipientObject(XInformationRecipient xInformationRecipientObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateXInformationRecipientRole(XInformationRecipientRole xInformationRecipientRole, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateXInformationRecipientRoleObject(XInformationRecipientRole xInformationRecipientRoleObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateXOrganizationNamePartType(XOrganizationNamePartType xOrganizationNamePartType, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateXOrganizationNamePartTypeObject(XOrganizationNamePartType xOrganizationNamePartTypeObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateXParticipationAuthorPerformer(XParticipationAuthorPerformer xParticipationAuthorPerformer, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateXParticipationAuthorPerformerObject(XParticipationAuthorPerformer xParticipationAuthorPerformerObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateXParticipationEntVrf(XParticipationEntVrf xParticipationEntVrf, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateXParticipationEntVrfObject(XParticipationEntVrf xParticipationEntVrfObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateXParticipationPrfEntVrf(XParticipationPrfEntVrf xParticipationPrfEntVrf, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateXParticipationPrfEntVrfObject(XParticipationPrfEntVrf xParticipationPrfEntVrfObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateXParticipationVrfRespSprfWit(XParticipationVrfRespSprfWit xParticipationVrfRespSprfWit, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateXParticipationVrfRespSprfWitObject(XParticipationVrfRespSprfWit xParticipationVrfRespSprfWitObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateXPersonNamePartType(XPersonNamePartType xPersonNamePartType, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateXPersonNamePartTypeObject(XPersonNamePartType xPersonNamePartTypeObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateXRoleClassAccommodationRequestor(XRoleClassAccommodationRequestor xRoleClassAccommodationRequestor, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateXRoleClassAccommodationRequestorObject(XRoleClassAccommodationRequestor xRoleClassAccommodationRequestorObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateXRoleClassCoverage(XRoleClassCoverage xRoleClassCoverage, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateXRoleClassCoverageInvoice(XRoleClassCoverageInvoice xRoleClassCoverageInvoice, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateXRoleClassCoverageInvoiceObject(XRoleClassCoverageInvoice xRoleClassCoverageInvoiceObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateXRoleClassCoverageObject(XRoleClassCoverage xRoleClassCoverageObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateXRoleClassCredentialedEntity_MemberTypes(org.eclipse.emf.common.util.Enumerator xRoleClassCredentialedEntity, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)` Validates the MemberTypes constraint of 'XRole Class Credentialed Entity'.
`boolean` | `validateXRoleClassCredentialedEntity(org.eclipse.emf.common.util.Enumerator xRoleClassCredentialedEntity, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateXRoleClassCredentialedEntityMember1(XRoleClassCredentialedEntityMember1 xRoleClassCredentialedEntityMember1, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateXRoleClassCredentialedEntityMember1Object(XRoleClassCredentialedEntityMember1 xRoleClassCredentialedEntityMember1Object, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateXRoleClassPayeePolicyRelationship(XRoleClassPayeePolicyRelationship xRoleClassPayeePolicyRelationship, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateXRoleClassPayeePolicyRelationshipObject(XRoleClassPayeePolicyRelationship xRoleClassPayeePolicyRelationshipObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateXServiceEventPerformer(XServiceEventPerformer xServiceEventPerformer, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateXServiceEventPerformerObject(XServiceEventPerformer xServiceEventPerformerObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`

Methods inherited from class org.eclipse.emf.ecore.util.EObjectValidator
`getFeatureLabel, getObjectLabel, getValueLabel, validate_EveryDataValueConforms, validate_EveryDefaultConstraint, validate_EveryMultiplicityConforms, validate_EveryProxyResolves, validate_EveryReferenceIsContained, validate_UniqueID, validate, validate, validate`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final CDAR2Validator INSTANCE

  The cached model package

### DIAGNOSTIC_SOURCE

    public static final java.lang.String DIAGNOSTIC_SOURCE

  A constant for the `source` of diagnostic `codes` from this package.

  See Also:
    `Diagnostic.getSource()`, `Diagnostic.getCode()`, Constant Field Values

### BL__PATTERN__VALUES

    public static final org.eclipse.emf.ecore.EValidator.PatternMatcher[][] BL__PATTERN__VALUES

  See Also:
    `validateBl_Pattern(boolean, org.eclipse.emf.common.util.DiagnosticChain, java.util.Map)`

### CS__PATTERN__VALUES

    public static final org.eclipse.emf.ecore.EValidator.PatternMatcher[][] CS__PATTERN__VALUES

  See Also:
    `validateCs_Pattern(java.lang.String, org.eclipse.emf.common.util.DiagnosticChain, java.util.Map)`

### OID__PATTERN__VALUES

    public static final org.eclipse.emf.ecore.EValidator.PatternMatcher[][] OID__PATTERN__VALUES

  See Also:
    `validateOid_Pattern(java.lang.String, org.eclipse.emf.common.util.DiagnosticChain, java.util.Map)`

### PROBABILITY__MIN__VALUE

    public static final double PROBABILITY__MIN__VALUE

  See Also:
    `validateProbability_Min(double, org.eclipse.emf.common.util.DiagnosticChain, java.util.Map)`, Constant Field Values

### PROBABILITY__MAX__VALUE

    public static final double PROBABILITY__MAX__VALUE

  See Also:
    `validateProbability_Max(double, org.eclipse.emf.common.util.DiagnosticChain, java.util.Map)`, Constant Field Values

### RUID__PATTERN__VALUES

    public static final org.eclipse.emf.ecore.EValidator.PatternMatcher[][] RUID__PATTERN__VALUES

  See Also:
    `validateRuid_Pattern(java.lang.String, org.eclipse.emf.common.util.DiagnosticChain, java.util.Map)`

### TS__PATTERN__VALUES

    public static final org.eclipse.emf.ecore.EValidator.PatternMatcher[][] TS__PATTERN__VALUES

  See Also:
    `validateTs_Pattern(java.lang.String, org.eclipse.emf.common.util.DiagnosticChain, java.util.Map)`

### UUID__PATTERN__VALUES

    public static final org.eclipse.emf.ecore.EValidator.PatternMatcher[][] UUID__PATTERN__VALUES

  See Also:
    `validateUuid_Pattern(java.lang.String, org.eclipse.emf.common.util.DiagnosticChain, java.util.Map)`

Constructor Detail

### CDAR2Validator

    public CDAR2Validator()

  Creates an instance of the switch.

Method Detail

### validateAD

    public boolean validateAD(AD ad,
                              org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                              java.util.Map context)

### validateADXP

    public boolean validateADXP(ADXP adxp,
                                org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                java.util.Map context)

### validateAdxpAdditionalLocator

    public boolean validateAdxpAdditionalLocator(AdxpAdditionalLocator adxpAdditionalLocator,
                                                 org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                 java.util.Map context)

### validateAdxpBuildingNumberSuffix

    public boolean validateAdxpBuildingNumberSuffix(AdxpBuildingNumberSuffix adxpBuildingNumberSuffix,
                                                    org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                    java.util.Map context)

### validateAdxpCareOf

    public boolean validateAdxpCareOf(AdxpCareOf adxpCareOf,
                                      org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                      java.util.Map context)

### validateAdxpCensusTract

    public boolean validateAdxpCensusTract(AdxpCensusTract adxpCensusTract,
                                           org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                           java.util.Map context)

### validateAdxpCity

    public boolean validateAdxpCity(AdxpCity adxpCity,
                                    org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                    java.util.Map context)

### validateAdxpCountry

    public boolean validateAdxpCountry(AdxpCountry adxpCountry,
                                       org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                       java.util.Map context)

### validateAdxpCounty

    public boolean validateAdxpCounty(AdxpCounty adxpCounty,
                                      org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                      java.util.Map context)

### validateAdxpDelimiter

    public boolean validateAdxpDelimiter(AdxpDelimiter adxpDelimiter,
                                         org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                         java.util.Map context)

### validateAdxpDeliveryAddressLine

    public boolean validateAdxpDeliveryAddressLine(AdxpDeliveryAddressLine adxpDeliveryAddressLine,
                                                   org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                   java.util.Map context)

### validateAdxpDeliveryInstallationArea

    public boolean validateAdxpDeliveryInstallationArea(AdxpDeliveryInstallationArea adxpDeliveryInstallationArea,
                                                        org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                        java.util.Map context)

### validateAdxpDeliveryInstallationQualifier

    public boolean validateAdxpDeliveryInstallationQualifier(AdxpDeliveryInstallationQualifier adxpDeliveryInstallationQualifier,
                                                             org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                             java.util.Map context)

### validateAdxpDeliveryInstallationType

    public boolean validateAdxpDeliveryInstallationType(AdxpDeliveryInstallationType adxpDeliveryInstallationType,
                                                        org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                        java.util.Map context)

### validateAdxpDeliveryMode

    public boolean validateAdxpDeliveryMode(AdxpDeliveryMode adxpDeliveryMode,
                                            org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                            java.util.Map context)

### validateAdxpDeliveryModeIdentifier

    public boolean validateAdxpDeliveryModeIdentifier(AdxpDeliveryModeIdentifier adxpDeliveryModeIdentifier,
                                                      org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                      java.util.Map context)

### validateAdxpDirection

    public boolean validateAdxpDirection(AdxpDirection adxpDirection,
                                         org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                         java.util.Map context)

### validateAdxpHouseNumber

    public boolean validateAdxpHouseNumber(AdxpHouseNumber adxpHouseNumber,
                                           org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                           java.util.Map context)

### validateAdxpHouseNumberNumeric

    public boolean validateAdxpHouseNumberNumeric(AdxpHouseNumberNumeric adxpHouseNumberNumeric,
                                                  org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                  java.util.Map context)

### validateAdxpPostalCode

    public boolean validateAdxpPostalCode(AdxpPostalCode adxpPostalCode,
                                          org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                          java.util.Map context)

### validateAdxpPostBox

    public boolean validateAdxpPostBox(AdxpPostBox adxpPostBox,
                                       org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                       java.util.Map context)

### validateAdxpPrecinct

    public boolean validateAdxpPrecinct(AdxpPrecinct adxpPrecinct,
                                        org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                        java.util.Map context)

### validateAdxpState

    public boolean validateAdxpState(AdxpState adxpState,
                                     org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                     java.util.Map context)

### validateAdxpStreetAddressLine

    public boolean validateAdxpStreetAddressLine(AdxpStreetAddressLine adxpStreetAddressLine,
                                                 org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                 java.util.Map context)

### validateAdxpStreetName

    public boolean validateAdxpStreetName(AdxpStreetName adxpStreetName,
                                          org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                          java.util.Map context)

### validateAdxpStreetNameBase

    public boolean validateAdxpStreetNameBase(AdxpStreetNameBase adxpStreetNameBase,
                                              org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                              java.util.Map context)

### validateAdxpStreetNameType

    public boolean validateAdxpStreetNameType(AdxpStreetNameType adxpStreetNameType,
                                              org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                              java.util.Map context)

### validateAdxpUnitID

    public boolean validateAdxpUnitID(AdxpUnitID adxpUnitID,
                                      org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                      java.util.Map context)

### validateAdxpUnitType

    public boolean validateAdxpUnitType(AdxpUnitType adxpUnitType,
                                        org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                        java.util.Map context)

### validateANY

    public boolean validateANY(ANY any,
                               org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                               java.util.Map context)

### validateANYNonNull

    public boolean validateANYNonNull(ANYNonNull anyNonNull,
                                      org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                      java.util.Map context)

### validateBIN1

    public boolean validateBIN1(BIN1 bin1,
                                org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                java.util.Map context)

### validateBL1

    public boolean validateBL1(BL1 bl1,
                               org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                               java.util.Map context)

### validateBN1

    public boolean validateBN1(BN1 bn1,
                               org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                               java.util.Map context)

### validateBXITCD

    public boolean validateBXITCD(BXITCD bxitcd,
                                  org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                  java.util.Map context)

### validateBXITIVLPQ

    public boolean validateBXITIVLPQ(BXITIVLPQ bxitivlpq,
                                     org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                     java.util.Map context)

### validateCD

    public boolean validateCD(CD cd,
                              org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                              java.util.Map context)

### validateCE

    public boolean validateCE(CE ce,
                              org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                              java.util.Map context)

### validateCO

    public boolean validateCO(CO co,
                              org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                              java.util.Map context)

### validateCR

    public boolean validateCR(CR cr,
                              org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                              java.util.Map context)

### validateCS1

    public boolean validateCS1(CS1 cs1,
                               org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                               java.util.Map context)

### validateCV

    public boolean validateCV(CV cv,
                              org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                              java.util.Map context)

### validateDocumentRoot

    public boolean validateDocumentRoot(DocumentRoot documentRoot,
                                        org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                        java.util.Map context)

### validateED

    public boolean validateED(ED ed,
                              org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                              java.util.Map context)

### validateEIVLEvent

    public boolean validateEIVLEvent(EIVLEvent eivlEvent,
                                     org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                     java.util.Map context)

### validateEIVLPPDTS

    public boolean validateEIVLPPDTS(EIVLPPDTS eivlppdts,
                                     org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                     java.util.Map context)

### validateEIVLTS

    public boolean validateEIVLTS(EIVLTS eivlts,
                                  org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                  java.util.Map context)

### validateEN

    public boolean validateEN(EN en,
                              org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                              java.util.Map context)

### validateEnDelimiter

    public boolean validateEnDelimiter(EnDelimiter enDelimiter,
                                       org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                       java.util.Map context)

### validateEnFamily

    public boolean validateEnFamily(EnFamily enFamily,
                                    org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                    java.util.Map context)

### validateEnGiven

    public boolean validateEnGiven(EnGiven enGiven,
                                   org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                   java.util.Map context)

### validateEnPrefix

    public boolean validateEnPrefix(EnPrefix enPrefix,
                                    org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                    java.util.Map context)

### validateEnSuffix

    public boolean validateEnSuffix(EnSuffix enSuffix,
                                    org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                    java.util.Map context)

### validateENXP

    public boolean validateENXP(ENXP enxp,
                                org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                java.util.Map context)

### validateGLISTPQ

    public boolean validateGLISTPQ(GLISTPQ glistpq,
                                   org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                   java.util.Map context)

### validateGLISTTS

    public boolean validateGLISTTS(GLISTTS glistts,
                                   org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                   java.util.Map context)

### validateHXITCE

    public boolean validateHXITCE(HXITCE hxitce,
                                  org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                  java.util.Map context)

### validateHXITPQ

    public boolean validateHXITPQ(HXITPQ hxitpq,
                                  org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                  java.util.Map context)

### validateII

    public boolean validateII(II ii,
                              org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                              java.util.Map context)

### validateINT1

    public boolean validateINT1(INT1 int1,
                                org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                java.util.Map context)

### validateIVLINT

    public boolean validateIVLINT(IVLINT ivlint,
                                  org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                  java.util.Map context)

### validateIVLMO

    public boolean validateIVLMO(IVLMO ivlmo,
                                 org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                 java.util.Map context)

### validateIVLPPDPQ

    public boolean validateIVLPPDPQ(IVLPPDPQ ivlppdpq,
                                    org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                    java.util.Map context)

### validateIVLPPDTS

    public boolean validateIVLPPDTS(IVLPPDTS ivlppdts,
                                    org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                    java.util.Map context)

### validateIVLPQ

    public boolean validateIVLPQ(IVLPQ ivlpq,
                                 org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                 java.util.Map context)

### validateIVLREAL

    public boolean validateIVLREAL(IVLREAL ivlreal,
                                   org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                   java.util.Map context)

### validateIVLTS

    public boolean validateIVLTS(IVLTS ivlts,
                                 org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                 java.util.Map context)

### validateIVXBINT

    public boolean validateIVXBINT(IVXBINT ivxbint,
                                   org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                   java.util.Map context)

### validateIVXBMO

    public boolean validateIVXBMO(IVXBMO ivxbmo,
                                  org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                  java.util.Map context)

### validateIVXBPPDPQ

    public boolean validateIVXBPPDPQ(IVXBPPDPQ ivxbppdpq,
                                     org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                     java.util.Map context)

### validateIVXBPPDTS

    public boolean validateIVXBPPDTS(IVXBPPDTS ivxbppdts,
                                     org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                     java.util.Map context)

### validateIVXBPQ

    public boolean validateIVXBPQ(IVXBPQ ivxbpq,
                                  org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                  java.util.Map context)

### validateIVXBREAL

    public boolean validateIVXBREAL(IVXBREAL ivxbreal,
                                    org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                    java.util.Map context)

### validateIVXBTS

    public boolean validateIVXBTS(IVXBTS ivxbts,
                                  org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                  java.util.Map context)

### validateMO

    public boolean validateMO(MO mo,
                              org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                              java.util.Map context)

### validateON

    public boolean validateON(ON on,
                              org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                              java.util.Map context)

### validatePIVLPPDTS

    public boolean validatePIVLPPDTS(PIVLPPDTS pivlppdts,
                                     org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                     java.util.Map context)

### validatePIVLTS

    public boolean validatePIVLTS(PIVLTS pivlts,
                                  org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                  java.util.Map context)

### validatePN

    public boolean validatePN(PN pn,
                              org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                              java.util.Map context)

### validatePOCDMT000040Act

    public boolean validatePOCDMT000040Act(POCDMT000040Act pocdmt000040Act,
                                           org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                           java.util.Map context)

### validatePOCDMT000040AssignedAuthor

    public boolean validatePOCDMT000040AssignedAuthor(POCDMT000040AssignedAuthor pocdmt000040AssignedAuthor,
                                                      org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                      java.util.Map context)

### validatePOCDMT000040AssignedCustodian

    public boolean validatePOCDMT000040AssignedCustodian(POCDMT000040AssignedCustodian pocdmt000040AssignedCustodian,
                                                         org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                         java.util.Map context)

### validatePOCDMT000040AssignedEntity

    public boolean validatePOCDMT000040AssignedEntity(POCDMT000040AssignedEntity pocdmt000040AssignedEntity,
                                                      org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                      java.util.Map context)

### validatePOCDMT000040AssociatedEntity

    public boolean validatePOCDMT000040AssociatedEntity(POCDMT000040AssociatedEntity pocdmt000040AssociatedEntity,
                                                        org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                        java.util.Map context)

### validatePOCDMT000040Authenticator

    public boolean validatePOCDMT000040Authenticator(POCDMT000040Authenticator pocdmt000040Authenticator,
                                                     org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                     java.util.Map context)

### validatePOCDMT000040Author

    public boolean validatePOCDMT000040Author(POCDMT000040Author pocdmt000040Author,
                                              org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                              java.util.Map context)

### validatePOCDMT000040AuthoringDevice

    public boolean validatePOCDMT000040AuthoringDevice(POCDMT000040AuthoringDevice pocdmt000040AuthoringDevice,
                                                       org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                       java.util.Map context)

### validatePOCDMT000040Authorization

    public boolean validatePOCDMT000040Authorization(POCDMT000040Authorization pocdmt000040Authorization,
                                                     org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                     java.util.Map context)

### validatePOCDMT000040Birthplace

    public boolean validatePOCDMT000040Birthplace(POCDMT000040Birthplace pocdmt000040Birthplace,
                                                  org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                  java.util.Map context)

### validatePOCDMT000040ClinicalDocument

    public boolean validatePOCDMT000040ClinicalDocument(POCDMT000040ClinicalDocument pocdmt000040ClinicalDocument,
                                                        org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                        java.util.Map context)

### validatePOCDMT000040Component1

    public boolean validatePOCDMT000040Component1(POCDMT000040Component1 pocdmt000040Component1,
                                                  org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                  java.util.Map context)

### validatePOCDMT000040Component2

    public boolean validatePOCDMT000040Component2(POCDMT000040Component2 pocdmt000040Component2,
                                                  org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                  java.util.Map context)

### validatePOCDMT000040Component3

    public boolean validatePOCDMT000040Component3(POCDMT000040Component3 pocdmt000040Component3,
                                                  org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                  java.util.Map context)

### validatePOCDMT000040Component4

    public boolean validatePOCDMT000040Component4(POCDMT000040Component4 pocdmt000040Component4,
                                                  org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                  java.util.Map context)

### validatePOCDMT000040Component5

    public boolean validatePOCDMT000040Component5(POCDMT000040Component5 pocdmt000040Component5,
                                                  org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                  java.util.Map context)

### validatePOCDMT000040Consent

    public boolean validatePOCDMT000040Consent(POCDMT000040Consent pocdmt000040Consent,
                                               org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                               java.util.Map context)

### validatePOCDMT000040Consumable

    public boolean validatePOCDMT000040Consumable(POCDMT000040Consumable pocdmt000040Consumable,
                                                  org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                  java.util.Map context)

### validatePOCDMT000040Criterion

    public boolean validatePOCDMT000040Criterion(POCDMT000040Criterion pocdmt000040Criterion,
                                                 org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                 java.util.Map context)

### validatePOCDMT000040Custodian

    public boolean validatePOCDMT000040Custodian(POCDMT000040Custodian pocdmt000040Custodian,
                                                 org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                 java.util.Map context)

### validatePOCDMT000040CustodianOrganization

    public boolean validatePOCDMT000040CustodianOrganization(POCDMT000040CustodianOrganization pocdmt000040CustodianOrganization,
                                                             org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                             java.util.Map context)

### validatePOCDMT000040DataEnterer

    public boolean validatePOCDMT000040DataEnterer(POCDMT000040DataEnterer pocdmt000040DataEnterer,
                                                   org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                   java.util.Map context)

### validatePOCDMT000040Device

    public boolean validatePOCDMT000040Device(POCDMT000040Device pocdmt000040Device,
                                              org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                              java.util.Map context)

### validatePOCDMT000040DocumentationOf

    public boolean validatePOCDMT000040DocumentationOf(POCDMT000040DocumentationOf pocdmt000040DocumentationOf,
                                                       org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                       java.util.Map context)

### validatePOCDMT000040EncompassingEncounter

    public boolean validatePOCDMT000040EncompassingEncounter(POCDMT000040EncompassingEncounter pocdmt000040EncompassingEncounter,
                                                             org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                             java.util.Map context)

### validatePOCDMT000040Encounter

    public boolean validatePOCDMT000040Encounter(POCDMT000040Encounter pocdmt000040Encounter,
                                                 org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                 java.util.Map context)

### validatePOCDMT000040EncounterParticipant

    public boolean validatePOCDMT000040EncounterParticipant(POCDMT000040EncounterParticipant pocdmt000040EncounterParticipant,
                                                            org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                            java.util.Map context)

### validatePOCDMT000040Entity

    public boolean validatePOCDMT000040Entity(POCDMT000040Entity pocdmt000040Entity,
                                              org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                              java.util.Map context)

### validatePOCDMT000040Entry

    public boolean validatePOCDMT000040Entry(POCDMT000040Entry pocdmt000040Entry,
                                             org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                             java.util.Map context)

### validatePOCDMT000040EntryRelationship

    public boolean validatePOCDMT000040EntryRelationship(POCDMT000040EntryRelationship pocdmt000040EntryRelationship,
                                                         org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                         java.util.Map context)

### validatePOCDMT000040ExternalAct

    public boolean validatePOCDMT000040ExternalAct(POCDMT000040ExternalAct pocdmt000040ExternalAct,
                                                   org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                   java.util.Map context)

### validatePOCDMT000040ExternalDocument

    public boolean validatePOCDMT000040ExternalDocument(POCDMT000040ExternalDocument pocdmt000040ExternalDocument,
                                                        org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                        java.util.Map context)

### validatePOCDMT000040ExternalObservation

    public boolean validatePOCDMT000040ExternalObservation(POCDMT000040ExternalObservation pocdmt000040ExternalObservation,
                                                           org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                           java.util.Map context)

### validatePOCDMT000040ExternalProcedure

    public boolean validatePOCDMT000040ExternalProcedure(POCDMT000040ExternalProcedure pocdmt000040ExternalProcedure,
                                                         org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                         java.util.Map context)

### validatePOCDMT000040Guardian

    public boolean validatePOCDMT000040Guardian(POCDMT000040Guardian pocdmt000040Guardian,
                                                org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                java.util.Map context)

### validatePOCDMT000040HealthCareFacility

    public boolean validatePOCDMT000040HealthCareFacility(POCDMT000040HealthCareFacility pocdmt000040HealthCareFacility,
                                                          org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                          java.util.Map context)

### validatePOCDMT000040Informant12

    public boolean validatePOCDMT000040Informant12(POCDMT000040Informant12 pocdmt000040Informant12,
                                                   org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                   java.util.Map context)

### validatePOCDMT000040InformationRecipient

    public boolean validatePOCDMT000040InformationRecipient(POCDMT000040InformationRecipient pocdmt000040InformationRecipient,
                                                            org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                            java.util.Map context)

### validatePOCDMT000040InfrastructureRootTypeId

    public boolean validatePOCDMT000040InfrastructureRootTypeId(POCDMT000040InfrastructureRootTypeId pocdmt000040InfrastructureRootTypeId,
                                                                org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                                java.util.Map context)

### validatePOCDMT000040InFulfillmentOf

    public boolean validatePOCDMT000040InFulfillmentOf(POCDMT000040InFulfillmentOf pocdmt000040InFulfillmentOf,
                                                       org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                       java.util.Map context)

### validatePOCDMT000040IntendedRecipient

    public boolean validatePOCDMT000040IntendedRecipient(POCDMT000040IntendedRecipient pocdmt000040IntendedRecipient,
                                                         org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                         java.util.Map context)

### validatePOCDMT000040LabeledDrug

    public boolean validatePOCDMT000040LabeledDrug(POCDMT000040LabeledDrug pocdmt000040LabeledDrug,
                                                   org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                   java.util.Map context)

### validatePOCDMT000040LanguageCommunication

    public boolean validatePOCDMT000040LanguageCommunication(POCDMT000040LanguageCommunication pocdmt000040LanguageCommunication,
                                                             org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                             java.util.Map context)

### validatePOCDMT000040LegalAuthenticator

    public boolean validatePOCDMT000040LegalAuthenticator(POCDMT000040LegalAuthenticator pocdmt000040LegalAuthenticator,
                                                          org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                          java.util.Map context)

### validatePOCDMT000040Location

    public boolean validatePOCDMT000040Location(POCDMT000040Location pocdmt000040Location,
                                                org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                java.util.Map context)

### validatePOCDMT000040MaintainedEntity

    public boolean validatePOCDMT000040MaintainedEntity(POCDMT000040MaintainedEntity pocdmt000040MaintainedEntity,
                                                        org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                        java.util.Map context)

### validatePOCDMT000040ManufacturedProduct

    public boolean validatePOCDMT000040ManufacturedProduct(POCDMT000040ManufacturedProduct pocdmt000040ManufacturedProduct,
                                                           org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                           java.util.Map context)

### validatePOCDMT000040Material

    public boolean validatePOCDMT000040Material(POCDMT000040Material pocdmt000040Material,
                                                org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                java.util.Map context)

### validatePOCDMT000040NonXMLBody

    public boolean validatePOCDMT000040NonXMLBody(POCDMT000040NonXMLBody pocdmt000040NonXMLBody,
                                                  org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                  java.util.Map context)

### validatePOCDMT000040Observation

    public boolean validatePOCDMT000040Observation(POCDMT000040Observation pocdmt000040Observation,
                                                   org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                   java.util.Map context)

### validatePOCDMT000040ObservationMedia

    public boolean validatePOCDMT000040ObservationMedia(POCDMT000040ObservationMedia pocdmt000040ObservationMedia,
                                                        org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                        java.util.Map context)

### validatePOCDMT000040ObservationRange

    public boolean validatePOCDMT000040ObservationRange(POCDMT000040ObservationRange pocdmt000040ObservationRange,
                                                        org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                        java.util.Map context)

### validatePOCDMT000040Order

    public boolean validatePOCDMT000040Order(POCDMT000040Order pocdmt000040Order,
                                             org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                             java.util.Map context)

### validatePOCDMT000040Organization

    public boolean validatePOCDMT000040Organization(POCDMT000040Organization pocdmt000040Organization,
                                                    org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                    java.util.Map context)

### validatePOCDMT000040OrganizationPartOf

    public boolean validatePOCDMT000040OrganizationPartOf(POCDMT000040OrganizationPartOf pocdmt000040OrganizationPartOf,
                                                          org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                          java.util.Map context)

### validatePOCDMT000040Organizer

    public boolean validatePOCDMT000040Organizer(POCDMT000040Organizer pocdmt000040Organizer,
                                                 org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                 java.util.Map context)

### validatePOCDMT000040ParentDocument

    public boolean validatePOCDMT000040ParentDocument(POCDMT000040ParentDocument pocdmt000040ParentDocument,
                                                      org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                      java.util.Map context)

### validatePOCDMT000040Participant1

    public boolean validatePOCDMT000040Participant1(POCDMT000040Participant1 pocdmt000040Participant1,
                                                    org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                    java.util.Map context)

### validatePOCDMT000040Participant2

    public boolean validatePOCDMT000040Participant2(POCDMT000040Participant2 pocdmt000040Participant2,
                                                    org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                    java.util.Map context)

### validatePOCDMT000040ParticipantRole

    public boolean validatePOCDMT000040ParticipantRole(POCDMT000040ParticipantRole pocdmt000040ParticipantRole,
                                                       org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                       java.util.Map context)

### validatePOCDMT000040Patient

    public boolean validatePOCDMT000040Patient(POCDMT000040Patient pocdmt000040Patient,
                                               org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                               java.util.Map context)

### validatePOCDMT000040PatientRole

    public boolean validatePOCDMT000040PatientRole(POCDMT000040PatientRole pocdmt000040PatientRole,
                                                   org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                   java.util.Map context)

### validatePOCDMT000040Performer1

    public boolean validatePOCDMT000040Performer1(POCDMT000040Performer1 pocdmt000040Performer1,
                                                  org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                  java.util.Map context)

### validatePOCDMT000040Performer2

    public boolean validatePOCDMT000040Performer2(POCDMT000040Performer2 pocdmt000040Performer2,
                                                  org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                  java.util.Map context)

### validatePOCDMT000040Person

    public boolean validatePOCDMT000040Person(POCDMT000040Person pocdmt000040Person,
                                              org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                              java.util.Map context)

### validatePOCDMT000040Place

    public boolean validatePOCDMT000040Place(POCDMT000040Place pocdmt000040Place,
                                             org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                             java.util.Map context)

### validatePOCDMT000040PlayingEntity

    public boolean validatePOCDMT000040PlayingEntity(POCDMT000040PlayingEntity pocdmt000040PlayingEntity,
                                                     org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                     java.util.Map context)

### validatePOCDMT000040Precondition

    public boolean validatePOCDMT000040Precondition(POCDMT000040Precondition pocdmt000040Precondition,
                                                    org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                    java.util.Map context)

### validatePOCDMT000040Procedure

    public boolean validatePOCDMT000040Procedure(POCDMT000040Procedure pocdmt000040Procedure,
                                                 org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                 java.util.Map context)

### validatePOCDMT000040Product

    public boolean validatePOCDMT000040Product(POCDMT000040Product pocdmt000040Product,
                                               org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                               java.util.Map context)

### validatePOCDMT000040RecordTarget

    public boolean validatePOCDMT000040RecordTarget(POCDMT000040RecordTarget pocdmt000040RecordTarget,
                                                    org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                    java.util.Map context)

### validatePOCDMT000040Reference

    public boolean validatePOCDMT000040Reference(POCDMT000040Reference pocdmt000040Reference,
                                                 org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                 java.util.Map context)

### validatePOCDMT000040ReferenceRange

    public boolean validatePOCDMT000040ReferenceRange(POCDMT000040ReferenceRange pocdmt000040ReferenceRange,
                                                      org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                      java.util.Map context)

### validatePOCDMT000040RegionOfInterest

    public boolean validatePOCDMT000040RegionOfInterest(POCDMT000040RegionOfInterest pocdmt000040RegionOfInterest,
                                                        org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                        java.util.Map context)

### validatePOCDMT000040RegionOfInterestValue

    public boolean validatePOCDMT000040RegionOfInterestValue(POCDMT000040RegionOfInterestValue pocdmt000040RegionOfInterestValue,
                                                             org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                             java.util.Map context)

### validatePOCDMT000040RelatedDocument

    public boolean validatePOCDMT000040RelatedDocument(POCDMT000040RelatedDocument pocdmt000040RelatedDocument,
                                                       org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                       java.util.Map context)

### validatePOCDMT000040RelatedEntity

    public boolean validatePOCDMT000040RelatedEntity(POCDMT000040RelatedEntity pocdmt000040RelatedEntity,
                                                     org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                     java.util.Map context)

### validatePOCDMT000040RelatedSubject

    public boolean validatePOCDMT000040RelatedSubject(POCDMT000040RelatedSubject pocdmt000040RelatedSubject,
                                                      org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                      java.util.Map context)

### validatePOCDMT000040ResponsibleParty

    public boolean validatePOCDMT000040ResponsibleParty(POCDMT000040ResponsibleParty pocdmt000040ResponsibleParty,
                                                        org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                        java.util.Map context)

### validatePOCDMT000040Section

    public boolean validatePOCDMT000040Section(POCDMT000040Section pocdmt000040Section,
                                               org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                               java.util.Map context)

### validatePOCDMT000040ServiceEvent

    public boolean validatePOCDMT000040ServiceEvent(POCDMT000040ServiceEvent pocdmt000040ServiceEvent,
                                                    org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                    java.util.Map context)

### validatePOCDMT000040Specimen

    public boolean validatePOCDMT000040Specimen(POCDMT000040Specimen pocdmt000040Specimen,
                                                org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                java.util.Map context)

### validatePOCDMT000040SpecimenRole

    public boolean validatePOCDMT000040SpecimenRole(POCDMT000040SpecimenRole pocdmt000040SpecimenRole,
                                                    org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                    java.util.Map context)

### validatePOCDMT000040StructuredBody

    public boolean validatePOCDMT000040StructuredBody(POCDMT000040StructuredBody pocdmt000040StructuredBody,
                                                      org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                      java.util.Map context)

### validatePOCDMT000040Subject

    public boolean validatePOCDMT000040Subject(POCDMT000040Subject pocdmt000040Subject,
                                               org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                               java.util.Map context)

### validatePOCDMT000040SubjectPerson

    public boolean validatePOCDMT000040SubjectPerson(POCDMT000040SubjectPerson pocdmt000040SubjectPerson,
                                                     org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                     java.util.Map context)

### validatePOCDMT000040SubstanceAdministration

    public boolean validatePOCDMT000040SubstanceAdministration(POCDMT000040SubstanceAdministration pocdmt000040SubstanceAdministration,
                                                               org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                               java.util.Map context)

### validatePOCDMT000040Supply

    public boolean validatePOCDMT000040Supply(POCDMT000040Supply pocdmt000040Supply,
                                              org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                              java.util.Map context)

### validatePPDPQ

    public boolean validatePPDPQ(PPDPQ ppdpq,
                                 org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                 java.util.Map context)

### validatePPDTS

    public boolean validatePPDTS(PPDTS ppdts,
                                 org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                 java.util.Map context)

### validatePQ

    public boolean validatePQ(PQ pq,
                              org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                              java.util.Map context)

### validatePQR

    public boolean validatePQR(PQR pqr,
                               org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                               java.util.Map context)

### validateQTY

    public boolean validateQTY(QTY qty,
                               org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                               java.util.Map context)

### validateREAL1

    public boolean validateREAL1(REAL1 real1,
                                 org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                 java.util.Map context)

### validateRTO

    public boolean validateRTO(RTO rto,
                               org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                               java.util.Map context)

### validateRTOMOPQ

    public boolean validateRTOMOPQ(RTOMOPQ rtomopq,
                                   org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                   java.util.Map context)

### validateRTOPQPQ

    public boolean validateRTOPQPQ(RTOPQPQ rtopqpq,
                                   org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                   java.util.Map context)

### validateRTOQTYQTY

    public boolean validateRTOQTYQTY(RTOQTYQTY rtoqtyqty,
                                     org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                     java.util.Map context)

### validateSC

    public boolean validateSC(SC sc,
                              org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                              java.util.Map context)

### validateSLISTPQ

    public boolean validateSLISTPQ(SLISTPQ slistpq,
                                   org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                   java.util.Map context)

### validateSLISTTS

    public boolean validateSLISTTS(SLISTTS slistts,
                                   org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                   java.util.Map context)

### validateST1

    public boolean validateST1(ST1 st1,
                               org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                               java.util.Map context)

### validateStrucDocBr

    public boolean validateStrucDocBr(StrucDocBr strucDocBr,
                                      org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                      java.util.Map context)

### validateStrucDocCaption

    public boolean validateStrucDocCaption(StrucDocCaption strucDocCaption,
                                           org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                           java.util.Map context)

### validateStrucDocCol

    public boolean validateStrucDocCol(StrucDocCol strucDocCol,
                                       org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                       java.util.Map context)

### validateStrucDocColgroup

    public boolean validateStrucDocColgroup(StrucDocColgroup strucDocColgroup,
                                            org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                            java.util.Map context)

### validateStrucDocContent

    public boolean validateStrucDocContent(StrucDocContent strucDocContent,
                                           org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                           java.util.Map context)

### validateStrucDocFootnote

    public boolean validateStrucDocFootnote(StrucDocFootnote strucDocFootnote,
                                            org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                            java.util.Map context)

### validateStrucDocFootnoteRef

    public boolean validateStrucDocFootnoteRef(StrucDocFootnoteRef strucDocFootnoteRef,
                                               org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                               java.util.Map context)

### validateStrucDocItem

    public boolean validateStrucDocItem(StrucDocItem strucDocItem,
                                        org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                        java.util.Map context)

### validateStrucDocLinkHtml

    public boolean validateStrucDocLinkHtml(StrucDocLinkHtml strucDocLinkHtml,
                                            org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                            java.util.Map context)

### validateStrucDocList

    public boolean validateStrucDocList(StrucDocList strucDocList,
                                        org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                        java.util.Map context)

### validateStrucDocParagraph

    public boolean validateStrucDocParagraph(StrucDocParagraph strucDocParagraph,
                                             org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                             java.util.Map context)

### validateStrucDocRenderMultiMedia

    public boolean validateStrucDocRenderMultiMedia(StrucDocRenderMultiMedia strucDocRenderMultiMedia,
                                                    org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                    java.util.Map context)

### validateStrucDocSub

    public boolean validateStrucDocSub(StrucDocSub strucDocSub,
                                       org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                       java.util.Map context)

### validateStrucDocSup

    public boolean validateStrucDocSup(StrucDocSup strucDocSup,
                                       org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                       java.util.Map context)

### validateStrucDocTable

    public boolean validateStrucDocTable(StrucDocTable strucDocTable,
                                         org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                         java.util.Map context)

### validateStrucDocTbody

    public boolean validateStrucDocTbody(StrucDocTbody strucDocTbody,
                                         org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                         java.util.Map context)

### validateStrucDocTd

    public boolean validateStrucDocTd(StrucDocTd strucDocTd,
                                      org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                      java.util.Map context)

### validateStrucDocText

    public boolean validateStrucDocText(StrucDocText strucDocText,
                                        org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                        java.util.Map context)

### validateStrucDocTfoot

    public boolean validateStrucDocTfoot(StrucDocTfoot strucDocTfoot,
                                         org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                         java.util.Map context)

### validateStrucDocTh

    public boolean validateStrucDocTh(StrucDocTh strucDocTh,
                                      org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                      java.util.Map context)

### validateStrucDocThead

    public boolean validateStrucDocThead(StrucDocThead strucDocThead,
                                         org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                         java.util.Map context)

### validateStrucDocTitle

    public boolean validateStrucDocTitle(StrucDocTitle strucDocTitle,
                                         org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                         java.util.Map context)

### validateStrucDocTitleContent

    public boolean validateStrucDocTitleContent(StrucDocTitleContent strucDocTitleContent,
                                                org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                java.util.Map context)

### validateStrucDocTitleFootnote

    public boolean validateStrucDocTitleFootnote(StrucDocTitleFootnote strucDocTitleFootnote,
                                                 org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                 java.util.Map context)

### validateStrucDocTr

    public boolean validateStrucDocTr(StrucDocTr strucDocTr,
                                      org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                      java.util.Map context)

### validateSXCMCD

    public boolean validateSXCMCD(SXCMCD sxcmcd,
                                  org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                  java.util.Map context)

### validateSXCMINT

    public boolean validateSXCMINT(SXCMINT sxcmint,
                                   org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                   java.util.Map context)

### validateSXCMMO

    public boolean validateSXCMMO(SXCMMO sxcmmo,
                                  org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                  java.util.Map context)

### validateSXCMPPDPQ

    public boolean validateSXCMPPDPQ(SXCMPPDPQ sxcmppdpq,
                                     org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                     java.util.Map context)

### validateSXCMPPDTS

    public boolean validateSXCMPPDTS(SXCMPPDTS sxcmppdts,
                                     org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                     java.util.Map context)

### validateSXCMPQ

    public boolean validateSXCMPQ(SXCMPQ sxcmpq,
                                  org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                  java.util.Map context)

### validateSXCMREAL

    public boolean validateSXCMREAL(SXCMREAL sxcmreal,
                                    org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                    java.util.Map context)

### validateSXCMTS

    public boolean validateSXCMTS(SXCMTS sxcmts,
                                  org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                  java.util.Map context)

### validateSXPRTS

    public boolean validateSXPRTS(SXPRTS sxprts,
                                  org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                  java.util.Map context)

### validateTEL

    public boolean validateTEL(TEL tel,
                               org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                               java.util.Map context)

### validateThumbnail

    public boolean validateThumbnail(Thumbnail thumbnail,
                                     org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                     java.util.Map context)

### validateTN

    public boolean validateTN(TN tn,
                              org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                              java.util.Map context)

### validateTS1

    public boolean validateTS1(TS1 ts1,
                               org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                               java.util.Map context)

### validateURL1

    public boolean validateURL1(URL1 url1,
                                org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                java.util.Map context)

### validateUVPTS

    public boolean validateUVPTS(UVPTS uvpts,
                                 org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                 java.util.Map context)

### validateActClassCompositionMember1

    public boolean validateActClassCompositionMember1(ActClassCompositionMember1 actClassCompositionMember1,
                                                      org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                      java.util.Map context)

### validateActClassConditionMember1

    public boolean validateActClassConditionMember1(ActClassConditionMember1 actClassConditionMember1,
                                                    org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                    java.util.Map context)

### validateActClassContractMember1

    public boolean validateActClassContractMember1(ActClassContractMember1 actClassContractMember1,
                                                   org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                   java.util.Map context)

### validateActClassControlAct

    public boolean validateActClassControlAct(ActClassControlAct actClassControlAct,
                                              org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                              java.util.Map context)

### validateActClassDocumentMember1

    public boolean validateActClassDocumentMember1(ActClassDocumentMember1 actClassDocumentMember1,
                                                   org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                   java.util.Map context)

### validateActClassEntry

    public boolean validateActClassEntry(ActClassEntry actClassEntry,
                                         org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                         java.util.Map context)

### validateActClassExtract

    public boolean validateActClassExtract(ActClassExtract actClassExtract,
                                           org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                           java.util.Map context)

### validateActClassFinancialContract

    public boolean validateActClassFinancialContract(ActClassFinancialContract actClassFinancialContract,
                                                     org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                     java.util.Map context)

### validateActClassObservationMember3

    public boolean validateActClassObservationMember3(ActClassObservationMember3 actClassObservationMember3,
                                                      org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                      java.util.Map context)

### validateActClassObservationSeries

    public boolean validateActClassObservationSeries(ActClassObservationSeries actClassObservationSeries,
                                                     org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                     java.util.Map context)

### validateActClassOrganizer

    public boolean validateActClassOrganizer(ActClassOrganizer actClassOrganizer,
                                             org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                             java.util.Map context)

### validateActClassPublicHealthCase

    public boolean validateActClassPublicHealthCase(ActClassPublicHealthCase actClassPublicHealthCase,
                                                    org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                    java.util.Map context)

### validateActClassROI

    public boolean validateActClassROI(ActClassROI actClassROI,
                                       org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                       java.util.Map context)

### validateActClassRootMember7

    public boolean validateActClassRootMember7(ActClassRootMember7 actClassRootMember7,
                                               org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                               java.util.Map context)

### validateActClassSupply

    public boolean validateActClassSupply(ActClassSupply actClassSupply,
                                          org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                          java.util.Map context)

### validateActClinicalDocument

    public boolean validateActClinicalDocument(ActClinicalDocument actClinicalDocument,
                                               org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                               java.util.Map context)

### validateActContainerMember4

    public boolean validateActContainerMember4(ActContainerMember4 actContainerMember4,
                                               org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                               java.util.Map context)

### validateActMoodCompletionTrackMember1

    public boolean validateActMoodCompletionTrackMember1(ActMoodCompletionTrackMember1 actMoodCompletionTrackMember1,
                                                         org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                         java.util.Map context)

### validateActMoodIntent

    public boolean validateActMoodIntent(ActMoodIntent actMoodIntent,
                                         org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                         java.util.Map context)

### validateActMoodPredicate

    public boolean validateActMoodPredicate(ActMoodPredicate actMoodPredicate,
                                            org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                            java.util.Map context)

### validateActRelationshipConditionalMember1

    public boolean validateActRelationshipConditionalMember1(ActRelationshipConditionalMember1 actRelationshipConditionalMember1,
                                                             org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                             java.util.Map context)

### validateActRelationshipCostTracking

    public boolean validateActRelationshipCostTracking(ActRelationshipCostTracking actRelationshipCostTracking,
                                                       org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                       java.util.Map context)

### validateActRelationshipExcerpt

    public boolean validateActRelationshipExcerpt(ActRelationshipExcerpt actRelationshipExcerpt,
                                                  org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                  java.util.Map context)

### validateActRelationshipFulfills

    public boolean validateActRelationshipFulfills(ActRelationshipFulfills actRelationshipFulfills,
                                                   org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                   java.util.Map context)

### validateActRelationshipHasComponent

    public boolean validateActRelationshipHasComponent(ActRelationshipHasComponent actRelationshipHasComponent,
                                                       org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                       java.util.Map context)

### validateActRelationshipObjective

    public boolean validateActRelationshipObjective(ActRelationshipObjective actRelationshipObjective,
                                                    org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                    java.util.Map context)

### validateActRelationshipOutcomeMember1

    public boolean validateActRelationshipOutcomeMember1(ActRelationshipOutcomeMember1 actRelationshipOutcomeMember1,
                                                         org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                         java.util.Map context)

### validateActRelationshipPertainsMember3

    public boolean validateActRelationshipPertainsMember3(ActRelationshipPertainsMember3 actRelationshipPertainsMember3,
                                                          org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                          java.util.Map context)

### validateActRelationshipPosting

    public boolean validateActRelationshipPosting(ActRelationshipPosting actRelationshipPosting,
                                                  org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                  java.util.Map context)

### validateActRelationshipReason

    public boolean validateActRelationshipReason(ActRelationshipReason actRelationshipReason,
                                                 org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                 java.util.Map context)

### validateActRelationshipReplacement

    public boolean validateActRelationshipReplacement(ActRelationshipReplacement actRelationshipReplacement,
                                                      org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                      java.util.Map context)

### validateActRelationshipSequelMember3

    public boolean validateActRelationshipSequelMember3(ActRelationshipSequelMember3 actRelationshipSequelMember3,
                                                        org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                        java.util.Map context)

### validateAdditionalLocator

    public boolean validateAdditionalLocator(AdditionalLocator additionalLocator,
                                             org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                             java.util.Map context)

### validateAddressPartTypeMember3

    public boolean validateAddressPartTypeMember3(AddressPartTypeMember3 addressPartTypeMember3,
                                                  org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                  java.util.Map context)

### validateAddressUseMember2

    public boolean validateAddressUseMember2(AddressUseMember2 addressUseMember2,
                                             org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                             java.util.Map context)

### validateAlignType

    public boolean validateAlignType(AlignType alignType,
                                     org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                     java.util.Map context)

### validateAlignType1

    public boolean validateAlignType1(AlignType1 alignType1,
                                      org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                      java.util.Map context)

### validateAlignType2

    public boolean validateAlignType2(AlignType2 alignType2,
                                      org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                      java.util.Map context)

### validateAlignType3

    public boolean validateAlignType3(AlignType3 alignType3,
                                      org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                      java.util.Map context)

### validateAlignType4

    public boolean validateAlignType4(AlignType4 alignType4,
                                      org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                      java.util.Map context)

### validateAlignType5

    public boolean validateAlignType5(AlignType5 alignType5,
                                      org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                      java.util.Map context)

### validateAlignType6

    public boolean validateAlignType6(AlignType6 alignType6,
                                      org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                      java.util.Map context)

### validateAlignType7

    public boolean validateAlignType7(AlignType7 alignType7,
                                      org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                      java.util.Map context)

### validateApplicationMediaType

    public boolean validateApplicationMediaType(ApplicationMediaType applicationMediaType,
                                                org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                java.util.Map context)

### validateAskedButUnknown

    public boolean validateAskedButUnknown(AskedButUnknown askedButUnknown,
                                           org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                           java.util.Map context)

### validateAudioMediaType

    public boolean validateAudioMediaType(AudioMediaType audioMediaType,
                                          org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                          java.util.Map context)

### validateBinaryDataEncoding

    public boolean validateBinaryDataEncoding(BinaryDataEncoding binaryDataEncoding,
                                              org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                              java.util.Map context)

### validateBuildingNumber

    public boolean validateBuildingNumber(BuildingNumber buildingNumber,
                                          org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                          java.util.Map context)

### validateCalendarCycleOneLetter

    public boolean validateCalendarCycleOneLetter(CalendarCycleOneLetter calendarCycleOneLetter,
                                                  org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                  java.util.Map context)

### validateCalendarCycleTwoLetterMember1

    public boolean validateCalendarCycleTwoLetterMember1(CalendarCycleTwoLetterMember1 calendarCycleTwoLetterMember1,
                                                         org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                         java.util.Map context)

### validateCommunicationFunctionType

    public boolean validateCommunicationFunctionType(CommunicationFunctionType communicationFunctionType,
                                                     org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                     java.util.Map context)

### validateCompressionAlgorithm

    public boolean validateCompressionAlgorithm(CompressionAlgorithm compressionAlgorithm,
                                                org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                java.util.Map context)

### validateContextControlAdditive

    public boolean validateContextControlAdditive(ContextControlAdditive contextControlAdditive,
                                                  org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                  java.util.Map context)

### validateContextControlNonPropagating

    public boolean validateContextControlNonPropagating(ContextControlNonPropagating contextControlNonPropagating,
                                                        org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                        java.util.Map context)

### validateContextControlOverriding

    public boolean validateContextControlOverriding(ContextControlOverriding contextControlOverriding,
                                                    org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                    java.util.Map context)

### validateContextControlPropagating

    public boolean validateContextControlPropagating(ContextControlPropagating contextControlPropagating,
                                                     org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                     java.util.Map context)

### validateCurrency

    public boolean validateCurrency(Currency currency,
                                    org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                    java.util.Map context)

### validateDeliveryAddressLine

    public boolean validateDeliveryAddressLine(DeliveryAddressLine deliveryAddressLine,
                                               org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                               java.util.Map context)

### validateEntityClassContainer

    public boolean validateEntityClassContainer(EntityClassContainer entityClassContainer,
                                                org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                java.util.Map context)

### validateEntityClassDevice

    public boolean validateEntityClassDevice(EntityClassDevice entityClassDevice,
                                             org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                             java.util.Map context)

### validateEntityClassLivingSubjectMember1

    public boolean validateEntityClassLivingSubjectMember1(EntityClassLivingSubjectMember1 entityClassLivingSubjectMember1,
                                                           org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                           java.util.Map context)

### validateEntityClassManufacturedMaterialMember2

    public boolean validateEntityClassManufacturedMaterialMember2(EntityClassManufacturedMaterialMember2 entityClassManufacturedMaterialMember2,
                                                                  org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                                  java.util.Map context)

### validateEntityClassMaterialMember1

    public boolean validateEntityClassMaterialMember1(EntityClassMaterialMember1 entityClassMaterialMember1,
                                                      org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                      java.util.Map context)

### validateEntityClassNonPersonLivingSubject

    public boolean validateEntityClassNonPersonLivingSubject(EntityClassNonPersonLivingSubject entityClassNonPersonLivingSubject,
                                                             org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                             java.util.Map context)

### validateEntityClassOrganizationMember1

    public boolean validateEntityClassOrganizationMember1(EntityClassOrganizationMember1 entityClassOrganizationMember1,
                                                          org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                          java.util.Map context)

### validateEntityClassPlace

    public boolean validateEntityClassPlace(EntityClassPlace entityClassPlace,
                                            org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                            java.util.Map context)

### validateEntityClassRootMember4

    public boolean validateEntityClassRootMember4(EntityClassRootMember4 entityClassRootMember4,
                                                  org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                  java.util.Map context)

### validateEntityDeterminerDetermined

    public boolean validateEntityDeterminerDetermined(EntityDeterminerDetermined entityDeterminerDetermined,
                                                      org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                      java.util.Map context)

### validateEntityDeterminerMember2

    public boolean validateEntityDeterminerMember2(EntityDeterminerMember2 entityDeterminerMember2,
                                                   org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                   java.util.Map context)

### validateEntityNamePartTypeMember2

    public boolean validateEntityNamePartTypeMember2(EntityNamePartTypeMember2 entityNamePartTypeMember2,
                                                     org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                     java.util.Map context)

### validateEntityNameSearchUse

    public boolean validateEntityNameSearchUse(EntityNameSearchUse entityNameSearchUse,
                                               org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                               java.util.Map context)

### validateEntityNameUseMember4

    public boolean validateEntityNameUseMember4(EntityNameUseMember4 entityNameUseMember4,
                                                org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                java.util.Map context)

### validateFrameType

    public boolean validateFrameType(FrameType frameType,
                                     org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                     java.util.Map context)

### validateHasSupport

    public boolean validateHasSupport(HasSupport hasSupport,
                                      org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                      java.util.Map context)

### validateHomeAddressUse

    public boolean validateHomeAddressUse(HomeAddressUse homeAddressUse,
                                          org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                          java.util.Map context)

### validateImageMediaType

    public boolean validateImageMediaType(ImageMediaType imageMediaType,
                                          org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                          java.util.Map context)

### validateIntegrityCheckAlgorithm

    public boolean validateIntegrityCheckAlgorithm(IntegrityCheckAlgorithm integrityCheckAlgorithm,
                                                   org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                   java.util.Map context)

### validateLicensedEntityRole

    public boolean validateLicensedEntityRole(LicensedEntityRole licensedEntityRole,
                                              org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                              java.util.Map context)

### validateListTypeType

    public boolean validateListTypeType(ListTypeType listTypeType,
                                        org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                        java.util.Map context)

### validateModelMediaType

    public boolean validateModelMediaType(ModelMediaType modelMediaType,
                                          org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                          java.util.Map context)

### validateMultipartMediaType

    public boolean validateMultipartMediaType(MultipartMediaType multipartMediaType,
                                              org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                              java.util.Map context)

### validateNamePseudonymUse

    public boolean validateNamePseudonymUse(NamePseudonymUse namePseudonymUse,
                                            org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                            java.util.Map context)

### validateNameRepresentationUse

    public boolean validateNameRepresentationUse(NameRepresentationUse nameRepresentationUse,
                                                 org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                 java.util.Map context)

### validateNoInformationMember2

    public boolean validateNoInformationMember2(NoInformationMember2 noInformationMember2,
                                                org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                java.util.Map context)

### validateNullFlavorMember1

    public boolean validateNullFlavorMember1(NullFlavorMember1 nullFlavorMember1,
                                             org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                             java.util.Map context)

### validateOrganizationNamePartQualifier

    public boolean validateOrganizationNamePartQualifier(OrganizationNamePartQualifier organizationNamePartQualifier,
                                                         org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                         java.util.Map context)

### validateOrganizationNameUseMember2

    public boolean validateOrganizationNameUseMember2(OrganizationNameUseMember2 organizationNameUseMember2,
                                                      org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                      java.util.Map context)

### validateOther

    public boolean validateOther(Other other,
                                 org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                 java.util.Map context)

### validateParticipationAncillary

    public boolean validateParticipationAncillary(ParticipationAncillary participationAncillary,
                                                  org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                  java.util.Map context)

### validateParticipationIndirectTarget

    public boolean validateParticipationIndirectTarget(ParticipationIndirectTarget participationIndirectTarget,
                                                       org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                       java.util.Map context)

### validateParticipationInformationGenerator

    public boolean validateParticipationInformationGenerator(ParticipationInformationGenerator participationInformationGenerator,
                                                             org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                             java.util.Map context)

### validateParticipationInformationRecipient

    public boolean validateParticipationInformationRecipient(ParticipationInformationRecipient participationInformationRecipient,
                                                             org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                             java.util.Map context)

### validateParticipationPhysicalPerformer

    public boolean validateParticipationPhysicalPerformer(ParticipationPhysicalPerformer participationPhysicalPerformer,
                                                          org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                          java.util.Map context)

### validateParticipationTargetDevice

    public boolean validateParticipationTargetDevice(ParticipationTargetDevice participationTargetDevice,
                                                     org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                     java.util.Map context)

### validateParticipationTargetDirectMember2

    public boolean validateParticipationTargetDirectMember2(ParticipationTargetDirectMember2 participationTargetDirectMember2,
                                                            org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                            java.util.Map context)

### validateParticipationTargetLocation

    public boolean validateParticipationTargetLocation(ParticipationTargetLocation participationTargetLocation,
                                                       org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                       java.util.Map context)

### validateParticipationTargetSubject

    public boolean validateParticipationTargetSubject(ParticipationTargetSubject participationTargetSubject,
                                                      org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                      java.util.Map context)

### validateParticipationTypeMember16

    public boolean validateParticipationTypeMember16(ParticipationTypeMember16 participationTypeMember16,
                                                     org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                     java.util.Map context)

### validateParticipationVerifier

    public boolean validateParticipationVerifier(ParticipationVerifier participationVerifier,
                                                 org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                 java.util.Map context)

### validatePersonNamePartAffixTypes

    public boolean validatePersonNamePartAffixTypes(PersonNamePartAffixTypes personNamePartAffixTypes,
                                                    org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                    java.util.Map context)

### validatePersonNamePartChangeQualifier

    public boolean validatePersonNamePartChangeQualifier(PersonNamePartChangeQualifier personNamePartChangeQualifier,
                                                         org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                         java.util.Map context)

### validatePersonNamePartMiscQualifier

    public boolean validatePersonNamePartMiscQualifier(PersonNamePartMiscQualifier personNamePartMiscQualifier,
                                                       org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                       java.util.Map context)

### validatePersonNamePartQualifierMember3

    public boolean validatePersonNamePartQualifierMember3(PersonNamePartQualifierMember3 personNamePartQualifierMember3,
                                                          org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                          java.util.Map context)

### validatePersonNameUseMember3

    public boolean validatePersonNameUseMember3(PersonNameUseMember3 personNameUseMember3,
                                                org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                java.util.Map context)

### validatePostalAddressUseMember2

    public boolean validatePostalAddressUseMember2(PostalAddressUseMember2 postalAddressUseMember2,
                                                   org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                   java.util.Map context)

### validateProbabilityDistributionType

    public boolean validateProbabilityDistributionType(ProbabilityDistributionType probabilityDistributionType,
                                                       org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                       java.util.Map context)

### validateRelatedLinkType

    public boolean validateRelatedLinkType(RelatedLinkType relatedLinkType,
                                           org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                           java.util.Map context)

### validateRevisedType

    public boolean validateRevisedType(RevisedType revisedType,
                                       org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                       java.util.Map context)

### validateRoleClassAgentMember1

    public boolean validateRoleClassAgentMember1(RoleClassAgentMember1 roleClassAgentMember1,
                                                 org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                 java.util.Map context)

### validateRoleClassAssignedEntityMember1

    public boolean validateRoleClassAssignedEntityMember1(RoleClassAssignedEntityMember1 roleClassAssignedEntityMember1,
                                                          org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                          java.util.Map context)

### validateRoleClassContact

    public boolean validateRoleClassContact(RoleClassContact roleClassContact,
                                            org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                            java.util.Map context)

### validateRoleClassDistributedMaterial

    public boolean validateRoleClassDistributedMaterial(RoleClassDistributedMaterial roleClassDistributedMaterial,
                                                        org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                        java.util.Map context)

### validateRoleClassEmployee

    public boolean validateRoleClassEmployee(RoleClassEmployee roleClassEmployee,
                                             org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                             java.util.Map context)

### validateRoleClassInactiveIngredient

    public boolean validateRoleClassInactiveIngredient(RoleClassInactiveIngredient roleClassInactiveIngredient,
                                                       org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                       java.util.Map context)

### validateRoleClassIngredientEntityMember1

    public boolean validateRoleClassIngredientEntityMember1(RoleClassIngredientEntityMember1 roleClassIngredientEntityMember1,
                                                            org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                            java.util.Map context)

### validateRoleClassInvestigationSubject

    public boolean validateRoleClassInvestigationSubject(RoleClassInvestigationSubject roleClassInvestigationSubject,
                                                         org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                         java.util.Map context)

### validateRoleClassIsSpeciesEntity

    public boolean validateRoleClassIsSpeciesEntity(RoleClassIsSpeciesEntity roleClassIsSpeciesEntity,
                                                    org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                    java.util.Map context)

### validateRoleClassLocatedEntity

    public boolean validateRoleClassLocatedEntity(RoleClassLocatedEntity roleClassLocatedEntity,
                                                  org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                  java.util.Map context)

### validateRoleClassManufacturedProduct

    public boolean validateRoleClassManufacturedProduct(RoleClassManufacturedProduct roleClassManufacturedProduct,
                                                        org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                        java.util.Map context)

### validateRoleClassMutualRelationshipMember1

    public boolean validateRoleClassMutualRelationshipMember1(RoleClassMutualRelationshipMember1 roleClassMutualRelationshipMember1,
                                                              org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                              java.util.Map context)

### validateRoleClassOntologicalMember1

    public boolean validateRoleClassOntologicalMember1(RoleClassOntologicalMember1 roleClassOntologicalMember1,
                                                       org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                       java.util.Map context)

### validateRoleClassPartitiveMember3

    public boolean validateRoleClassPartitiveMember3(RoleClassPartitiveMember3 roleClassPartitiveMember3,
                                                     org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                     java.util.Map context)

### validateRoleClassPassiveMember3

    public boolean validateRoleClassPassiveMember3(RoleClassPassiveMember3 roleClassPassiveMember3,
                                                   org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                   java.util.Map context)

### validateRoleClassRelationshipFormalMember4

    public boolean validateRoleClassRelationshipFormalMember4(RoleClassRelationshipFormalMember4 roleClassRelationshipFormalMember4,
                                                              org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                              java.util.Map context)

### validateRoleClassRootMember11

    public boolean validateRoleClassRootMember11(RoleClassRootMember11 roleClassRootMember11,
                                                 org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                 java.util.Map context)

### validateRoleClassServiceDeliveryLocation

    public boolean validateRoleClassServiceDeliveryLocation(RoleClassServiceDeliveryLocation roleClassServiceDeliveryLocation,
                                                            org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                            java.util.Map context)

### validateRoleClassSpecimen

    public boolean validateRoleClassSpecimen(RoleClassSpecimen roleClassSpecimen,
                                             org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                             java.util.Map context)

### validateRulesType

    public boolean validateRulesType(RulesType rulesType,
                                     org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                     java.util.Map context)

### validateScopeType

    public boolean validateScopeType(ScopeType scopeType,
                                     org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                     java.util.Map context)

### validateScopeType1

    public boolean validateScopeType1(ScopeType1 scopeType1,
                                      org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                      java.util.Map context)

### validateSetOperator

    public boolean validateSetOperator(SetOperator setOperator,
                                       org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                       java.util.Map context)

### validateState

    public boolean validateState(State state,
                                 org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                 java.util.Map context)

### validateStreetAddressLineMember2

    public boolean validateStreetAddressLineMember2(StreetAddressLineMember2 streetAddressLineMember2,
                                                    org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                    java.util.Map context)

### validateStreetName

    public boolean validateStreetName(StreetName streetName,
                                      org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                      java.util.Map context)

### validateTelecommunicationAddressUseMember1

    public boolean validateTelecommunicationAddressUseMember1(TelecommunicationAddressUseMember1 telecommunicationAddressUseMember1,
                                                              org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                              java.util.Map context)

### validateTemporallyPertains

    public boolean validateTemporallyPertains(TemporallyPertains temporallyPertains,
                                              org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                              java.util.Map context)

### validateTextMediaType

    public boolean validateTextMediaType(TextMediaType textMediaType,
                                         org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                         java.util.Map context)

### validateTimingEvent

    public boolean validateTimingEvent(TimingEvent timingEvent,
                                       org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                       java.util.Map context)

### validateUnknownMember1

    public boolean validateUnknownMember1(UnknownMember1 unknownMember1,
                                          org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                          java.util.Map context)

### validateURLScheme

    public boolean validateURLScheme(URLScheme urlScheme,
                                     org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                     java.util.Map context)

### validateValignType

    public boolean validateValignType(ValignType valignType,
                                      org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                      java.util.Map context)

### validateValignType1

    public boolean validateValignType1(ValignType1 valignType1,
                                       org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                       java.util.Map context)

### validateValignType2

    public boolean validateValignType2(ValignType2 valignType2,
                                       org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                       java.util.Map context)

### validateValignType3

    public boolean validateValignType3(ValignType3 valignType3,
                                       org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                       java.util.Map context)

### validateValignType4

    public boolean validateValignType4(ValignType4 valignType4,
                                       org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                       java.util.Map context)

### validateValignType5

    public boolean validateValignType5(ValignType5 valignType5,
                                       org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                       java.util.Map context)

### validateValignType6

    public boolean validateValignType6(ValignType6 valignType6,
                                       org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                       java.util.Map context)

### validateValignType7

    public boolean validateValignType7(ValignType7 valignType7,
                                       org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                       java.util.Map context)

### validateVideoMediaType

    public boolean validateVideoMediaType(VideoMediaType videoMediaType,
                                          org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                          java.util.Map context)

### validateWorkPlaceAddressUse

    public boolean validateWorkPlaceAddressUse(WorkPlaceAddressUse workPlaceAddressUse,
                                               org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                               java.util.Map context)

### validateXActClassDocumentEntryAct

    public boolean validateXActClassDocumentEntryAct(XActClassDocumentEntryAct xActClassDocumentEntryAct,
                                                     org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                     java.util.Map context)

### validateXActClassDocumentEntryOrganizer

    public boolean validateXActClassDocumentEntryOrganizer(XActClassDocumentEntryOrganizer xActClassDocumentEntryOrganizer,
                                                           org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                           java.util.Map context)

### validateXActMoodDefEvn

    public boolean validateXActMoodDefEvn(XActMoodDefEvn xActMoodDefEvn,
                                          org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                          java.util.Map context)

### validateXActMoodDefEvnRqoPrmsPrp

    public boolean validateXActMoodDefEvnRqoPrmsPrp(XActMoodDefEvnRqoPrmsPrp xActMoodDefEvnRqoPrmsPrp,
                                                    org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                    java.util.Map context)

### validateXActMoodDocumentObservation

    public boolean validateXActMoodDocumentObservation(XActMoodDocumentObservation xActMoodDocumentObservation,
                                                       org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                       java.util.Map context)

### validateXActMoodEvnOrdPrmsPrp

    public boolean validateXActMoodEvnOrdPrmsPrp(XActMoodEvnOrdPrmsPrp xActMoodEvnOrdPrmsPrp,
                                                 org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                 java.util.Map context)

### validateXActMoodIntentEventMember1

    public boolean validateXActMoodIntentEventMember1(XActMoodIntentEventMember1 xActMoodIntentEventMember1,
                                                      org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                      java.util.Map context)

### validateXActMoodOrdPrms

    public boolean validateXActMoodOrdPrms(XActMoodOrdPrms xActMoodOrdPrms,
                                           org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                           java.util.Map context)

### validateXActMoodOrdPrmsEvn

    public boolean validateXActMoodOrdPrmsEvn(XActMoodOrdPrmsEvn xActMoodOrdPrmsEvn,
                                              org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                              java.util.Map context)

### validateXActMoodRqoPrpAptArq

    public boolean validateXActMoodRqoPrpAptArq(XActMoodRqoPrpAptArq xActMoodRqoPrpAptArq,
                                                org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                java.util.Map context)

### validateXActRelationshipDocument

    public boolean validateXActRelationshipDocument(XActRelationshipDocument xActRelationshipDocument,
                                                    org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                    java.util.Map context)

### validateXActRelationshipEntry

    public boolean validateXActRelationshipEntry(XActRelationshipEntry xActRelationshipEntry,
                                                 org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                 java.util.Map context)

### validateXActRelationshipEntryRelationship

    public boolean validateXActRelationshipEntryRelationship(XActRelationshipEntryRelationship xActRelationshipEntryRelationship,
                                                             org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                             java.util.Map context)

### validateXActRelationshipExternalReference

    public boolean validateXActRelationshipExternalReference(XActRelationshipExternalReference xActRelationshipExternalReference,
                                                             org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                             java.util.Map context)

### validateXActRelationshipPatientTransport

    public boolean validateXActRelationshipPatientTransport(XActRelationshipPatientTransport xActRelationshipPatientTransport,
                                                            org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                            java.util.Map context)

### validateXActRelationshipPertinentInfo

    public boolean validateXActRelationshipPertinentInfo(XActRelationshipPertinentInfo xActRelationshipPertinentInfo,
                                                         org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                         java.util.Map context)

### validateXDeterminerInstanceKind

    public boolean validateXDeterminerInstanceKind(XDeterminerInstanceKind xDeterminerInstanceKind,
                                                   org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                   java.util.Map context)

### validateXDocumentActMood

    public boolean validateXDocumentActMood(XDocumentActMood xDocumentActMood,
                                            org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                            java.util.Map context)

### validateXDocumentEncounterMood

    public boolean validateXDocumentEncounterMood(XDocumentEncounterMood xDocumentEncounterMood,
                                                  org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                  java.util.Map context)

### validateXDocumentEntrySubject

    public boolean validateXDocumentEntrySubject(XDocumentEntrySubject xDocumentEntrySubject,
                                                 org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                 java.util.Map context)

### validateXDocumentProcedureMood

    public boolean validateXDocumentProcedureMood(XDocumentProcedureMood xDocumentProcedureMood,
                                                  org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                  java.util.Map context)

### validateXDocumentSubject

    public boolean validateXDocumentSubject(XDocumentSubject xDocumentSubject,
                                            org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                            java.util.Map context)

### validateXDocumentSubstanceMood

    public boolean validateXDocumentSubstanceMood(XDocumentSubstanceMood xDocumentSubstanceMood,
                                                  org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                  java.util.Map context)

### validateXEncounterParticipant

    public boolean validateXEncounterParticipant(XEncounterParticipant xEncounterParticipant,
                                                 org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                 java.util.Map context)

### validateXEncounterPerformerParticipation

    public boolean validateXEncounterPerformerParticipation(XEncounterPerformerParticipation xEncounterPerformerParticipation,
                                                            org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                            java.util.Map context)

### validateXEntityClassDocumentReceivingMember1

    public boolean validateXEntityClassDocumentReceivingMember1(XEntityClassDocumentReceivingMember1 xEntityClassDocumentReceivingMember1,
                                                                org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                                java.util.Map context)

### validateXEntityClassPersonOrOrgReceivingMember1

    public boolean validateXEntityClassPersonOrOrgReceivingMember1(XEntityClassPersonOrOrgReceivingMember1 xEntityClassPersonOrOrgReceivingMember1,
                                                                   org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                                   java.util.Map context)

### validateXInformationRecipient

    public boolean validateXInformationRecipient(XInformationRecipient xInformationRecipient,
                                                 org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                 java.util.Map context)

### validateXInformationRecipientRole

    public boolean validateXInformationRecipientRole(XInformationRecipientRole xInformationRecipientRole,
                                                     org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                     java.util.Map context)

### validateXOrganizationNamePartType

    public boolean validateXOrganizationNamePartType(XOrganizationNamePartType xOrganizationNamePartType,
                                                     org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                     java.util.Map context)

### validateXParticipationAuthorPerformer

    public boolean validateXParticipationAuthorPerformer(XParticipationAuthorPerformer xParticipationAuthorPerformer,
                                                         org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                         java.util.Map context)

### validateXParticipationEntVrf

    public boolean validateXParticipationEntVrf(XParticipationEntVrf xParticipationEntVrf,
                                                org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                java.util.Map context)

### validateXParticipationPrfEntVrf

    public boolean validateXParticipationPrfEntVrf(XParticipationPrfEntVrf xParticipationPrfEntVrf,
                                                   org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                   java.util.Map context)

### validateXParticipationVrfRespSprfWit

    public boolean validateXParticipationVrfRespSprfWit(XParticipationVrfRespSprfWit xParticipationVrfRespSprfWit,
                                                        org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                        java.util.Map context)

### validateXPersonNamePartType

    public boolean validateXPersonNamePartType(XPersonNamePartType xPersonNamePartType,
                                               org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                               java.util.Map context)

### validateXRoleClassAccommodationRequestor

    public boolean validateXRoleClassAccommodationRequestor(XRoleClassAccommodationRequestor xRoleClassAccommodationRequestor,
                                                            org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                            java.util.Map context)

### validateXRoleClassCoverage

    public boolean validateXRoleClassCoverage(XRoleClassCoverage xRoleClassCoverage,
                                              org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                              java.util.Map context)

### validateXRoleClassCoverageInvoice

    public boolean validateXRoleClassCoverageInvoice(XRoleClassCoverageInvoice xRoleClassCoverageInvoice,
                                                     org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                     java.util.Map context)

### validateXRoleClassCredentialedEntityMember1

    public boolean validateXRoleClassCredentialedEntityMember1(XRoleClassCredentialedEntityMember1 xRoleClassCredentialedEntityMember1,
                                                               org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                               java.util.Map context)

### validateXRoleClassPayeePolicyRelationship

    public boolean validateXRoleClassPayeePolicyRelationship(XRoleClassPayeePolicyRelationship xRoleClassPayeePolicyRelationship,
                                                             org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                             java.util.Map context)

### validateXServiceEventPerformer

    public boolean validateXServiceEventPerformer(XServiceEventPerformer xServiceEventPerformer,
                                                  org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                  java.util.Map context)

### validateActClass

    public boolean validateActClass(org.eclipse.emf.common.util.Enumerator actClass,
                                    org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                    java.util.Map context)

### validateActClass_MemberTypes

    public boolean validateActClass_MemberTypes(org.eclipse.emf.common.util.Enumerator actClass,
                                                org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                java.util.Map context)

  Validates the MemberTypes constraint of 'Act Class'.

### validateActClassComposition

    public boolean validateActClassComposition(org.eclipse.emf.common.util.Enumerator actClassComposition,
                                               org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                               java.util.Map context)

### validateActClassComposition_MemberTypes

    public boolean validateActClassComposition_MemberTypes(org.eclipse.emf.common.util.Enumerator actClassComposition,
                                                           org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                           java.util.Map context)

  Validates the MemberTypes constraint of 'Act Class Composition'.

### validateActClassCompositionMember1Object

    public boolean validateActClassCompositionMember1Object(ActClassCompositionMember1 actClassCompositionMember1Object,
                                                            org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                            java.util.Map context)

### validateActClassCondition

    public boolean validateActClassCondition(org.eclipse.emf.common.util.Enumerator actClassCondition,
                                             org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                             java.util.Map context)

### validateActClassCondition_MemberTypes

    public boolean validateActClassCondition_MemberTypes(org.eclipse.emf.common.util.Enumerator actClassCondition,
                                                         org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                         java.util.Map context)

  Validates the MemberTypes constraint of 'Act Class Condition'.

### validateActClassConditionMember1Object

    public boolean validateActClassConditionMember1Object(ActClassConditionMember1 actClassConditionMember1Object,
                                                          org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                          java.util.Map context)

### validateActClassContract

    public boolean validateActClassContract(org.eclipse.emf.common.util.Enumerator actClassContract,
                                            org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                            java.util.Map context)

### validateActClassContract_MemberTypes

    public boolean validateActClassContract_MemberTypes(org.eclipse.emf.common.util.Enumerator actClassContract,
                                                        org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                        java.util.Map context)

  Validates the MemberTypes constraint of 'Act Class Contract'.

### validateActClassContractMember1Object

    public boolean validateActClassContractMember1Object(ActClassContractMember1 actClassContractMember1Object,
                                                         org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                         java.util.Map context)

### validateActClassControlActObject

    public boolean validateActClassControlActObject(ActClassControlAct actClassControlActObject,
                                                    org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                    java.util.Map context)

### validateActClassDocument

    public boolean validateActClassDocument(org.eclipse.emf.common.util.Enumerator actClassDocument,
                                            org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                            java.util.Map context)

### validateActClassDocument_MemberTypes

    public boolean validateActClassDocument_MemberTypes(org.eclipse.emf.common.util.Enumerator actClassDocument,
                                                        org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                        java.util.Map context)

  Validates the MemberTypes constraint of 'Act Class Document'.

### validateActClassDocumentMember1Object

    public boolean validateActClassDocumentMember1Object(ActClassDocumentMember1 actClassDocumentMember1Object,
                                                         org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                         java.util.Map context)

### validateActClassEntryObject

    public boolean validateActClassEntryObject(ActClassEntry actClassEntryObject,
                                               org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                               java.util.Map context)

### validateActClassExtractObject

    public boolean validateActClassExtractObject(ActClassExtract actClassExtractObject,
                                                 org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                 java.util.Map context)

### validateActClassFinancialContractObject

    public boolean validateActClassFinancialContractObject(ActClassFinancialContract actClassFinancialContractObject,
                                                           org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                           java.util.Map context)

### validateActClassObservation

    public boolean validateActClassObservation(org.eclipse.emf.common.util.Enumerator actClassObservation,
                                               org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                               java.util.Map context)

### validateActClassObservation_MemberTypes

    public boolean validateActClassObservation_MemberTypes(org.eclipse.emf.common.util.Enumerator actClassObservation,
                                                           org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                           java.util.Map context)

  Validates the MemberTypes constraint of 'Act Class Observation'.

### validateActClassObservationMember3Object

    public boolean validateActClassObservationMember3Object(ActClassObservationMember3 actClassObservationMember3Object,
                                                            org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                            java.util.Map context)

### validateActClassObservationSeriesObject

    public boolean validateActClassObservationSeriesObject(ActClassObservationSeries actClassObservationSeriesObject,
                                                           org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                           java.util.Map context)

### validateActClassOrganizerObject

    public boolean validateActClassOrganizerObject(ActClassOrganizer actClassOrganizerObject,
                                                   org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                   java.util.Map context)

### validateActClassPublicHealthCaseObject

    public boolean validateActClassPublicHealthCaseObject(ActClassPublicHealthCase actClassPublicHealthCaseObject,
                                                          org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                          java.util.Map context)

### validateActClassROIObject

    public boolean validateActClassROIObject(ActClassROI actClassROIObject,
                                             org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                             java.util.Map context)

### validateActClassRoot

    public boolean validateActClassRoot(org.eclipse.emf.common.util.Enumerator actClassRoot,
                                        org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                        java.util.Map context)

### validateActClassRoot_MemberTypes

    public boolean validateActClassRoot_MemberTypes(org.eclipse.emf.common.util.Enumerator actClassRoot,
                                                    org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                    java.util.Map context)

  Validates the MemberTypes constraint of 'Act Class Root'.

### validateActClassRootMember7Object

    public boolean validateActClassRootMember7Object(ActClassRootMember7 actClassRootMember7Object,
                                                     org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                     java.util.Map context)

### validateActClassSupplyObject

    public boolean validateActClassSupplyObject(ActClassSupply actClassSupplyObject,
                                                org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                java.util.Map context)

### validateActClinicalDocumentObject

    public boolean validateActClinicalDocumentObject(ActClinicalDocument actClinicalDocumentObject,
                                                     org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                     java.util.Map context)

### validateActContainer

    public boolean validateActContainer(org.eclipse.emf.common.util.Enumerator actContainer,
                                        org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                        java.util.Map context)

### validateActContainer_MemberTypes

    public boolean validateActContainer_MemberTypes(org.eclipse.emf.common.util.Enumerator actContainer,
                                                    org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                    java.util.Map context)

  Validates the MemberTypes constraint of 'Act Container'.

### validateActContainerMember4Object

    public boolean validateActContainerMember4Object(ActContainerMember4 actContainerMember4Object,
                                                     org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                     java.util.Map context)

### validateActMood

    public boolean validateActMood(org.eclipse.emf.common.util.Enumerator actMood,
                                   org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                   java.util.Map context)

### validateActMood_MemberTypes

    public boolean validateActMood_MemberTypes(org.eclipse.emf.common.util.Enumerator actMood,
                                               org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                               java.util.Map context)

  Validates the MemberTypes constraint of 'Act Mood'.

### validateActMoodCompletionTrack

    public boolean validateActMoodCompletionTrack(org.eclipse.emf.common.util.Enumerator actMoodCompletionTrack,
                                                  org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                  java.util.Map context)

### validateActMoodCompletionTrack_MemberTypes

    public boolean validateActMoodCompletionTrack_MemberTypes(org.eclipse.emf.common.util.Enumerator actMoodCompletionTrack,
                                                              org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                              java.util.Map context)

  Validates the MemberTypes constraint of 'Act Mood Completion Track'.

### validateActMoodCompletionTrackMember1Object

    public boolean validateActMoodCompletionTrackMember1Object(ActMoodCompletionTrackMember1 actMoodCompletionTrackMember1Object,
                                                               org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                               java.util.Map context)

### validateActMoodIntentObject

    public boolean validateActMoodIntentObject(ActMoodIntent actMoodIntentObject,
                                               org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                               java.util.Map context)

### validateActMoodPredicateObject

    public boolean validateActMoodPredicateObject(ActMoodPredicate actMoodPredicateObject,
                                                  org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                  java.util.Map context)

### validateActRelationshipAccounting

    public boolean validateActRelationshipAccounting(java.lang.Object actRelationshipAccounting,
                                                     org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                     java.util.Map context)

### validateActRelationshipAccounting_MemberTypes

    public boolean validateActRelationshipAccounting_MemberTypes(java.lang.Object actRelationshipAccounting,
                                                                 org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                                 java.util.Map context)

  Validates the MemberTypes constraint of 'Act Relationship Accounting'.

### validateActRelationshipAccountingMember2

    public boolean validateActRelationshipAccountingMember2(java.lang.String actRelationshipAccountingMember2,
                                                            org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                            java.util.Map context)

### validateActRelationshipConditional

    public boolean validateActRelationshipConditional(org.eclipse.emf.common.util.Enumerator actRelationshipConditional,
                                                      org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                      java.util.Map context)

### validateActRelationshipConditional_MemberTypes

    public boolean validateActRelationshipConditional_MemberTypes(org.eclipse.emf.common.util.Enumerator actRelationshipConditional,
                                                                  org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                                  java.util.Map context)

  Validates the MemberTypes constraint of 'Act Relationship Conditional'.

### validateActRelationshipConditionalMember1Object

    public boolean validateActRelationshipConditionalMember1Object(ActRelationshipConditionalMember1 actRelationshipConditionalMember1Object,
                                                                   org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                                   java.util.Map context)

### validateActRelationshipCostTrackingObject

    public boolean validateActRelationshipCostTrackingObject(ActRelationshipCostTracking actRelationshipCostTrackingObject,
                                                             org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                             java.util.Map context)

### validateActRelationshipExcerptObject

    public boolean validateActRelationshipExcerptObject(ActRelationshipExcerpt actRelationshipExcerptObject,
                                                        org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                        java.util.Map context)

### validateActRelationshipFulfillsObject

    public boolean validateActRelationshipFulfillsObject(ActRelationshipFulfills actRelationshipFulfillsObject,
                                                         org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                         java.util.Map context)

### validateActRelationshipHasComponentObject

    public boolean validateActRelationshipHasComponentObject(ActRelationshipHasComponent actRelationshipHasComponentObject,
                                                             org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                             java.util.Map context)

### validateActRelationshipObjectiveObject

    public boolean validateActRelationshipObjectiveObject(ActRelationshipObjective actRelationshipObjectiveObject,
                                                          org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                          java.util.Map context)

### validateActRelationshipOutcome

    public boolean validateActRelationshipOutcome(org.eclipse.emf.common.util.Enumerator actRelationshipOutcome,
                                                  org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                  java.util.Map context)

### validateActRelationshipOutcome_MemberTypes

    public boolean validateActRelationshipOutcome_MemberTypes(org.eclipse.emf.common.util.Enumerator actRelationshipOutcome,
                                                              org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                              java.util.Map context)

  Validates the MemberTypes constraint of 'Act Relationship Outcome'.

### validateActRelationshipOutcomeMember1Object

    public boolean validateActRelationshipOutcomeMember1Object(ActRelationshipOutcomeMember1 actRelationshipOutcomeMember1Object,
                                                               org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                               java.util.Map context)

### validateActRelationshipPertains

    public boolean validateActRelationshipPertains(java.lang.Object actRelationshipPertains,
                                                   org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                   java.util.Map context)

### validateActRelationshipPertains_MemberTypes

    public boolean validateActRelationshipPertains_MemberTypes(java.lang.Object actRelationshipPertains,
                                                               org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                               java.util.Map context)

  Validates the MemberTypes constraint of 'Act Relationship Pertains'.

### validateActRelationshipPertainsMember3Object

    public boolean validateActRelationshipPertainsMember3Object(ActRelationshipPertainsMember3 actRelationshipPertainsMember3Object,
                                                                org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                                java.util.Map context)

### validateActRelationshipPostingObject

    public boolean validateActRelationshipPostingObject(ActRelationshipPosting actRelationshipPostingObject,
                                                        org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                        java.util.Map context)

### validateActRelationshipReasonObject

    public boolean validateActRelationshipReasonObject(ActRelationshipReason actRelationshipReasonObject,
                                                       org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                       java.util.Map context)

### validateActRelationshipReplacementObject

    public boolean validateActRelationshipReplacementObject(ActRelationshipReplacement actRelationshipReplacementObject,
                                                            org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                            java.util.Map context)

### validateActRelationshipSequel

    public boolean validateActRelationshipSequel(org.eclipse.emf.common.util.Enumerator actRelationshipSequel,
                                                 org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                 java.util.Map context)

### validateActRelationshipSequel_MemberTypes

    public boolean validateActRelationshipSequel_MemberTypes(org.eclipse.emf.common.util.Enumerator actRelationshipSequel,
                                                             org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                             java.util.Map context)

  Validates the MemberTypes constraint of 'Act Relationship Sequel'.

### validateActRelationshipSequelMember3Object

    public boolean validateActRelationshipSequelMember3Object(ActRelationshipSequelMember3 actRelationshipSequelMember3Object,
                                                              org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                              java.util.Map context)

### validateActRelationshipType

    public boolean validateActRelationshipType(java.lang.Object actRelationshipType,
                                               org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                               java.util.Map context)

### validateActRelationshipType_MemberTypes

    public boolean validateActRelationshipType_MemberTypes(java.lang.Object actRelationshipType,
                                                           org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                           java.util.Map context)

  Validates the MemberTypes constraint of 'Act Relationship Type'.

### validateAdditionalLocatorObject

    public boolean validateAdditionalLocatorObject(AdditionalLocator additionalLocatorObject,
                                                   org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                   java.util.Map context)

### validateAddressPartType

    public boolean validateAddressPartType(org.eclipse.emf.common.util.Enumerator addressPartType,
                                           org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                           java.util.Map context)

### validateAddressPartType_MemberTypes

    public boolean validateAddressPartType_MemberTypes(org.eclipse.emf.common.util.Enumerator addressPartType,
                                                       org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                       java.util.Map context)

  Validates the MemberTypes constraint of 'Address Part Type'.

### validateAddressPartTypeMember3Object

    public boolean validateAddressPartTypeMember3Object(AddressPartTypeMember3 addressPartTypeMember3Object,
                                                        org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                        java.util.Map context)

### validateAddressUse

    public boolean validateAddressUse(org.eclipse.emf.common.util.Enumerator addressUse,
                                      org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                      java.util.Map context)

### validateAddressUse_MemberTypes

    public boolean validateAddressUse_MemberTypes(org.eclipse.emf.common.util.Enumerator addressUse,
                                                  org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                  java.util.Map context)

  Validates the MemberTypes constraint of 'Address Use'.

### validateAddressUseMember2Object

    public boolean validateAddressUseMember2Object(AddressUseMember2 addressUseMember2Object,
                                                   org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                   java.util.Map context)

### validateAlignTypeObject

    public boolean validateAlignTypeObject(AlignType2 alignTypeObject,
                                           org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                           java.util.Map context)

### validateAlignTypeObject1

    public boolean validateAlignTypeObject1(AlignType alignTypeObject1,
                                            org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                            java.util.Map context)

### validateAlignTypeObject2

    public boolean validateAlignTypeObject2(AlignType1 alignTypeObject2,
                                            org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                            java.util.Map context)

### validateAlignTypeObject3

    public boolean validateAlignTypeObject3(AlignType4 alignTypeObject3,
                                            org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                            java.util.Map context)

### validateAlignTypeObject4

    public boolean validateAlignTypeObject4(AlignType3 alignTypeObject4,
                                            org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                            java.util.Map context)

### validateAlignTypeObject5

    public boolean validateAlignTypeObject5(AlignType6 alignTypeObject5,
                                            org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                            java.util.Map context)

### validateAlignTypeObject6

    public boolean validateAlignTypeObject6(AlignType5 alignTypeObject6,
                                            org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                            java.util.Map context)

### validateAlignTypeObject7

    public boolean validateAlignTypeObject7(AlignType7 alignTypeObject7,
                                            org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                            java.util.Map context)

### validateApplicationMediaTypeObject

    public boolean validateApplicationMediaTypeObject(ApplicationMediaType applicationMediaTypeObject,
                                                      org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                      java.util.Map context)

### validateAskedButUnknownObject

    public boolean validateAskedButUnknownObject(AskedButUnknown askedButUnknownObject,
                                                 org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                 java.util.Map context)

### validateAudioMediaTypeObject

    public boolean validateAudioMediaTypeObject(AudioMediaType audioMediaTypeObject,
                                                org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                java.util.Map context)

### validateBin

    public boolean validateBin(byte[] bin,
                               org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                               java.util.Map context)

### validateBinaryDataEncodingObject

    public boolean validateBinaryDataEncodingObject(BinaryDataEncoding binaryDataEncodingObject,
                                                    org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                    java.util.Map context)

### validateBl

    public boolean validateBl(boolean bl,
                              org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                              java.util.Map context)

### validateBl_Pattern

    public boolean validateBl_Pattern(boolean bl,
                                      org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                      java.util.Map context)

  Validates the Pattern constraint of 'Bl'.

### validateBlObject

    public boolean validateBlObject(java.lang.Boolean blObject,
                                    org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                    java.util.Map context)

### validateBn

    public boolean validateBn(boolean bn,
                              org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                              java.util.Map context)

### validateBnObject

    public boolean validateBnObject(java.lang.Boolean bnObject,
                                    org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                    java.util.Map context)

### validateBuildingNumberObject

    public boolean validateBuildingNumberObject(BuildingNumber buildingNumberObject,
                                                org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                java.util.Map context)

### validateCalendarCycle

    public boolean validateCalendarCycle(java.lang.Object calendarCycle,
                                         org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                         java.util.Map context)

### validateCalendarCycle_MemberTypes

    public boolean validateCalendarCycle_MemberTypes(java.lang.Object calendarCycle,
                                                     org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                     java.util.Map context)

  Validates the MemberTypes constraint of 'Calendar Cycle'.

### validateCalendarCycleOneLetterObject

    public boolean validateCalendarCycleOneLetterObject(CalendarCycleOneLetter calendarCycleOneLetterObject,
                                                        org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                        java.util.Map context)

### validateCalendarCycleTwoLetter

    public boolean validateCalendarCycleTwoLetter(java.lang.Object calendarCycleTwoLetter,
                                                  org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                  java.util.Map context)

### validateCalendarCycleTwoLetter_MemberTypes

    public boolean validateCalendarCycleTwoLetter_MemberTypes(java.lang.Object calendarCycleTwoLetter,
                                                              org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                              java.util.Map context)

  Validates the MemberTypes constraint of 'Calendar Cycle Two Letter'.

### validateCalendarCycleTwoLetterMember1Object

    public boolean validateCalendarCycleTwoLetterMember1Object(CalendarCycleTwoLetterMember1 calendarCycleTwoLetterMember1Object,
                                                               org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                               java.util.Map context)

### validateClasses

    public boolean validateClasses(java.lang.String classes,
                                   org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                   java.util.Map context)

### validateCommunicationFunctionTypeObject

    public boolean validateCommunicationFunctionTypeObject(CommunicationFunctionType communicationFunctionTypeObject,
                                                           org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                           java.util.Map context)

### validateCompressionAlgorithmObject

    public boolean validateCompressionAlgorithmObject(CompressionAlgorithm compressionAlgorithmObject,
                                                      org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                      java.util.Map context)

### validateContextControl

    public boolean validateContextControl(org.eclipse.emf.common.util.Enumerator contextControl,
                                          org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                          java.util.Map context)

### validateContextControl_MemberTypes

    public boolean validateContextControl_MemberTypes(org.eclipse.emf.common.util.Enumerator contextControl,
                                                      org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                      java.util.Map context)

  Validates the MemberTypes constraint of 'Context Control'.

### validateContextControlAdditiveObject

    public boolean validateContextControlAdditiveObject(ContextControlAdditive contextControlAdditiveObject,
                                                        org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                        java.util.Map context)

### validateContextControlNonPropagatingObject

    public boolean validateContextControlNonPropagatingObject(ContextControlNonPropagating contextControlNonPropagatingObject,
                                                              org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                              java.util.Map context)

### validateContextControlOverridingObject

    public boolean validateContextControlOverridingObject(ContextControlOverriding contextControlOverridingObject,
                                                          org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                          java.util.Map context)

### validateContextControlPropagatingObject

    public boolean validateContextControlPropagatingObject(ContextControlPropagating contextControlPropagatingObject,
                                                           org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                           java.util.Map context)

### validateCs

    public boolean validateCs(java.lang.String cs,
                              org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                              java.util.Map context)

### validateCs_Pattern

    public boolean validateCs_Pattern(java.lang.String cs,
                                      org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                      java.util.Map context)

  Validates the Pattern constraint of 'Cs'.

### validateCurrencyObject

    public boolean validateCurrencyObject(Currency currencyObject,
                                          org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                          java.util.Map context)

### validateDeliveryAddressLineObject

    public boolean validateDeliveryAddressLineObject(DeliveryAddressLine deliveryAddressLineObject,
                                                     org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                     java.util.Map context)

### validateEntityClass

    public boolean validateEntityClass(org.eclipse.emf.common.util.Enumerator entityClass,
                                       org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                       java.util.Map context)

### validateEntityClass_MemberTypes

    public boolean validateEntityClass_MemberTypes(org.eclipse.emf.common.util.Enumerator entityClass,
                                                   org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                   java.util.Map context)

  Validates the MemberTypes constraint of 'Entity Class'.

### validateEntityClassContainerObject

    public boolean validateEntityClassContainerObject(EntityClassContainer entityClassContainerObject,
                                                      org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                      java.util.Map context)

### validateEntityClassDeviceObject

    public boolean validateEntityClassDeviceObject(EntityClassDevice entityClassDeviceObject,
                                                   org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                   java.util.Map context)

### validateEntityClassLivingSubject

    public boolean validateEntityClassLivingSubject(org.eclipse.emf.common.util.Enumerator entityClassLivingSubject,
                                                    org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                    java.util.Map context)

### validateEntityClassLivingSubject_MemberTypes

    public boolean validateEntityClassLivingSubject_MemberTypes(org.eclipse.emf.common.util.Enumerator entityClassLivingSubject,
                                                                org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                                java.util.Map context)

  Validates the MemberTypes constraint of 'Entity Class Living Subject'.

### validateEntityClassLivingSubjectMember1Object

    public boolean validateEntityClassLivingSubjectMember1Object(EntityClassLivingSubjectMember1 entityClassLivingSubjectMember1Object,
                                                                 org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                                 java.util.Map context)

### validateEntityClassManufacturedMaterial

    public boolean validateEntityClassManufacturedMaterial(org.eclipse.emf.common.util.Enumerator entityClassManufacturedMaterial,
                                                           org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                           java.util.Map context)

### validateEntityClassManufacturedMaterial_MemberTypes

    public boolean validateEntityClassManufacturedMaterial_MemberTypes(org.eclipse.emf.common.util.Enumerator entityClassManufacturedMaterial,
                                                                       org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                                       java.util.Map context)

  Validates the MemberTypes constraint of 'Entity Class Manufactured Material'.

### validateEntityClassManufacturedMaterialMember2Object

    public boolean validateEntityClassManufacturedMaterialMember2Object(EntityClassManufacturedMaterialMember2 entityClassManufacturedMaterialMember2Object,
                                                                        org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                                        java.util.Map context)

### validateEntityClassMaterial

    public boolean validateEntityClassMaterial(org.eclipse.emf.common.util.Enumerator entityClassMaterial,
                                               org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                               java.util.Map context)

### validateEntityClassMaterial_MemberTypes

    public boolean validateEntityClassMaterial_MemberTypes(org.eclipse.emf.common.util.Enumerator entityClassMaterial,
                                                           org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                           java.util.Map context)

  Validates the MemberTypes constraint of 'Entity Class Material'.

### validateEntityClassMaterialMember1Object

    public boolean validateEntityClassMaterialMember1Object(EntityClassMaterialMember1 entityClassMaterialMember1Object,
                                                            org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                            java.util.Map context)

### validateEntityClassNonPersonLivingSubjectObject

    public boolean validateEntityClassNonPersonLivingSubjectObject(EntityClassNonPersonLivingSubject entityClassNonPersonLivingSubjectObject,
                                                                   org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                                   java.util.Map context)

### validateEntityClassOrganization

    public boolean validateEntityClassOrganization(org.eclipse.emf.common.util.Enumerator entityClassOrganization,
                                                   org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                   java.util.Map context)

### validateEntityClassOrganization_MemberTypes

    public boolean validateEntityClassOrganization_MemberTypes(org.eclipse.emf.common.util.Enumerator entityClassOrganization,
                                                               org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                               java.util.Map context)

  Validates the MemberTypes constraint of 'Entity Class Organization'.

### validateEntityClassOrganizationMember1Object

    public boolean validateEntityClassOrganizationMember1Object(EntityClassOrganizationMember1 entityClassOrganizationMember1Object,
                                                                org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                                java.util.Map context)

### validateEntityClassPlaceObject

    public boolean validateEntityClassPlaceObject(EntityClassPlace entityClassPlaceObject,
                                                  org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                  java.util.Map context)

### validateEntityClassRoot

    public boolean validateEntityClassRoot(org.eclipse.emf.common.util.Enumerator entityClassRoot,
                                           org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                           java.util.Map context)

### validateEntityClassRoot_MemberTypes

    public boolean validateEntityClassRoot_MemberTypes(org.eclipse.emf.common.util.Enumerator entityClassRoot,
                                                       org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                       java.util.Map context)

  Validates the MemberTypes constraint of 'Entity Class Root'.

### validateEntityClassRootMember4Object

    public boolean validateEntityClassRootMember4Object(EntityClassRootMember4 entityClassRootMember4Object,
                                                        org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                        java.util.Map context)

### validateEntityDeterminer

    public boolean validateEntityDeterminer(org.eclipse.emf.common.util.Enumerator entityDeterminer,
                                            org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                            java.util.Map context)

### validateEntityDeterminer_MemberTypes

    public boolean validateEntityDeterminer_MemberTypes(org.eclipse.emf.common.util.Enumerator entityDeterminer,
                                                        org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                        java.util.Map context)

  Validates the MemberTypes constraint of 'Entity Determiner'.

### validateEntityDeterminerDeterminedObject

    public boolean validateEntityDeterminerDeterminedObject(EntityDeterminerDetermined entityDeterminerDeterminedObject,
                                                            org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                            java.util.Map context)

### validateEntityDeterminerMember2Object

    public boolean validateEntityDeterminerMember2Object(EntityDeterminerMember2 entityDeterminerMember2Object,
                                                         org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                         java.util.Map context)

### validateEntityNamePartQualifier

    public boolean validateEntityNamePartQualifier(org.eclipse.emf.common.util.Enumerator entityNamePartQualifier,
                                                   org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                   java.util.Map context)

### validateEntityNamePartQualifier_MemberTypes

    public boolean validateEntityNamePartQualifier_MemberTypes(org.eclipse.emf.common.util.Enumerator entityNamePartQualifier,
                                                               org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                               java.util.Map context)

  Validates the MemberTypes constraint of 'Entity Name Part Qualifier'.

### validateEntityNamePartType

    public boolean validateEntityNamePartType(org.eclipse.emf.common.util.Enumerator entityNamePartType,
                                              org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                              java.util.Map context)

### validateEntityNamePartType_MemberTypes

    public boolean validateEntityNamePartType_MemberTypes(org.eclipse.emf.common.util.Enumerator entityNamePartType,
                                                          org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                          java.util.Map context)

  Validates the MemberTypes constraint of 'Entity Name Part Type'.

### validateEntityNamePartTypeMember2Object

    public boolean validateEntityNamePartTypeMember2Object(EntityNamePartTypeMember2 entityNamePartTypeMember2Object,
                                                           org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                           java.util.Map context)

### validateEntityNameSearchUseObject

    public boolean validateEntityNameSearchUseObject(EntityNameSearchUse entityNameSearchUseObject,
                                                     org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                     java.util.Map context)

### validateEntityNameUse

    public boolean validateEntityNameUse(org.eclipse.emf.common.util.Enumerator entityNameUse,
                                         org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                         java.util.Map context)

### validateEntityNameUse_MemberTypes

    public boolean validateEntityNameUse_MemberTypes(org.eclipse.emf.common.util.Enumerator entityNameUse,
                                                     org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                     java.util.Map context)

  Validates the MemberTypes constraint of 'Entity Name Use'.

### validateEntityNameUseMember4Object

    public boolean validateEntityNameUseMember4Object(EntityNameUseMember4 entityNameUseMember4Object,
                                                      org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                      java.util.Map context)

### validateFrameTypeObject

    public boolean validateFrameTypeObject(FrameType frameTypeObject,
                                           org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                           java.util.Map context)

### validateGregorianCalendarCycle

    public boolean validateGregorianCalendarCycle(java.lang.String gregorianCalendarCycle,
                                                  org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                  java.util.Map context)

### validateHasSupportObject

    public boolean validateHasSupportObject(HasSupport hasSupportObject,
                                            org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                            java.util.Map context)

### validateHomeAddressUseObject

    public boolean validateHomeAddressUseObject(HomeAddressUse homeAddressUseObject,
                                                org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                java.util.Map context)

### validateImageMediaTypeObject

    public boolean validateImageMediaTypeObject(ImageMediaType imageMediaTypeObject,
                                                org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                java.util.Map context)

### validateInt

    public boolean validateInt(java.math.BigInteger int_,
                               org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                               java.util.Map context)

### validateIntegrityCheckAlgorithmObject

    public boolean validateIntegrityCheckAlgorithmObject(IntegrityCheckAlgorithm integrityCheckAlgorithmObject,
                                                         org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                         java.util.Map context)

### validateLicensedEntityRoleObject

    public boolean validateLicensedEntityRoleObject(LicensedEntityRole licensedEntityRoleObject,
                                                    org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                    java.util.Map context)

### validateListInt

    public boolean validateListInt(java.util.List listInt,
                                   org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                   java.util.Map context)

### validateListInt_ItemType

    public boolean validateListInt_ItemType(java.util.List listInt,
                                            org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                            java.util.Map context)

  Validates the ItemType constraint of 'List Int'.

### validateListTypeTypeObject

    public boolean validateListTypeTypeObject(ListTypeType listTypeTypeObject,
                                              org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                              java.util.Map context)

### validateMediaType

    public boolean validateMediaType(org.eclipse.emf.common.util.Enumerator mediaType,
                                     org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                     java.util.Map context)

### validateMediaType_MemberTypes

    public boolean validateMediaType_MemberTypes(org.eclipse.emf.common.util.Enumerator mediaType,
                                                 org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                 java.util.Map context)

  Validates the MemberTypes constraint of 'Media Type'.

### validateModelMediaTypeObject

    public boolean validateModelMediaTypeObject(ModelMediaType modelMediaTypeObject,
                                                org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                java.util.Map context)

### validateMultipartMediaTypeObject

    public boolean validateMultipartMediaTypeObject(MultipartMediaType multipartMediaTypeObject,
                                                    org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                    java.util.Map context)

### validateNamePseudonymUseObject

    public boolean validateNamePseudonymUseObject(NamePseudonymUse namePseudonymUseObject,
                                                  org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                  java.util.Map context)

### validateNameRepresentationUseObject

    public boolean validateNameRepresentationUseObject(NameRepresentationUse nameRepresentationUseObject,
                                                       org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                       java.util.Map context)

### validateNoInformation

    public boolean validateNoInformation(org.eclipse.emf.common.util.Enumerator noInformation,
                                         org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                         java.util.Map context)

### validateNoInformation_MemberTypes

    public boolean validateNoInformation_MemberTypes(org.eclipse.emf.common.util.Enumerator noInformation,
                                                     org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                     java.util.Map context)

  Validates the MemberTypes constraint of 'No Information'.

### validateNoInformationMember2Object

    public boolean validateNoInformationMember2Object(NoInformationMember2 noInformationMember2Object,
                                                      org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                      java.util.Map context)

### validateNullFlavor

    public boolean validateNullFlavor(org.eclipse.emf.common.util.Enumerator nullFlavor,
                                      org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                      java.util.Map context)

### validateNullFlavor_MemberTypes

    public boolean validateNullFlavor_MemberTypes(org.eclipse.emf.common.util.Enumerator nullFlavor,
                                                  org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                  java.util.Map context)

  Validates the MemberTypes constraint of 'Null Flavor'.

### validateNullFlavorMember1Object

    public boolean validateNullFlavorMember1Object(NullFlavorMember1 nullFlavorMember1Object,
                                                   org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                   java.util.Map context)

### validateOid

    public boolean validateOid(java.lang.String oid,
                               org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                               java.util.Map context)

### validateOid_Pattern

    public boolean validateOid_Pattern(java.lang.String oid,
                                       org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                       java.util.Map context)

  Validates the Pattern constraint of 'Oid'.

### validateOrganizationNamePartQualifierObject

    public boolean validateOrganizationNamePartQualifierObject(OrganizationNamePartQualifier organizationNamePartQualifierObject,
                                                               org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                               java.util.Map context)

### validateOrganizationNameUse

    public boolean validateOrganizationNameUse(org.eclipse.emf.common.util.Enumerator organizationNameUse,
                                               org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                               java.util.Map context)

### validateOrganizationNameUse_MemberTypes

    public boolean validateOrganizationNameUse_MemberTypes(org.eclipse.emf.common.util.Enumerator organizationNameUse,
                                                           org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                           java.util.Map context)

  Validates the MemberTypes constraint of 'Organization Name Use'.

### validateOrganizationNameUseMember2Object

    public boolean validateOrganizationNameUseMember2Object(OrganizationNameUseMember2 organizationNameUseMember2Object,
                                                            org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                            java.util.Map context)

### validateOtherObject

    public boolean validateOtherObject(Other otherObject,
                                       org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                       java.util.Map context)

### validateParticipationAncillaryObject

    public boolean validateParticipationAncillaryObject(ParticipationAncillary participationAncillaryObject,
                                                        org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                        java.util.Map context)

### validateParticipationIndirectTargetObject

    public boolean validateParticipationIndirectTargetObject(ParticipationIndirectTarget participationIndirectTargetObject,
                                                             org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                             java.util.Map context)

### validateParticipationInformationGeneratorObject

    public boolean validateParticipationInformationGeneratorObject(ParticipationInformationGenerator participationInformationGeneratorObject,
                                                                   org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                                   java.util.Map context)

### validateParticipationInformationRecipientObject

    public boolean validateParticipationInformationRecipientObject(ParticipationInformationRecipient participationInformationRecipientObject,
                                                                   org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                                   java.util.Map context)

### validateParticipationPhysicalPerformerObject

    public boolean validateParticipationPhysicalPerformerObject(ParticipationPhysicalPerformer participationPhysicalPerformerObject,
                                                                org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                                java.util.Map context)

### validateParticipationTargetDeviceObject

    public boolean validateParticipationTargetDeviceObject(ParticipationTargetDevice participationTargetDeviceObject,
                                                           org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                           java.util.Map context)

### validateParticipationTargetDirect

    public boolean validateParticipationTargetDirect(org.eclipse.emf.common.util.Enumerator participationTargetDirect,
                                                     org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                     java.util.Map context)

### validateParticipationTargetDirect_MemberTypes

    public boolean validateParticipationTargetDirect_MemberTypes(org.eclipse.emf.common.util.Enumerator participationTargetDirect,
                                                                 org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                                 java.util.Map context)

  Validates the MemberTypes constraint of 'Participation Target Direct'.

### validateParticipationTargetDirectMember2Object

    public boolean validateParticipationTargetDirectMember2Object(ParticipationTargetDirectMember2 participationTargetDirectMember2Object,
                                                                  org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                                  java.util.Map context)

### validateParticipationTargetLocationObject

    public boolean validateParticipationTargetLocationObject(ParticipationTargetLocation participationTargetLocationObject,
                                                             org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                             java.util.Map context)

### validateParticipationTargetSubjectObject

    public boolean validateParticipationTargetSubjectObject(ParticipationTargetSubject participationTargetSubjectObject,
                                                            org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                            java.util.Map context)

### validateParticipationType

    public boolean validateParticipationType(org.eclipse.emf.common.util.Enumerator participationType,
                                             org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                             java.util.Map context)

### validateParticipationType_MemberTypes

    public boolean validateParticipationType_MemberTypes(org.eclipse.emf.common.util.Enumerator participationType,
                                                         org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                         java.util.Map context)

  Validates the MemberTypes constraint of 'Participation Type'.

### validateParticipationTypeMember16Object

    public boolean validateParticipationTypeMember16Object(ParticipationTypeMember16 participationTypeMember16Object,
                                                           org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                           java.util.Map context)

### validateParticipationVerifierObject

    public boolean validateParticipationVerifierObject(ParticipationVerifier participationVerifierObject,
                                                       org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                       java.util.Map context)

### validatePersonNamePartAffixTypesObject

    public boolean validatePersonNamePartAffixTypesObject(PersonNamePartAffixTypes personNamePartAffixTypesObject,
                                                          org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                          java.util.Map context)

### validatePersonNamePartChangeQualifierObject

    public boolean validatePersonNamePartChangeQualifierObject(PersonNamePartChangeQualifier personNamePartChangeQualifierObject,
                                                               org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                               java.util.Map context)

### validatePersonNamePartMiscQualifierObject

    public boolean validatePersonNamePartMiscQualifierObject(PersonNamePartMiscQualifier personNamePartMiscQualifierObject,
                                                             org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                             java.util.Map context)

### validatePersonNamePartQualifier

    public boolean validatePersonNamePartQualifier(org.eclipse.emf.common.util.Enumerator personNamePartQualifier,
                                                   org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                   java.util.Map context)

### validatePersonNamePartQualifier_MemberTypes

    public boolean validatePersonNamePartQualifier_MemberTypes(org.eclipse.emf.common.util.Enumerator personNamePartQualifier,
                                                               org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                               java.util.Map context)

  Validates the MemberTypes constraint of 'Person Name Part Qualifier'.

### validatePersonNamePartQualifierMember3Object

    public boolean validatePersonNamePartQualifierMember3Object(PersonNamePartQualifierMember3 personNamePartQualifierMember3Object,
                                                                org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                                java.util.Map context)

### validatePersonNameUse

    public boolean validatePersonNameUse(org.eclipse.emf.common.util.Enumerator personNameUse,
                                         org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                         java.util.Map context)

### validatePersonNameUse_MemberTypes

    public boolean validatePersonNameUse_MemberTypes(org.eclipse.emf.common.util.Enumerator personNameUse,
                                                     org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                     java.util.Map context)

  Validates the MemberTypes constraint of 'Person Name Use'.

### validatePersonNameUseMember3Object

    public boolean validatePersonNameUseMember3Object(PersonNameUseMember3 personNameUseMember3Object,
                                                      org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                      java.util.Map context)

### validatePostalAddressUse

    public boolean validatePostalAddressUse(org.eclipse.emf.common.util.Enumerator postalAddressUse,
                                            org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                            java.util.Map context)

### validatePostalAddressUse_MemberTypes

    public boolean validatePostalAddressUse_MemberTypes(org.eclipse.emf.common.util.Enumerator postalAddressUse,
                                                        org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                        java.util.Map context)

  Validates the MemberTypes constraint of 'Postal Address Use'.

### validatePostalAddressUseMember2Object

    public boolean validatePostalAddressUseMember2Object(PostalAddressUseMember2 postalAddressUseMember2Object,
                                                         org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                         java.util.Map context)

### validateProbability

    public boolean validateProbability(double probability,
                                       org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                       java.util.Map context)

### validateProbability_Min

    public boolean validateProbability_Min(double probability,
                                           org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                           java.util.Map context)

  Validates the Min constraint of 'Probability'.

### validateProbability_Max

    public boolean validateProbability_Max(double probability,
                                           org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                           java.util.Map context)

  Validates the Max constraint of 'Probability'.

### validateProbabilityDistributionTypeObject

    public boolean validateProbabilityDistributionTypeObject(ProbabilityDistributionType probabilityDistributionTypeObject,
                                                             org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                             java.util.Map context)

### validateProbabilityObject

    public boolean validateProbabilityObject(java.lang.Double probabilityObject,
                                             org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                             java.util.Map context)

### validateReal

    public boolean validateReal(java.lang.Object real,
                                org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                java.util.Map context)

### validateReal_MemberTypes

    public boolean validateReal_MemberTypes(java.lang.Object real,
                                            org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                            java.util.Map context)

  Validates the MemberTypes constraint of 'Real'.

### validateRelatedLinkTypeObject

    public boolean validateRelatedLinkTypeObject(RelatedLinkType relatedLinkTypeObject,
                                                 org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                 java.util.Map context)

### validateRevisedTypeObject

    public boolean validateRevisedTypeObject(RevisedType revisedTypeObject,
                                             org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                             java.util.Map context)

### validateRoleClass

    public boolean validateRoleClass(java.lang.Object roleClass,
                                     org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                     java.util.Map context)

### validateRoleClass_MemberTypes

    public boolean validateRoleClass_MemberTypes(java.lang.Object roleClass,
                                                 org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                 java.util.Map context)

  Validates the MemberTypes constraint of 'Role Class'.

### validateRoleClassAgent

    public boolean validateRoleClassAgent(org.eclipse.emf.common.util.Enumerator roleClassAgent,
                                          org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                          java.util.Map context)

### validateRoleClassAgent_MemberTypes

    public boolean validateRoleClassAgent_MemberTypes(org.eclipse.emf.common.util.Enumerator roleClassAgent,
                                                      org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                      java.util.Map context)

  Validates the MemberTypes constraint of 'Role Class Agent'.

### validateRoleClassAgentMember1Object

    public boolean validateRoleClassAgentMember1Object(RoleClassAgentMember1 roleClassAgentMember1Object,
                                                       org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                       java.util.Map context)

### validateRoleClassAssignedEntity

    public boolean validateRoleClassAssignedEntity(org.eclipse.emf.common.util.Enumerator roleClassAssignedEntity,
                                                   org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                   java.util.Map context)

### validateRoleClassAssignedEntity_MemberTypes

    public boolean validateRoleClassAssignedEntity_MemberTypes(org.eclipse.emf.common.util.Enumerator roleClassAssignedEntity,
                                                               org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                               java.util.Map context)

  Validates the MemberTypes constraint of 'Role Class Assigned Entity'.

### validateRoleClassAssignedEntityMember1Object

    public boolean validateRoleClassAssignedEntityMember1Object(RoleClassAssignedEntityMember1 roleClassAssignedEntityMember1Object,
                                                                org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                                java.util.Map context)

### validateRoleClassAssociative

    public boolean validateRoleClassAssociative(java.lang.Object roleClassAssociative,
                                                org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                java.util.Map context)

### validateRoleClassAssociative_MemberTypes

    public boolean validateRoleClassAssociative_MemberTypes(java.lang.Object roleClassAssociative,
                                                            org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                            java.util.Map context)

  Validates the MemberTypes constraint of 'Role Class Associative'.

### validateRoleClassAssociativeMember2

    public boolean validateRoleClassAssociativeMember2(java.lang.String roleClassAssociativeMember2,
                                                       org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                       java.util.Map context)

### validateRoleClassContactObject

    public boolean validateRoleClassContactObject(RoleClassContact roleClassContactObject,
                                                  org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                  java.util.Map context)

### validateRoleClassDistributedMaterialObject

    public boolean validateRoleClassDistributedMaterialObject(RoleClassDistributedMaterial roleClassDistributedMaterialObject,
                                                              org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                              java.util.Map context)

### validateRoleClassEmployeeObject

    public boolean validateRoleClassEmployeeObject(RoleClassEmployee roleClassEmployeeObject,
                                                   org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                   java.util.Map context)

### validateRoleClassInactiveIngredientObject

    public boolean validateRoleClassInactiveIngredientObject(RoleClassInactiveIngredient roleClassInactiveIngredientObject,
                                                             org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                             java.util.Map context)

### validateRoleClassIngredientEntity

    public boolean validateRoleClassIngredientEntity(org.eclipse.emf.common.util.Enumerator roleClassIngredientEntity,
                                                     org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                     java.util.Map context)

### validateRoleClassIngredientEntity_MemberTypes

    public boolean validateRoleClassIngredientEntity_MemberTypes(org.eclipse.emf.common.util.Enumerator roleClassIngredientEntity,
                                                                 org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                                 java.util.Map context)

  Validates the MemberTypes constraint of 'Role Class Ingredient Entity'.

### validateRoleClassIngredientEntityMember1Object

    public boolean validateRoleClassIngredientEntityMember1Object(RoleClassIngredientEntityMember1 roleClassIngredientEntityMember1Object,
                                                                  org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                                  java.util.Map context)

### validateRoleClassInvestigationSubjectObject

    public boolean validateRoleClassInvestigationSubjectObject(RoleClassInvestigationSubject roleClassInvestigationSubjectObject,
                                                               org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                               java.util.Map context)

### validateRoleClassIsSpeciesEntityObject

    public boolean validateRoleClassIsSpeciesEntityObject(RoleClassIsSpeciesEntity roleClassIsSpeciesEntityObject,
                                                          org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                          java.util.Map context)

### validateRoleClassLocatedEntityObject

    public boolean validateRoleClassLocatedEntityObject(RoleClassLocatedEntity roleClassLocatedEntityObject,
                                                        org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                        java.util.Map context)

### validateRoleClassManufacturedProductObject

    public boolean validateRoleClassManufacturedProductObject(RoleClassManufacturedProduct roleClassManufacturedProductObject,
                                                              org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                              java.util.Map context)

### validateRoleClassMutualRelationship

    public boolean validateRoleClassMutualRelationship(org.eclipse.emf.common.util.Enumerator roleClassMutualRelationship,
                                                       org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                       java.util.Map context)

### validateRoleClassMutualRelationship_MemberTypes

    public boolean validateRoleClassMutualRelationship_MemberTypes(org.eclipse.emf.common.util.Enumerator roleClassMutualRelationship,
                                                                   org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                                   java.util.Map context)

  Validates the MemberTypes constraint of 'Role Class Mutual Relationship'.

### validateRoleClassMutualRelationshipMember1Object

    public boolean validateRoleClassMutualRelationshipMember1Object(RoleClassMutualRelationshipMember1 roleClassMutualRelationshipMember1Object,
                                                                    org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                                    java.util.Map context)

### validateRoleClassOntological

    public boolean validateRoleClassOntological(org.eclipse.emf.common.util.Enumerator roleClassOntological,
                                                org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                java.util.Map context)

### validateRoleClassOntological_MemberTypes

    public boolean validateRoleClassOntological_MemberTypes(org.eclipse.emf.common.util.Enumerator roleClassOntological,
                                                            org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                            java.util.Map context)

  Validates the MemberTypes constraint of 'Role Class Ontological'.

### validateRoleClassOntologicalMember1Object

    public boolean validateRoleClassOntologicalMember1Object(RoleClassOntologicalMember1 roleClassOntologicalMember1Object,
                                                             org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                             java.util.Map context)

### validateRoleClassPartitive

    public boolean validateRoleClassPartitive(org.eclipse.emf.common.util.Enumerator roleClassPartitive,
                                              org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                              java.util.Map context)

### validateRoleClassPartitive_MemberTypes

    public boolean validateRoleClassPartitive_MemberTypes(org.eclipse.emf.common.util.Enumerator roleClassPartitive,
                                                          org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                          java.util.Map context)

  Validates the MemberTypes constraint of 'Role Class Partitive'.

### validateRoleClassPartitiveMember3Object

    public boolean validateRoleClassPartitiveMember3Object(RoleClassPartitiveMember3 roleClassPartitiveMember3Object,
                                                           org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                           java.util.Map context)

### validateRoleClassPassive

    public boolean validateRoleClassPassive(org.eclipse.emf.common.util.Enumerator roleClassPassive,
                                            org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                            java.util.Map context)

### validateRoleClassPassive_MemberTypes

    public boolean validateRoleClassPassive_MemberTypes(org.eclipse.emf.common.util.Enumerator roleClassPassive,
                                                        org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                        java.util.Map context)

  Validates the MemberTypes constraint of 'Role Class Passive'.

### validateRoleClassPassiveMember3Object

    public boolean validateRoleClassPassiveMember3Object(RoleClassPassiveMember3 roleClassPassiveMember3Object,
                                                         org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                         java.util.Map context)

### validateRoleClassRelationshipFormal

    public boolean validateRoleClassRelationshipFormal(org.eclipse.emf.common.util.Enumerator roleClassRelationshipFormal,
                                                       org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                       java.util.Map context)

### validateRoleClassRelationshipFormal_MemberTypes

    public boolean validateRoleClassRelationshipFormal_MemberTypes(org.eclipse.emf.common.util.Enumerator roleClassRelationshipFormal,
                                                                   org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                                   java.util.Map context)

  Validates the MemberTypes constraint of 'Role Class Relationship Formal'.

### validateRoleClassRelationshipFormalMember4Object

    public boolean validateRoleClassRelationshipFormalMember4Object(RoleClassRelationshipFormalMember4 roleClassRelationshipFormalMember4Object,
                                                                    org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                                    java.util.Map context)

### validateRoleClassRoot

    public boolean validateRoleClassRoot(java.lang.Object roleClassRoot,
                                         org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                         java.util.Map context)

### validateRoleClassRoot_MemberTypes

    public boolean validateRoleClassRoot_MemberTypes(java.lang.Object roleClassRoot,
                                                     org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                     java.util.Map context)

  Validates the MemberTypes constraint of 'Role Class Root'.

### validateRoleClassRootMember11Object

    public boolean validateRoleClassRootMember11Object(RoleClassRootMember11 roleClassRootMember11Object,
                                                       org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                       java.util.Map context)

### validateRoleClassServiceDeliveryLocationObject

    public boolean validateRoleClassServiceDeliveryLocationObject(RoleClassServiceDeliveryLocation roleClassServiceDeliveryLocationObject,
                                                                  org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                                  java.util.Map context)

### validateRoleClassSpecimenObject

    public boolean validateRoleClassSpecimenObject(RoleClassSpecimen roleClassSpecimenObject,
                                                   org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                   java.util.Map context)

### validateRoleLinkType

    public boolean validateRoleLinkType(org.eclipse.emf.common.util.Enumerator roleLinkType,
                                        org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                        java.util.Map context)

### validateRoleLinkType_MemberTypes

    public boolean validateRoleLinkType_MemberTypes(org.eclipse.emf.common.util.Enumerator roleLinkType,
                                                    org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                    java.util.Map context)

  Validates the MemberTypes constraint of 'Role Link Type'.

### validateRuid

    public boolean validateRuid(java.lang.String ruid,
                                org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                java.util.Map context)

### validateRuid_Pattern

    public boolean validateRuid_Pattern(java.lang.String ruid,
                                        org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                        java.util.Map context)

  Validates the Pattern constraint of 'Ruid'.

### validateRulesTypeObject

    public boolean validateRulesTypeObject(RulesType rulesTypeObject,
                                           org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                           java.util.Map context)

### validateScopeTypeObject

    public boolean validateScopeTypeObject(ScopeType scopeTypeObject,
                                           org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                           java.util.Map context)

### validateScopeTypeObject1

    public boolean validateScopeTypeObject1(ScopeType1 scopeTypeObject1,
                                            org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                            java.util.Map context)

### validateSetEntityNamePartQualifier

    public boolean validateSetEntityNamePartQualifier(java.util.List setEntityNamePartQualifier,
                                                      org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                      java.util.Map context)

### validateSetEntityNamePartQualifier_ItemType

    public boolean validateSetEntityNamePartQualifier_ItemType(java.util.List setEntityNamePartQualifier,
                                                               org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                               java.util.Map context)

  Validates the ItemType constraint of 'Set Entity Name Part Qualifier'.

### validateSetEntityNameUse

    public boolean validateSetEntityNameUse(java.util.List setEntityNameUse,
                                            org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                            java.util.Map context)

### validateSetEntityNameUse_ItemType

    public boolean validateSetEntityNameUse_ItemType(java.util.List setEntityNameUse,
                                                     org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                     java.util.Map context)

  Validates the ItemType constraint of 'Set Entity Name Use'.

### validateSetOperatorObject

    public boolean validateSetOperatorObject(SetOperator setOperatorObject,
                                             org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                             java.util.Map context)

### validateSetPostalAddressUse

    public boolean validateSetPostalAddressUse(java.util.List setPostalAddressUse,
                                               org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                               java.util.Map context)

### validateSetPostalAddressUse_ItemType

    public boolean validateSetPostalAddressUse_ItemType(java.util.List setPostalAddressUse,
                                                        org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                        java.util.Map context)

  Validates the ItemType constraint of 'Set Postal Address Use'.

### validateSetTelecommunicationAddressUse

    public boolean validateSetTelecommunicationAddressUse(java.util.List setTelecommunicationAddressUse,
                                                          org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                          java.util.Map context)

### validateSetTelecommunicationAddressUse_ItemType

    public boolean validateSetTelecommunicationAddressUse_ItemType(java.util.List setTelecommunicationAddressUse,
                                                                   org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                                   java.util.Map context)

  Validates the ItemType constraint of 'Set Telecommunication Address Use'.

### validateSt

    public boolean validateSt(java.lang.String st,
                              org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                              java.util.Map context)

### validateSt_MinLength

    public boolean validateSt_MinLength(java.lang.String st,
                                        org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                        java.util.Map context)

  Validates the MinLength constraint of 'St'.

### validateStateObject

    public boolean validateStateObject(State stateObject,
                                       org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                       java.util.Map context)

### validateStreetAddressLine

    public boolean validateStreetAddressLine(org.eclipse.emf.common.util.Enumerator streetAddressLine,
                                             org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                             java.util.Map context)

### validateStreetAddressLine_MemberTypes

    public boolean validateStreetAddressLine_MemberTypes(org.eclipse.emf.common.util.Enumerator streetAddressLine,
                                                         org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                         java.util.Map context)

  Validates the MemberTypes constraint of 'Street Address Line'.

### validateStreetAddressLineMember2Object

    public boolean validateStreetAddressLineMember2Object(StreetAddressLineMember2 streetAddressLineMember2Object,
                                                          org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                          java.util.Map context)

### validateStreetNameObject

    public boolean validateStreetNameObject(StreetName streetNameObject,
                                            org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                            java.util.Map context)

### validateTelecommunicationAddressUse

    public boolean validateTelecommunicationAddressUse(org.eclipse.emf.common.util.Enumerator telecommunicationAddressUse,
                                                       org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                       java.util.Map context)

### validateTelecommunicationAddressUse_MemberTypes

    public boolean validateTelecommunicationAddressUse_MemberTypes(org.eclipse.emf.common.util.Enumerator telecommunicationAddressUse,
                                                                   org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                                   java.util.Map context)

  Validates the MemberTypes constraint of 'Telecommunication Address Use'.

### validateTelecommunicationAddressUseMember1Object

    public boolean validateTelecommunicationAddressUseMember1Object(TelecommunicationAddressUseMember1 telecommunicationAddressUseMember1Object,
                                                                    org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                                    java.util.Map context)

### validateTemporallyPertainsObject

    public boolean validateTemporallyPertainsObject(TemporallyPertains temporallyPertainsObject,
                                                    org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                    java.util.Map context)

### validateTextMediaTypeObject

    public boolean validateTextMediaTypeObject(TextMediaType textMediaTypeObject,
                                               org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                               java.util.Map context)

### validateTimingEventObject

    public boolean validateTimingEventObject(TimingEvent timingEventObject,
                                             org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                             java.util.Map context)

### validateTs

    public boolean validateTs(java.lang.String ts,
                              org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                              java.util.Map context)

### validateTs_Pattern

    public boolean validateTs_Pattern(java.lang.String ts,
                                      org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                      java.util.Map context)

  Validates the Pattern constraint of 'Ts'.

### validateUid

    public boolean validateUid(java.lang.String uid,
                               org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                               java.util.Map context)

### validateUid_MemberTypes

    public boolean validateUid_MemberTypes(java.lang.String uid,
                                           org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                           java.util.Map context)

  Validates the MemberTypes constraint of 'Uid'.

### validateUnknown

    public boolean validateUnknown(org.eclipse.emf.common.util.Enumerator unknown,
                                   org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                   java.util.Map context)

### validateUnknown_MemberTypes

    public boolean validateUnknown_MemberTypes(org.eclipse.emf.common.util.Enumerator unknown,
                                               org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                               java.util.Map context)

  Validates the MemberTypes constraint of 'Unknown'.

### validateUnknownMember1Object

    public boolean validateUnknownMember1Object(UnknownMember1 unknownMember1Object,
                                                org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                java.util.Map context)

### validateUrl

    public boolean validateUrl(java.lang.String url,
                               org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                               java.util.Map context)

### validateURLSchemeObject

    public boolean validateURLSchemeObject(URLScheme urlSchemeObject,
                                           org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                           java.util.Map context)

### validateUuid

    public boolean validateUuid(java.lang.String uuid,
                                org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                java.util.Map context)

### validateUuid_Pattern

    public boolean validateUuid_Pattern(java.lang.String uuid,
                                        org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                        java.util.Map context)

  Validates the Pattern constraint of 'Uuid'.

### validateValignTypeObject

    public boolean validateValignTypeObject(ValignType valignTypeObject,
                                            org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                            java.util.Map context)

### validateValignTypeObject1

    public boolean validateValignTypeObject1(ValignType3 valignTypeObject1,
                                             org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                             java.util.Map context)

### validateValignTypeObject2

    public boolean validateValignTypeObject2(ValignType2 valignTypeObject2,
                                             org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                             java.util.Map context)

### validateValignTypeObject3

    public boolean validateValignTypeObject3(ValignType6 valignTypeObject3,
                                             org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                             java.util.Map context)

### validateValignTypeObject4

    public boolean validateValignTypeObject4(ValignType5 valignTypeObject4,
                                             org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                             java.util.Map context)

### validateValignTypeObject5

    public boolean validateValignTypeObject5(ValignType4 valignTypeObject5,
                                             org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                             java.util.Map context)

### validateValignTypeObject6

    public boolean validateValignTypeObject6(ValignType1 valignTypeObject6,
                                             org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                             java.util.Map context)

### validateValignTypeObject7

    public boolean validateValignTypeObject7(ValignType7 valignTypeObject7,
                                             org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                             java.util.Map context)

### validateVideoMediaTypeObject

    public boolean validateVideoMediaTypeObject(VideoMediaType videoMediaTypeObject,
                                                org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                java.util.Map context)

### validateWorkPlaceAddressUseObject

    public boolean validateWorkPlaceAddressUseObject(WorkPlaceAddressUse workPlaceAddressUseObject,
                                                     org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                     java.util.Map context)

### validateXActClassDocumentEntryActObject

    public boolean validateXActClassDocumentEntryActObject(XActClassDocumentEntryAct xActClassDocumentEntryActObject,
                                                           org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                           java.util.Map context)

### validateXActClassDocumentEntryOrganizerObject

    public boolean validateXActClassDocumentEntryOrganizerObject(XActClassDocumentEntryOrganizer xActClassDocumentEntryOrganizerObject,
                                                                 org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                                 java.util.Map context)

### validateXActMoodDefEvnObject

    public boolean validateXActMoodDefEvnObject(XActMoodDefEvn xActMoodDefEvnObject,
                                                org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                java.util.Map context)

### validateXActMoodDefEvnRqoPrmsPrpObject

    public boolean validateXActMoodDefEvnRqoPrmsPrpObject(XActMoodDefEvnRqoPrmsPrp xActMoodDefEvnRqoPrmsPrpObject,
                                                          org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                          java.util.Map context)

### validateXActMoodDocumentObservationObject

    public boolean validateXActMoodDocumentObservationObject(XActMoodDocumentObservation xActMoodDocumentObservationObject,
                                                             org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                             java.util.Map context)

### validateXActMoodEvnOrdPrmsPrpObject

    public boolean validateXActMoodEvnOrdPrmsPrpObject(XActMoodEvnOrdPrmsPrp xActMoodEvnOrdPrmsPrpObject,
                                                       org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                       java.util.Map context)

### validateXActMoodIntentEvent

    public boolean validateXActMoodIntentEvent(org.eclipse.emf.common.util.Enumerator xActMoodIntentEvent,
                                               org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                               java.util.Map context)

### validateXActMoodIntentEvent_MemberTypes

    public boolean validateXActMoodIntentEvent_MemberTypes(org.eclipse.emf.common.util.Enumerator xActMoodIntentEvent,
                                                           org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                           java.util.Map context)

  Validates the MemberTypes constraint of 'XAct Mood Intent Event'.

### validateXActMoodIntentEventMember1Object

    public boolean validateXActMoodIntentEventMember1Object(XActMoodIntentEventMember1 xActMoodIntentEventMember1Object,
                                                            org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                            java.util.Map context)

### validateXActMoodOrdPrmsEvnObject

    public boolean validateXActMoodOrdPrmsEvnObject(XActMoodOrdPrmsEvn xActMoodOrdPrmsEvnObject,
                                                    org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                    java.util.Map context)

### validateXActMoodOrdPrmsObject

    public boolean validateXActMoodOrdPrmsObject(XActMoodOrdPrms xActMoodOrdPrmsObject,
                                                 org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                 java.util.Map context)

### validateXActMoodRqoPrpAptArqObject

    public boolean validateXActMoodRqoPrpAptArqObject(XActMoodRqoPrpAptArq xActMoodRqoPrpAptArqObject,
                                                      org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                      java.util.Map context)

### validateXActRelationshipDocumentObject

    public boolean validateXActRelationshipDocumentObject(XActRelationshipDocument xActRelationshipDocumentObject,
                                                          org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                          java.util.Map context)

### validateXActRelationshipEntryObject

    public boolean validateXActRelationshipEntryObject(XActRelationshipEntry xActRelationshipEntryObject,
                                                       org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                       java.util.Map context)

### validateXActRelationshipEntryRelationshipObject

    public boolean validateXActRelationshipEntryRelationshipObject(XActRelationshipEntryRelationship xActRelationshipEntryRelationshipObject,
                                                                   org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                                   java.util.Map context)

### validateXActRelationshipExternalReferenceObject

    public boolean validateXActRelationshipExternalReferenceObject(XActRelationshipExternalReference xActRelationshipExternalReferenceObject,
                                                                   org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                                   java.util.Map context)

### validateXActRelationshipPatientTransportObject

    public boolean validateXActRelationshipPatientTransportObject(XActRelationshipPatientTransport xActRelationshipPatientTransportObject,
                                                                  org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                                  java.util.Map context)

### validateXActRelationshipPertinentInfoObject

    public boolean validateXActRelationshipPertinentInfoObject(XActRelationshipPertinentInfo xActRelationshipPertinentInfoObject,
                                                               org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                               java.util.Map context)

### validateXDeterminerInstanceKindObject

    public boolean validateXDeterminerInstanceKindObject(XDeterminerInstanceKind xDeterminerInstanceKindObject,
                                                         org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                         java.util.Map context)

### validateXDocumentActMoodObject

    public boolean validateXDocumentActMoodObject(XDocumentActMood xDocumentActMoodObject,
                                                  org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                  java.util.Map context)

### validateXDocumentEncounterMoodObject

    public boolean validateXDocumentEncounterMoodObject(XDocumentEncounterMood xDocumentEncounterMoodObject,
                                                        org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                        java.util.Map context)

### validateXDocumentEntrySubjectObject

    public boolean validateXDocumentEntrySubjectObject(XDocumentEntrySubject xDocumentEntrySubjectObject,
                                                       org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                       java.util.Map context)

### validateXDocumentProcedureMoodObject

    public boolean validateXDocumentProcedureMoodObject(XDocumentProcedureMood xDocumentProcedureMoodObject,
                                                        org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                        java.util.Map context)

### validateXDocumentSubjectObject

    public boolean validateXDocumentSubjectObject(XDocumentSubject xDocumentSubjectObject,
                                                  org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                  java.util.Map context)

### validateXDocumentSubstanceMoodObject

    public boolean validateXDocumentSubstanceMoodObject(XDocumentSubstanceMood xDocumentSubstanceMoodObject,
                                                        org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                        java.util.Map context)

### validateXEncounterParticipantObject

    public boolean validateXEncounterParticipantObject(XEncounterParticipant xEncounterParticipantObject,
                                                       org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                       java.util.Map context)

### validateXEncounterPerformerParticipationObject

    public boolean validateXEncounterPerformerParticipationObject(XEncounterPerformerParticipation xEncounterPerformerParticipationObject,
                                                                  org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                                  java.util.Map context)

### validateXEntityClassDocumentReceiving

    public boolean validateXEntityClassDocumentReceiving(org.eclipse.emf.common.util.Enumerator xEntityClassDocumentReceiving,
                                                         org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                         java.util.Map context)

### validateXEntityClassDocumentReceiving_MemberTypes

    public boolean validateXEntityClassDocumentReceiving_MemberTypes(org.eclipse.emf.common.util.Enumerator xEntityClassDocumentReceiving,
                                                                     org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                                     java.util.Map context)

  Validates the MemberTypes constraint of 'XEntity Class Document Receiving'.

### validateXEntityClassDocumentReceivingMember1Object

    public boolean validateXEntityClassDocumentReceivingMember1Object(XEntityClassDocumentReceivingMember1 xEntityClassDocumentReceivingMember1Object,
                                                                      org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                                      java.util.Map context)

### validateXEntityClassPersonOrOrgReceiving

    public boolean validateXEntityClassPersonOrOrgReceiving(org.eclipse.emf.common.util.Enumerator xEntityClassPersonOrOrgReceiving,
                                                            org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                            java.util.Map context)

### validateXEntityClassPersonOrOrgReceiving_MemberTypes

    public boolean validateXEntityClassPersonOrOrgReceiving_MemberTypes(org.eclipse.emf.common.util.Enumerator xEntityClassPersonOrOrgReceiving,
                                                                        org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                                        java.util.Map context)

  Validates the MemberTypes constraint of 'XEntity Class Person Or Org Receiving'.

### validateXEntityClassPersonOrOrgReceivingMember1Object

    public boolean validateXEntityClassPersonOrOrgReceivingMember1Object(XEntityClassPersonOrOrgReceivingMember1 xEntityClassPersonOrOrgReceivingMember1Object,
                                                                         org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                                         java.util.Map context)

### validateXInformationRecipientObject

    public boolean validateXInformationRecipientObject(XInformationRecipient xInformationRecipientObject,
                                                       org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                       java.util.Map context)

### validateXInformationRecipientRoleObject

    public boolean validateXInformationRecipientRoleObject(XInformationRecipientRole xInformationRecipientRoleObject,
                                                           org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                           java.util.Map context)

### validateXOrganizationNamePartTypeObject

    public boolean validateXOrganizationNamePartTypeObject(XOrganizationNamePartType xOrganizationNamePartTypeObject,
                                                           org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                           java.util.Map context)

### validateXParticipationAuthorPerformerObject

    public boolean validateXParticipationAuthorPerformerObject(XParticipationAuthorPerformer xParticipationAuthorPerformerObject,
                                                               org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                               java.util.Map context)

### validateXParticipationEntVrfObject

    public boolean validateXParticipationEntVrfObject(XParticipationEntVrf xParticipationEntVrfObject,
                                                      org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                      java.util.Map context)

### validateXParticipationPrfEntVrfObject

    public boolean validateXParticipationPrfEntVrfObject(XParticipationPrfEntVrf xParticipationPrfEntVrfObject,
                                                         org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                         java.util.Map context)

### validateXParticipationVrfRespSprfWitObject

    public boolean validateXParticipationVrfRespSprfWitObject(XParticipationVrfRespSprfWit xParticipationVrfRespSprfWitObject,
                                                              org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                              java.util.Map context)

### validateXPersonNamePartTypeObject

    public boolean validateXPersonNamePartTypeObject(XPersonNamePartType xPersonNamePartTypeObject,
                                                     org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                     java.util.Map context)

### validateXRoleClassAccommodationRequestorObject

    public boolean validateXRoleClassAccommodationRequestorObject(XRoleClassAccommodationRequestor xRoleClassAccommodationRequestorObject,
                                                                  org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                                  java.util.Map context)

### validateXRoleClassCoverageInvoiceObject

    public boolean validateXRoleClassCoverageInvoiceObject(XRoleClassCoverageInvoice xRoleClassCoverageInvoiceObject,
                                                           org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                           java.util.Map context)

### validateXRoleClassCoverageObject

    public boolean validateXRoleClassCoverageObject(XRoleClassCoverage xRoleClassCoverageObject,
                                                    org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                    java.util.Map context)

### validateXRoleClassCredentialedEntity

    public boolean validateXRoleClassCredentialedEntity(org.eclipse.emf.common.util.Enumerator xRoleClassCredentialedEntity,
                                                        org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                        java.util.Map context)

### validateXRoleClassCredentialedEntity_MemberTypes

    public boolean validateXRoleClassCredentialedEntity_MemberTypes(org.eclipse.emf.common.util.Enumerator xRoleClassCredentialedEntity,
                                                                    org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                                    java.util.Map context)

  Validates the MemberTypes constraint of 'XRole Class Credentialed Entity'.

### validateXRoleClassCredentialedEntityMember1Object

    public boolean validateXRoleClassCredentialedEntityMember1Object(XRoleClassCredentialedEntityMember1 xRoleClassCredentialedEntityMember1Object,
                                                                     org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                                     java.util.Map context)

### validateXRoleClassPayeePolicyRelationshipObject

    public boolean validateXRoleClassPayeePolicyRelationshipObject(XRoleClassPayeePolicyRelationship xRoleClassPayeePolicyRelationshipObject,
                                                                   org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                                   java.util.Map context)

### validateXServiceEventPerformerObject

    public boolean validateXServiceEventPerformerObject(XServiceEventPerformer xServiceEventPerformerObject,
                                                        org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                        java.util.Map context)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD